2005-03-18 12:04  uberdork

	* icons/orbit/: Makefile.am, ed2k-gtk-gui.png, ed2k-logo-mini.png,
	  menu-200.png, menu-blacklist.png, menu-cancel.png,
	  menu-dl-cancel.png, menu-hide-column.png, menu-pause-all.png,
	  menu-preview.png, menu-prio-high.png, menu-prio-low.png,
	  menu-prio-medium.png, menu-quit.png, menu-refresh.png,
	  menu-resume-all.png, menu-search.png, menu-unhide-column.png,
	  nuke.png, sys-mozilla.png, tab-downloads.png, tab-forget.png,
	  tab-options.png, tab-search.png, tab-shared.png, tab-stats.png,
	  tab-status.png, tab-uploads.png, toolbar-ed2k-logo.png,
	  toolbar-go.png, toolbar-num-connections.png,
	  toolbar-overnet-logo.png: Orbit theme updates by Elouen Lanoe

2005-03-18 11:38  uberdork

	* ed2k_gui/search.c: Fix 'could not parse length '' properly' bug -
	  apparently some buggy client sends empty length strings instead
	  of just not sending the tag (fixes #1164665)

2005-03-18 11:35  uberdork

	* ed2k_gui/core-conn.c: Get rid of annoying 'Not connected to a
	  server' messages with hybrid

2005-03-15 17:03  uberdork

	* ed2k_gui/core-conn.c: Recognise version 10019 = edonkeyclc 1.1.0

2005-03-15 17:01  uberdork

	* gnet/Makefile.am: Fix dnslookup crashes on IPv6-enabled win32
	  systems due to wrong struct being used; IPv6 support is detected
	  at runtime on win32 => define HAVE_IPV6 during compilation in any
	  case

2005-02-27 12:01  uberdork

	* configure.in: Add check for zlib.h header (for our
	  glade-parser.c)

2005-02-06 15:01  uberdork

	* ed2k_gui/: downloads-list.c, progressbar-renderer.c: Replace
	  G_INLINE_FUNC with 'static inline' to make work with gentoo
	  glib-2.6.2

2005-01-30 15:08  cknoerle

	* po/de.po: updated German translation

2005-01-28 16:51  uberdork

	* ed2k_gui/linkhandler.c: Use a stock OK button for the linkhandler
	  dialog, so that you can use Alt+O to activate it

2005-01-09 11:06  tautologist

	* ed2k_gui/misc.c: Added code for spawning firefox in
	  invoke_browser_with_url ()

2004-12-03 19:43  uberdork

	* ChangeLog-short, ed2k_gui/icons.c, ed2k_gui/search_popup.c: Added
	  'check razorback history of file' to search page context menu

2004-12-02 20:14  uberdork

	* ed2k_gui/misc_gtk.c: Return a value for in the enter-notify-event
	  / leave-notify-event callback as we should

2004-12-02 15:41  uberdork

	* ed2k_gui/misc_gtk.c: Get rid of bogus g_free (object) (luckily
	  this part of the code should never be called anyway)

2004-12-01 10:19  uberdork

	* ChangeLog-short, ed2k_gui/icons.c, ed2k_gui/icons.h,
	  ed2k_gui/options_page.c: Added ed2k-link handler instructions for
	  Mozilla/Firefox (thanks to Laurent Besson)

2004-12-01 10:09  uberdork

	* icons/: bluecore/Makefile.am, bluecore/sys-mozilla.png,
	  default/Makefile.am, default/sys-mozilla.png, gnome2/Makefile.am,
	  gnome2/sys-mozilla.png, h2o/Makefile.am, h2o/sys-mozilla.png,
	  jara/Makefile.am, jara/sys-mozilla.png, orbit/Makefile.am,
	  orbit/sys-mozilla.png: Add mozilla icon

2004-11-24 15:35  uberdork

	* ed2k_gui/core-conn.h: Fix wrong signal vfunc declarations in
	  header (not that it matters at all)

2004-10-12 09:34  uberdork

	* ChangeLog-short: Allow max upload/download speeds to be set as
	  floats (for modem users) (fixes #884270)

2004-10-12 09:33  uberdork

	* ed2k_gui/: Makefile.am, core-conn.c, core-conn.h, linkhandler.c,
	  options_page.c: Allow max upload/download speeds to be set as
	  floats (for modem users) (fixes #884270); minor clean-ups

2004-10-08 08:59  uberdork

	* ed2k_gui/options.c: Default to a valid server list URL

2004-10-06 14:45  uberdork

	* ChangeLog-short: Linkhandler dialog allows setting of initial
	  priority now

2004-10-06 14:44  uberdork

	* ed2k_gui/: http_get.c, linkhandler.c: Add radio buttons to link
	  handler to select initial priority in linkhandler dialog (looks
	  ugly - needs work); fix off-by-2 memcpy() buffer overrun

2004-09-18 09:42  uberdork

	* HACKING: Update HACKING file

2004-09-08 14:50  uberdork

	* ChangeLog-short, ed2k_gui/linkhandler.c: Fix ed2k:// link handler
	  registration for Gnome-2.6 (#1018350); missing gconf keys
	  provided by Alban Browaeys and Simon Ulbricht

2004-09-02 12:41  ernieball

	* po/it.po: Updated italian translation

2004-08-27 19:29  uberdork

	* ChangeLog-short, configure.in: changing version to CVS again

2004-08-27 18:52  uberdork

	* ChangeLog, ChangeLog-short: 0.6.3 release

2004-08-27 18:50  uberdork

	* po/ed2k_gui.pot, ed2k_gui/Makefile.am, TODO, configure.in,
	  debian/changelog, debian/control, debian/rules,
	  ed2k_gui/connect-dialog.c: release 0.6.3; various build/compile
	  fixes

2004-08-26 19:08  uberdork

	* ed2k_gui/: core-conn.c, status_page.c, toolbar.c: more
	  edonkeyclc/overnetclc 1.0.1 fixes/hacks

2004-08-25 17:37  uberdork

	* ed2k_gui/: search.c, core-conn.c: some more fixes for the 1.0.1
	  cores (edonkey auto connect to server status; more length parsing
	  of search results)

2004-08-20 18:00  uberdork

	* ed2k_gui/: core-conn.c, core-conn.h, downloads-list.c,
	  downloads-view.c: remove special code for ancient versions
	  (pre-v49)

2004-08-20 16:39  uberdork

	* ed2k_gui/: core-conn.c, core-conn.h, search.c, toolbar.c: disable
	  extra search options for now

2004-08-18 17:16  uberdork

	* ed2k_gui/connect-dialog.c: cookie file now has pid in it so we
	  can detect stale ones (after core crash etc.); remove stale
	  files; save last mod. time as well (we get it for free)

2004-08-18 17:14  uberdork

	* ed2k_gui/core-conn.c: Filter out rubbish and debug messages from
	  newer cores

2004-08-17 16:09  uberdork

	* ed2k_gui/ramfile.c: Allow strings > 1500 characters (up to 32k
	  chars now); servers' welcome messages arrive in one chunk these
	  days because of the zlib stuff

2004-08-17 12:13  uberdork

	* libglade/Makefile.am: Add README to EXTRA_DIST

2004-08-17 12:11  uberdork

	* libglade/: README, glade-xml.c: Don't print warnings about
	  object/widget properties for old gtk versions

2004-08-13 16:41  uberdork

	* ed2k_gui/: core-conn.c, gui-marshal.list: fix marshalling issues
	  introduced by previous commit

2004-08-13 16:24  uberdork

	* ed2k_gui/: blacklist.c, core-conn.c, core-conn.h,
	  downloads-list.c, downloads-list.h, gui_core_protocol.h,
	  http_get.c, linkhandler.c, misc.c, misc.h, options_page.c: (a)
	  parse an optional additional byte after the 'core:download
	  removed' message, which is needed by multiple-GUIs-on-one-core
	  multiplexer proxies; (b) prepare to add a 'add with priority'
	  function to the linkhandler dialog

2004-08-13 15:35  uberdork

	* ed2k_gui/connect-dialog.c: g_str_has_prefix() requires GLib >=
	  2.2, replaced with strncmp()

2004-08-13 14:06  uberdork

	* ed2k_gui/connect-dialog.c: Let's stop this madness of putting
	  version numbers into the (core) binary name

2004-08-11 17:14  uberdork

	* Makefile.am, ed2k_gui/Makefile.am: fix 'make distcheck'

2004-08-11 14:23  uberdork

	* ed2k_gui/: ramfile.c, ramfile.h: some clean-ups

2004-08-10 10:47  uberdork

	* ed2k_gui/: main.c, search.c, toolbar.c: fix some old includes;
	  fix 'Couldn't parse length' bugs (#1002329; #1005513)

2004-08-10 10:31  uberdork

	* ChangeLog, ChangeLog-short, ed2k_gui/.cvsignore: Mega-diff: (a)
	  Fix for donkey-53.3 (hybrid) detection, by Suren Chilingaryan
	  (patch #996929); (b) new connect dialog (local core detection
	  only works with donkey/overnet command line clients v1.0 or
	  later, use 'remote core' to connect to earlier clients; v1.0 CLCs
	  are not out yet, but should be in the next few days)

2004-08-10 10:23  uberdork

	* configure.in, po/POTFILES.in, docs/fr/.cvsignore,
	  libglade/.cvsignore: Mega-diff: (a) Fix for donkey-53.3 (hybrid)
	  detection, by Suren Chilingaryan (patch #996929); (b) new connect
	  dialog (local core detection only works with donkey/overnet
	  command line clients v1.0 or later, use 'remote core' to connect
	  to earlier clients; v1.0 CLCs are not out yet, but should be in
	  the next few days)

2004-08-10 10:19  uberdork

	* ed2k_gui/: Makefile.am, connect-dialog.c, connect-dialog.h,
	  connect_gui.c, connect_gui.h, core-conn.c, core-conn.h, main.c,
	  mainwindow.c, misc.c, misc.h, misc_gtk.c, misc_gtk.h, notebook.c,
	  options.c, options.h, options_page.c, search.c, servers.c,
	  spawn_core.c, spawn_core.h, status_page.c, systray.c, toolbar.c,
	  ui-connect-dialog.glade: Mega-diff: (a) Fix for donkey-53.3
	  (hybrid) detection, by Suren Chilingaryan (patch #996929); (b)
	  new connect dialog (local core detection only works with
	  donkey/overnet command line clients v1.0 or later, use 'remote
	  core' to connect to earlier clients; v1.0 CLCs are not out yet,
	  but should be in the next few days)

2004-08-05 20:49  uberdork

	* ed2k_gui/ui-connect-dialog.glade: updated new connect-to dialog
	  (still draft)

2004-08-05 17:18  uberdork

	* ed2k_gui/ui-connect-dialog.glade: first rough draft

2004-08-05 14:06  uberdork

	* Makefile.am, TODO, configure.in: Added libglade 2.0.1 code (with
	  GMarkupParser patch)

2004-08-05 14:00  uberdork

	* libglade/: Makefile.am, README, glade-build.h, glade-gtk.c,
	  glade-init.c, glade-init.h, glade-parser.c, glade-parser.h,
	  glade-private.h, glade-xml.c, glade-xml.h, glade.h: Added
	  libglade 2.0.1 code (with GMarkupParser patch)

2004-06-24 02:21  uberdork

	* ed2k_gui/Makefile.am: marshaller files created with GLib-2.4's
	  glib-genmarshal won't compile with GLib-2.2 (sigh) => make sure
	  we don't include those in the dist tarball

2004-06-16 18:36  uberdork

	* ed2k_gui/mainwindow.c, ed2k_gui/systray.c, ChangeLog-short: Fix
	  window position on restart, and on hide/unhide via system tray
	  icon (fixes #965320)

2004-06-07 09:21  cknoerle

	* po/de.po: update

2004-05-31 14:30  uberdork

	* po/: Makevars, ed2k_gui.pot: Made downloads view 'availability'
	  column header string translatable; set bug report id in Makevars

2004-05-31 14:25  uberdork

	* ed2k_gui/: downloads-view.c, misc_gtk.c: Make 'availability'
	  column header string translatable. Fix compile warnings

2004-05-24 16:19  uberdork

	* po/ed2k_gui.pot: updated ed2k_gui.pot

2004-05-24 16:12  uberdork

	* ChangeLog-short, po/fr.po: Updated French translation [Marc
	  Framboisier]

2004-05-11 16:10  uberdork

	* ed2k_gui/shared_dirs.c: Make 'rehash shared files' work for v53.x

2004-05-03 06:09  uberdork

	* gnet/: Makefile.am, diff_to_cvs.sh, gnet-private.c, gnet.h,
	  socks-private.c, socks-private.h, socks.c, socks.h, tcp.c,
	  unix.c, unix.h: Removed gnet files we don't need

2004-04-27 14:32  ernieball

	* po/it.po: Updated italian translation

2004-04-19 13:16  ernieball

	* po/it.po: Updated italian translation

2004-04-04 10:39  utak3r

	* po/pl.po: Updated Polish translation. Deleted old strings, fixed
	  fuzzies, and added a few new ones.

2004-04-03 23:14  uberdork

	* ed2k_gui/misc.c: Check for xterm/konsole before spawning preview
	  script - apparently xterm is not installed everywhere, and we
	  don't want people to wonder about cryptic execvp() messages

2004-04-03 11:35  uberdork

	* ed2k_gui/misc_gtk.c: Fix context menu item spacing for Gtk+-2.4.x
	  (it apparently got increased, so we don't have to increase it
	  ourselves)

2004-04-01 14:16  uberdork

	* ChangeLog-short, ed2k_gui.desktop.in, macros/gnet2-checks.m4,
	  macros/pkg.m4: Fix desktop.in file, and fix m4 stuff in macros/
	  for automake-1.8. Patches by Stephane Loeuillet.

2004-03-31 18:12  uberdork

	* ed2k_gui/: options_page.c, search.c: Fix compilation with
	  Gtk-2.4; fixes #926805

2004-03-15 15:15  uberdork

	* AUTHORS, ChangeLog-short, po/LINGUAS, po/sk.po, po/.cvsignore:
	  Added Slovak translation, by Vaclav Ogursky

2004-03-08 14:39  uberdork

	* ChangeLog-short, ed2k_gui/downloads-list.c: Add command line
	  options to disable certain pages (downloads, uploads, search,
	  shared files, stats) - for easier debugging and for people who
	  are short of resources

2004-03-08 14:30  uberdork

	* ed2k_gui/: http_get.c, main.c, mainwindow.c, mainwindow.h,
	  notebook.c, notebook.h, search.c, search.h, shared_files.c,
	  stats.c, uploadstats.c: Add command line options to disable
	  certain pages (uploads, search, shared files, stats) - for easier
	  debugging and for people who are short of resources

2004-03-08 14:29  uberdork

	* ed2k_gui/downloads-list.c: fix minor memory leak (completing
	  string is leaked)

2004-03-02 00:10  uberdork

	* ed2k_gui/misc_strings.c: If we have to convert strings between
	  character sets with fallback, then use '_' as fallback character
	  rather than the unicode escapes; apparently the core chokes on
	  the unicode escapes, leading to errors when starting a new
	  download from search results in cases where the search result
	  filename cannot be converted into the locale character set.

2004-03-01 23:36  uberdork

	* ed2k_gui/downloads-view.c: remove debug message

2004-03-01 21:57  uberdork

	* ChangeLog-short: Added French translation of documentation. Many
	  thanks to Marc Framboisier, [framboisier dot marc at wanadoo dot
	  fr]

2004-03-01 21:52  uberdork

	* autogen.sh, configure.in, docs/Makefile.am, docs/fr/Makefile.am,
	  docs/fr/index-fr-1.html, docs/fr/index-fr-2.html,
	  docs/fr/index-fr-3.html, docs/fr/index-fr-4.html,
	  docs/fr/index-fr-5.html, docs/fr/index-fr-6.html,
	  docs/fr/index-fr.html, docs/fr/index-fr.sgml: Added French
	  translation of documentation. Many thanks to Marc Framboisier,
	  [framboisier dot marc at wanadoo dot fr]

2004-03-01 21:19  uberdork

	* ed2k_gui/misc.c: Allow priorities > 3, so people who import temp
	  files from xMule to the official client + ed2k-gtk-gui don't get
	  a trizillion assertion failure warnings (thanks to Thomas
	  Lussnig)

2004-03-01 16:40  uberdork

	* ChangeLog-short: Added time left estimation for downloads in
	  Looking state in downloads context menu, where appropriate. This
	  does work, because the average speed we save in the download list
	  is an average over all the time the download has been active, ie.
	  was in Downloading or Looking state.

2004-03-01 16:37  uberdork

	* ed2k_gui/: downloads-list.c, downloads-list.h, downloads-view.c:
	  Added time left estimation for downloads in Looking state in
	  downloads context menu, where appropriate. This does work,
	  because the average speed we save in the download list is an
	  average over all the time the download has been active, ie. was
	  in Downloading or Looking state.

2004-02-27 08:06  uberdork

	* ChangeLog-short, ed2k_gui/downloads-view.c: Don't show an
	  'estimated time left' in download context menu for downloads in
	  'Looking' state (I have no idea what I was thinking when I
	  checked this in).

2004-02-27 07:33  uberdork

	* ChangeLog, ChangeLog-short: updated change logs

2004-02-27 07:29  uberdork

	* ed2k_gui/misc.c: Improve/fix core detection on MacOSX (thanks to
	  puck lock)

2004-02-27 07:22  uberdork

	* ed2k_gui/: downloads-view.c, misc_gtk.c, misc_gtk.h,
	  search_popup.c, shared_dirs.c, shared_files.c, stats.c,
	  uploadstats.c: Fixed previous patch to not show bogus values for
	  ETA in download context menu; add context menu headers, so the
	  first item in the context menu is less likely to be selected
	  accidentally (like, say, the 'Pause' item in the download context
	  menu...)

2004-02-27 06:36  uberdork

	* ed2k_gui/downloads-view.c: Make downloads context menu also show
	  more detailed time left estimation when a single download is
	  selected

2004-02-02 15:02  uberdork

	* AUTHORS: Added Catalan translation by David Rosal < davidrr (at)
	  menta (dot) net >

2004-02-02 14:55  uberdork

	* po/: .cvsignore, LINGUAS, ca.po: Added Catalan translation by
	  David Rosal < davidrr (at) menta (dot) net >

2004-01-29 10:11  uberdork

	* ed2k_gui/: misc.c, options.c: patch #884902 by Hazeman (win32
	  preview)

2004-01-29 01:10  uberdork

	* ed2k_gui/Makefile.am: fix ed2k_gui_LDADD in conditional
	  expression to make it work with automake-1.6 on MacOSX

2004-01-27 15:59  uberdork

	* icons/jara/: nuke.png, tab-downloads.png, tab-options.png,
	  tab-search.png, tab-servers.png, tab-uploads.png,
	  toolbar-server.png: Jara icon updates (caffone at teleline dot
	  es)

2004-01-25 19:39  uberdork

	* autogen.sh: changed autogen.sh to run in generic sh instead of
	  bash (should work; we can change it back if it doesn't)

2004-01-25 02:39  uberdork

	* po/de.po: Reverting previous commit on de.po caused by gettext
	  tools reformatting my local .po file (sorry)

2004-01-25 02:31  uberdork

	* AUTHORS, configure.in, ed2k_gui/Makefile.am,
	  ed2k_gui/ed2k_gui_win32res.rc, icons/Makefile.am,
	  icons/ed2k-gtk-gui.ico, po/de.po: Win32 resource patches by
	  Hazeman (ie. have app icon and meta info contained in .exe)

2004-01-25 01:59  uberdork

	* ed2k_gui/: mainwindow.c, toolbar.c: committed windows 'core dump
	  on exit' patch by Hazeman (ie. sanitise main window destroy/exit
	  code)

2004-01-25 01:47  uberdork

	* ed2k_gui/: linkhandler.c, misc.c, options.c: win32 patches by
	  Hazeman: fixes issues on win98 (home dir == NULL); registry
	  improvements; browser spawn on win32

2004-01-20 21:35  uberdork

	* ed2k_gui/: search.c, options_page.c: this time really fix
	  compilation with Gtk+-2.3/Gtk+2.4

2004-01-18 18:12  uberdork

	* gnet/: conn.c, tcp.c: synced gnet with gnet cvs, which includes
	  Hazeman's gnet patch

2004-01-17 20:21  uberdork

	* configure.in: back to 0.6.2-cvs

2004-01-17 20:20  uberdork

	* ed2k_gui/: linkhandler.c, pipe.c: win32 pipe improvements by
	  Hazeman, patch #878980

2004-01-17 19:06  uberdork

	* docs/de/index.sgml: fixe entity prob with sgml2html

2004-01-17 17:18  cknoerle

	* po/: es.po, fr.po, it.po, nl.po, pl.po: Just what 'make' did to
	  these files. I hope you don't mind.

2004-01-17 17:08  cknoerle

	* po/: ed2k_gui.pot, de.po: updated de.po and ed2k_gui.pot for
	  0.6.2

2004-01-17 16:48  uberdork

	* Makefile.am: add .spec file to tarball

2004-01-17 16:45  uberdork

	* ed2k_gui.spec: updated .spec file (not tested) for 0.6.2

2004-01-17 16:33  uberdork

	* debian/changelog: updated debian changelog for 0.6.2

2004-01-17 16:20  uberdork

	* ChangeLog, ChangeLog-short: updated Changelog for 0.6.2

2004-01-17 16:08  uberdork

	* configure.in: set version number to 0.6.2

2004-01-17 16:03  uberdork

	* debian/rules: build debian packages with static gnet2 by default

2004-01-17 15:56  uberdork

	* ed2k_gui/: downloads-list.c, uploadstats.c: utf8 pseudo-fix for
	  upload stats list; misc. minor changes

2004-01-17 15:50  uberdork

	* docs/en/: index-1.html, index-4.html, index-5.html, index-6.html,
	  index.html, index.sgml: updated docs for 0.6.2

2004-01-17 15:10  uberdork

	* icons/: bluecore/Makefile.am, bluecore/sys-windows.png,
	  default/Makefile.am, default/sys-windows.png, gnome2/Makefile.am,
	  gnome2/sys-windows.png, h2o/Makefile.am, h2o/sys-windows.png,
	  jara/Makefile.am, jara/sys-windows.png, orbit/Makefile.am,
	  orbit/sys-windows.png: added sys-windows.png

2004-01-16 23:54  cknoerle

	* po/: de.po, ed2k_gui.pot: updated de.po and ed2k_gui.pot

2004-01-16 21:34  uberdork

	* ed2k_gui/: icons.c, icons.h, linkhandler.c, linkhandler.h,
	  main.c, options_page.c, pipe.c: committed win32 patches by
	  Hazeman for pipe and win32 ed2k-link handler/registration
	  (patches #878478, #878143)

2004-01-15 20:56  uberdork

	* ChangeLog-short, configure.in, ed2k_gui/Makefile.am,
	  ed2k_gui/global.h, ed2k_gui/http_get.c, ed2k_gui/linkhandler.c,
	  ed2k_gui/main.c, ed2k_gui/pipe.c: more win32 patches by Hazeman

2004-01-15 18:14  uberdork

	* ed2k_gui/http_get.c: fix _is_ip_evil()

2004-01-15 17:57  uberdork

	* ed2k_gui/http_get.c: fix _is_ip_evil()

2004-01-15 04:15  uberdork

	* ed2k_gui/global.h: applied patch #877117 by Hazelman: enable
	  gettext on other platforms

2004-01-15 03:58  uberdork

	* configure.in, ed2k_gui/http_get.c, ed2k_gui/misc.c,
	  ed2k_gui/options.c, ed2k_gui/spawn_core.c: mingw compile fixes by
	  Hazeman (patch #877110) (changes in _is_evil_ip() in http_get.c
	  need checking by someone running edonkey)

2004-01-15 03:07  uberdork

	* ed2k_gui/: downloads-view.c, servers.c, shared_files.c,
	  shared_page.c, uploads.c, uploads_page.c, uploadstats.c: minor
	  improvements regarding column width/pane handler position change
	  notification mechanism

2004-01-13 20:35  cknoerle

	* po/de.po: updated German translation

2004-01-11 21:44  uberdork

	* ed2k_gui/: main.c, misc.c: mention override switch to use GUI as
	  root in message dialog; on browser spawn redirect browser output
	  to /dev/null

2004-01-10 02:59  uberdork

	* ed2k_gui/: options_page.c, search.c: Make GUI compile with the
	  unstable development version of the upcoming Gtk+-2.4, Gtk+-2.3.x
	  (don't want gentoo users to suffer unnecessarily): apparently
	  GtkOptionMenu is going to be deprecated in Gtk+-2.4.

2004-01-09 21:32  uberdork

	* debian/control: added build depends to debian control file

2004-01-09 17:36  uberdork

	* ChangeLog, ChangeLog-short, icons/bluecore/.cvsignore: added
	  .cvsignore for bluecore; updated Changelogs

2004-01-09 17:29  uberdork

	* autogen.sh, configure.in, icons/Makefile.am,
	  icons/bluecore/Makefile.am, icons/bluecore/cancel.png,
	  icons/bluecore/dl-status-avail-full.png,
	  icons/bluecore/dl-status-avail-high.png,
	  icons/bluecore/dl-status-avail-low.png,
	  icons/bluecore/dl-status-blue.png,
	  icons/bluecore/dl-status-error.png,
	  icons/bluecore/dl-status-paused.png,
	  icons/bluecore/ed2k-gtk-gui.png,
	  icons/bluecore/ed2k-logo-mini.png,
	  icons/bluecore/filetype-audio.png,
	  icons/bluecore/filetype-cdimage.png,
	  icons/bluecore/filetype-document.png,
	  icons/bluecore/filetype-image.png,
	  icons/bluecore/filetype-package.png,
	  icons/bluecore/filetype-program.png,
	  icons/bluecore/filetype-subtitles.png,
	  icons/bluecore/filetype-video.png,
	  icons/bluecore/menu-blacklist.png,
	  icons/bluecore/menu-cancel.png, icons/bluecore/menu-connect.png,
	  icons/bluecore/menu-disconnect.png,
	  icons/bluecore/menu-dl-cancel.png,
	  icons/bluecore/menu-download.png, icons/bluecore/menu-extend.png,
	  icons/bluecore/menu-hide-column.png,
	  icons/bluecore/menu-homepage.png,
	  icons/bluecore/menu-options.png, icons/bluecore/menu-pause.png,
	  icons/bluecore/menu-preview.png,
	  icons/bluecore/menu-prio-high.png,
	  icons/bluecore/menu-prio-low.png,
	  icons/bluecore/menu-prio-medium.png,
	  icons/bluecore/menu-quit.png, icons/bluecore/menu-refresh.png,
	  icons/bluecore/menu-resume.png, icons/bluecore/menu-search.png,
	  icons/bluecore/menu-status.png, icons/bluecore/menu-thankyou.png,
	  icons/bluecore/menu-unhide-column.png,
	  icons/bluecore/menu-upload.png, icons/bluecore/none.png,
	  icons/bluecore/nuke.png, icons/bluecore/ok.png,
	  icons/bluecore/option-false.png, icons/bluecore/option-true.png,
	  icons/bluecore/shutdown.png, icons/bluecore/sys-gnome1.png,
	  icons/bluecore/sys-gnome2.png, icons/bluecore/sys-kde.png,
	  icons/bluecore/sys-linux.png, icons/bluecore/tab-downloads.png,
	  icons/bluecore/tab-forget.png, icons/bluecore/tab-options.png,
	  icons/bluecore/tab-search.png, icons/bluecore/tab-servers.png,
	  icons/bluecore/tab-shared.png, icons/bluecore/tab-stats.png,
	  icons/bluecore/tab-status.png, icons/bluecore/tab-uploads.png,
	  icons/bluecore/toolbar-about.png,
	  icons/bluecore/toolbar-ed2k-logo.png,
	  icons/bluecore/toolbar-go.png,
	  icons/bluecore/toolbar-num-connections.png,
	  icons/bluecore/toolbar-overnet-logo.png,
	  icons/bluecore/toolbar-server.png: New icon theme: bluecore
	  (submitted by Anonymous)

2004-01-08 18:04  uberdork

	* gnet/: conn.c, gnet-private.c, gnet-private.h, inetaddr.c,
	  socks-private.c, tcp.c: synced Gnet with gnet CVS

2004-01-05 21:06  uberdork

	* ed2k_gui/servers.c: fixes #866410: server rotate interval in
	  seconds instead of minutes as it should be

2003-12-21 19:04  uberdork

	* autogen.sh: use posix syntax for 'head' in autogen.sh -  thanks
	  to Stephane Loeuillet

2003-12-15 17:17  uberdork

	* ed2k_gui/status_page.c: fixes #859741 - clear status window
	  interval bug

2003-12-10 21:38  uberdork

	* gnet/: Makefile.am, diff_to_cvs.sh, gnet-private.c,
	  gnet-private.h, gnetconfig.h.win32, inetaddr.c: folded more gnet
	  cvs changes into tree (all win32-specific, so they shouldn't
	  break anything)

2003-12-10 21:30  uberdork

	* ed2k_gui/downloads-list.c: fix temp filenames for 52pre cores

2003-12-09 04:20  uberdork

	* gnet/diff_to_cvs.sh, gnet/gnet-private.h,
	  ed2k_gui/downloads-list.c, ed2k_gui/linkhandler.c,
	  ed2k_gui/main.c, .cvsignore, Makefile.mingw32, ed2k_gui/misc.c,
	  ed2k_gui/spawn_core.c: misc. minor fixes; make gnet compile
	  statically again (helps to check in header files as well)

2003-12-08 22:24  uberdork

	* ed2k_gui.kdevelop, ed2k_gui.kdevelop.filelist, ed2k_gui.kdevses:
	  removed files that shouldn't really be in cvs anyway

2003-12-08 22:20  uberdork

	* configure.in, gnet/.cvsignore, gnet/conn.c, gnet/diff_to_cvs.sh,
	  gnet/gnet-private.c, gnet/gnet.c, gnet/inetaddr.c, gnet/tcp.c,
	  gnet/unix.c, gnet/uri.c: fixed preprocessor flag for gnet2 static
	  compile on MacOSX (thanks to 'puck lock'); folded gnet2 cvs
	  changes into code base

2003-12-06 05:07  uberdork

	* ed2k_gui/downloads-view.c: minor fix for emergency pause

2003-12-05 20:15  uberdork

	* ed2k_gui/blacklist.c: part of the 'add paused' to linkhandler
	  changes; forgot to commit

2003-12-05 11:54  uberdork

	* ChangeLog-short, ed2k_gui/http_get.c, ed2k_gui/linkhandler.c,
	  ed2k_gui/misc.c, ed2k_gui/misc.h, ed2k_gui/options.c,
	  ed2k_gui/options.h: ed2k-link handler can add downloads in paused
	  state

2003-12-05 11:22  uberdork

	* ed2k_gui/downloads-list.c: fixed assertion warning

2003-12-04 15:49  uberdork

	* gnet/: .cvsignore, Makefile.am, gnet.h, server.c, server.h:
	  removed more gnet files we don't need

2003-12-04 03:06  uberdork

	* configure.in, ed2k_gui/Makefile.am, gnet/Makefile.am: fix what
	  the previous fix broke (systray disabling wouldn't work any more
	  and thus brea with older gtk versions or on MacOSX)

2003-12-03 01:51  uberdork

	* ChangeLog-short, configure.in, ed2k_gui/Makefile.am: fixed
	  ed2k_gui/Makefile.am to work with automake1.6 + misc cleanups

2003-12-02 21:43  uberdork

	* configure.in: Added --enable-static-poll configure flag (for
	  MacOSX), and added required cpp flags to compile gnet on MacOSX

2003-12-02 07:57  uberdork

	* autogen.sh: updated autogen script to check for the new gnet/ dir

2003-12-02 07:53  uberdork

	* ChangeLog-short, Makefile.am, configure.in, ed2k_gui/Makefile.am,
	  gnet/.cvsignore, gnet/Makefile.am, gnet/conn.c, gnet/conn.h,
	  gnet/gnet-private.c, gnet/gnet-private.h, gnet/gnet.c,
	  gnet/gnet.h, gnet/gnetconfig.h, gnet/inetaddr.c, gnet/inetaddr.h,
	  gnet/iochannel.c, gnet/iochannel.h, gnet/ipv6.c, gnet/ipv6.h,
	  gnet/server.c, gnet/server.h, gnet/socks-private.c,
	  gnet/socks-private.h, gnet/socks.c, gnet/socks.h, gnet/tcp.c,
	  gnet/tcp.h, gnet/unix.c, gnet/unix.h, gnet/uri.c, gnet/uri.h,
	  gnet/usagi_ifaddrs.c, gnet/usagi_ifaddrs.h,
	  macros/gnet2-checks.m4: added gnet2 to the source tree to make it
	  easier to build packages that have gnet2 statically linked, and
	  to make it easier for people to get the GUI compiled (gnet2 is
	  not readily available on all distros etc.)

2003-12-02 02:41  uberdork

	* configure.in, ed2k_gui/pipe.c, ed2k_gui/poll-emulator.c,
	  ed2k_gui/poll-emulator.h: Added libpoll (poll-emulator-1.4) files
	  to the source code for systems where there is no poll (apparently
	  some MacOSX versions)

2003-12-01 17:19  uberdork

	* ed2k_gui/main.c: added --noob-wants-to-run-as-root command line
	  option for people who insist on running the GUI as root. after
	  all, 'the customer is always right' *sigh*

2003-12-01 17:00  uberdork

	* ed2k_gui/main.c: sleep two seconds between auto-spawn core and
	  auto-connect, to give the core some time to open up the GUI port

2003-11-28 16:09  uberdork

	* ed2k_gui/connect_gui.c: possibly fixes problem with insensitive
	  GO button in connect dialog when hostname is remote (see forum)

2003-11-27 20:32  uberdork

	* README.CVS: minor update

2003-11-27 13:22  ricesvinto

	* po/es.po: updated spanish translation

2003-11-26 15:59  uberdork

	* icons/: default/ed2k-gtk-gui.png, gnome2/ed2k-gtk-gui.png,
	  jara/ed2k-gtk-gui.png, orbit/ed2k-gtk-gui.png: replaced
	  OS-specific application window icon with non-OS specific variants

2003-11-26 15:17  uberdork

	* ed2k_gui/: downloads-list.c, downloads-list.h: revert
	  'transfered' value shown to old system; I just can't find out why
	  that 'jumping' occured in the new system (also, not everyone
	  seemed convinced of the new approach).

2003-11-26 02:10  uberdork

	* ed2k_gui/downloads-view.c: Fixes #845254 - 'Hidden columns in
	  download list are not saved properly and reappear on restart'

2003-11-25 22:51  uberdork

	* ed2k_gui/: mainwindow.c, misc_gtk.c, misc_gtk.h, toolbar.c: Fixes
	  #754543 (label background artifacts with themes that have a
	  radiant background for the toolbar)

2003-11-25 18:50  uberdork

	* ed2k_gui/: downloads-list.c, downloads-list.h: Do resorting of
	  download list in an idle timeout to avoid unnecessary resorts.

2003-11-25 18:37  uberdork

	* ed2k_gui/downloads-list.c: YEAH! This should fix #842926: 'don't
	  display junk' + name sorting = corruption => crash. Note to self:
	  Don't make the compare function return inconsistent information
	  to the sorting algorithm.

2003-11-24 17:07  uberdork

	* ChangeLog-short, configure.in: change back to cvs version
	  numbering

2003-11-24 15:01  uberdork

	* ed2k_gui/: core-conn.c, connect_gui.c: Fixed erratic GUI freezes
	  when doing 'shutdown core'; fixed instantaneous popup/hide of
	  connect dialog on initial startup when auto-connect is active

2003-11-13 23:13  tautologist

	* ed2k_gui.spec: new spec file

2003-11-13 19:27  uberdork

	* ed2k_gui/systray.c, m4/.cvsignore: disabled tray slider for now

2003-11-13 18:55  uberdork

	* debian/.cvsignore, ChangeLog-short, Makefile.am, configure.in,
	  debian/Makefile.am: more admin stuff before release

2003-11-13 14:36  cknoerle

	* po/de.po: updated German translation

2003-11-13 12:01  utak3r

	* docs/pl/: index-4.html, index.sgml: Updated Polish docs - section
	  4

2003-11-12 17:07  uberdork

	* ed2k_gui/: core-conn.c, mainwindow.c, toolbar.c, toolbar.h: make
	  GUI ignore all those annoying debug messages that the v51.2 core
	  spits out; fix the 'every line of a command is outputted twice'
	  problem; attempt to fix the occasional GUI freeze when selecting
	  'shutdown core', but only partially successful

2003-11-12 15:24  uberdork

	* ed2k_gui/pipe.c: Hopefully fixes #656923 (FreeBSD pipe problem)
	  without breaking things on Linux (PH34R)

2003-11-12 04:46  uberdork

	* ChangeLog, ChangeLog-short, HACKING, Makefile.am, TODO,
	  ed2k_gui.kdevelop, ed2k_gui.kdevelop.filelist, ed2k_gui.kdevses,
	  debian/changelog: clean up various files before release

2003-11-12 04:06  uberdork

	* ed2k_gui/: progressbar-renderer.c, servers.c, servers.h: removed
	  comment (really, this piece of code has nothing to do any more
	  with that crappy and buggy progressbar renderer in gaim;
	  apologies also to jrb for mis-spelling his name in every way
	  conceivable - 't was a copy'npaste error, Sir); prepared server
	  code for something I better not implement before doing a release,
	  given that I have absolutely no intention of testing it

2003-11-11 17:32  uberdork

	* ed2k_gui/misc.c: detect v51 cores (this times not only in the
	  fallback) in connect dialog

2003-11-10 22:56  uberdork

	* ed2k_gui/downloads-list.c: ... and fix what I just broke with the
	  floating point display

2003-11-10 22:35  uberdork

	* ed2k_gui/downloads-list.c: fixes #835218 - bogus character in
	  'Left' column in download view if amount Left is between 1000MB
	  and 1024MB

2003-11-10 21:48  uberdork

	* ed2k_gui/systray.c: try to re-instate the systray if it borks
	  (observed on KDE when closing other systray-using apps, probably
	  due to the KDE systray panel being b0rked)

2003-11-10 21:36  uberdork

	* ed2k_gui/: connect_gui.c, shared_dirs.c: connect dialog does not
	  check for local core any longer if host name indicates a remote
	  host; fixed shared files/dirs update after rehash with v51

2003-11-09 04:52  uberdork

	* ed2k_gui/: downloads-list.c, downloads-list.h: Better download
	  time left estimation; not based solely on current speed any
	  longer, but based on the average download speed while download
	  was active (e.g. status looking and downloading); fixes #827008
	  and #835972

2003-11-09 04:01  uberdork

	* ed2k_gui/status_page.c: removed bogus message about license

2003-11-09 03:58  uberdork

	* ed2k_gui/: downloads-list.c, downloads-list.h: more accurate
	  'Transfered' and 'Left' display; every time we get the gaplist,
	  we now calculate the difference between what the core tells us as
	  'transfered' value and what the gaplist implies, and correct all
	  following 'transfered' values from the core by that difference;
	  might lead to jumping values towards the very end, but is an
	  overall improvement IMHO (so far we only calculated the 'real'
	  values from the gaplist once transfered was bigger than the file
	  size...)

2003-11-06 00:56  cbricart

	* INSTALL: - fixed some typos - fixed line wrapping to 80 chars per
	  line	 (sorry Tim)

2003-11-05 20:05  uberdork

	* INSTALL: updated INSTALL

2003-11-05 13:13  ernieball

	* po/it.po: updated italian translation

2003-11-05 13:10  ernieball

	* po/it.po: updated italian translation

2003-11-01 01:25  cknoerle

	* po/de.po: updated German translation

2003-11-01 00:58  uberdork

	* ed2k_gui/core-conn.c: fixes segfault when searching with edonkey

2003-10-30 15:35  uberdork

	* po/: POTFILES.in, ed2k_gui.pot: updated POTFILES.in and
	  ed2k_gui.pot

2003-10-29 20:31  uberdork

	* ed2k_gui/: misc.c, spawn_core.c: Add spawn and running core
	  detection support for (still broken) v51 (new command line
	  arguments are '-g' for listening to a GUI, and '-l' to not accept
	  command line input)

2003-10-29 20:06  uberdork

	* ed2k_gui/: core-conn.c, servers.c, spawn_core.c, stats.c,
	  toolbar.c, toolbar.h: fixed most outstanding warnings

2003-10-29 02:42  uberdork

	* ed2k_gui/: core-conn.c, linkhandler.c, misc.c, misc.h,
	  options_page.c, reconnect-dialog.c, spawn_core.c, uploadstats.c:
	  fixed some warnings and outstanding issues

2003-10-29 01:21  uberdork

	* ed2k_gui/: Makefile.am, connect_gui.c, core-conn.c, core-conn.h,
	  dns_lookup.c, downloads-list.c, downloads-view.c, global.h,
	  gui_core_protocol.h, http_get.c, linkhandler.c, main.c, misc.c,
	  options_page.c, pipe.c, progressbar-renderer.c,
	  progressbar-renderer.h, search.c, search_popup.c, send_command.c,
	  send_command.h, servers.c, shared_dirs.c, shared_files.c,
	  shared_page.c, systray.c, toolbar.c, uploadstats.c: some more
	  code-refactoring; the send command stuff is now within
	  GuiCoreConn

2003-10-28 01:25  uberdork

	* TODO: [no log message]

2003-10-28 01:25  uberdork

	* configure.in, docs/ed2k_gui.1.in: declare GNET_EXPERIMENTAL in
	  cflags; remove removed command line flags from man page (either
	  edit the options file directly, or use ed2k_shutdown for the
	  missing functionality)

2003-10-28 01:15  uberdork

	* ed2k_gui/: Makefile.am, blacklist.c, connect_gui.c,
	  connect_gui.h, core-conn.c, core-conn.h, dns_lookup.c,
	  downloads-list.c, downloads-view.c, downloads_attrib.c, filter.c,
	  global.h, gui-marshal.list, gui_flags.c, gui_flags.h,
	  guicoreconn.c, guicoreconn.h, http_get.c, http_get.h,
	  linkhandler.c, logfile.c, main.c, mainwindow.c, mainwindow.h,
	  misc.c, misc_strings.c, misc_strings.h, misc_sys.c, notebook.c,
	  options.c, options.h, options_page.c, packet.c, packet.h,
	  parse_message.c, parse_message.h, pipe.c, pipe.h,
	  progressbar-renderer.c, ramfile.c, ramfile.h, reconnect-dialog.c,
	  reconnect-dialog.h, search.c, search.h, search_popup.c,
	  send_command.c, servers.c, servers.h, shared_dirs.c,
	  shared_dirs.h, shared_files.c, shared_files.h, shared_page.c,
	  signal_handler.c, spawn_core.c, spawn_core.h, stats.c,
	  status_page.c, systray.c, systray.h, toolbar.c, toolbar.h,
	  uploads.c, uploads.h, uploads_page.c, uploadstats.c,
	  uploadstats.h: GuiCoreConn object properly implemented now; loads
	  of source code re-factoring; it compiles, so let's check it in

2003-10-19 05:20  uberdork

	* configure.in: disable systray per default on Mac OS X (this time
	  for real)

2003-10-17 12:28  uberdork

	* ed2k_gui/Makefile.am: fix build problem due to not-yet-existing
	  files in Makefile.am

2003-10-17 06:03  uberdork

	* ed2k_gui/Makefile.am, po/POTFILES.in: make dist target work again

2003-10-16 06:03  uberdork

	* ed2k_gui/: eggtrayicon.c, misc_strings.h: Where did those
	  DOS/Windows end-of-line chars come from?

2003-10-16 02:08  uberdork

	* ed2k_gui/: downloads-list.c, downloads-view.c: possible fix for
	  'selection jumps on reordering' bug reported on -devel mailing
	  list'; fix contradicts gtk_tree_model_rows_reordered API
	  reference docs though

2003-10-16 00:01  uberdork

	* ed2k_gui/: connect_gui.c, misc.c: Implemented (blocking) fallback
	  routine using the output of 'ps' to check whether a core is
	  running, for systems without a linux-style /proc system (tested
	  on MacOSX, should work on FreeBSD as well)

2003-10-15 11:31  uberdork

	* ed2k_gui/: connect_gui.c, core-conn.c, core-conn.h, dns_lookup.c,
	  downloads-list.c, downloads-list.h, downloads-view.c,
	  downloads-view.h, downloads_attrib.c, downloads_attrib.h,
	  filter.c, filter.h, gui-marshal.list, guicoreconn.c, logfile.c,
	  logfile.h, main.c, mainwindow.c, misc.c, misc.h, notebook.c,
	  options_page.c, parse_message.c, parse_message.h, pipe.c,
	  ramfile.c, ramfile.h, search.c, search_popup.c, send_command.c,
	  servers.c, shared_dirs.c, shared_files.c, shared_files.h,
	  spawn_core.c, stats.c, stats.h, status_page.c, statusbar.c,
	  statusbar.h, systray.c, systray.h, toolbar.c, uploads.c,
	  uploadstats.c, uploadstats.h: another batch of updates and fixes
	  and clean-ups

2003-10-13 07:36  uberdork

	* ed2k_gui/: connect_gui.c, core-conn.c, core-conn.h,
	  downloads-list.c, downloads-view.c, downloads-view.h,
	  gui-marshal.list, main.c, mainwindow.c, mainwindow.h, misc.c,
	  misc_gtk.c, misc_gtk.h, options.c, options.h, options_page.c,
	  parse_message.c, search.c, search.h, servers.c, servers.h,
	  shared_dirs.c, shared_dirs.h, shared_files.c, shared_files.h,
	  shared_page.c, shared_page.h, stats.c, toolbar.c, toolbar.h,
	  uploads.c, uploads.h, uploads_page.c, uploads_page.h,
	  uploadstats.c, uploadstats.h: another batch of clean-ups, fixes,
	  and changes

2003-10-12 12:19  uberdork

	* ed2k_gui/: downloads-list.c, downloads-list.h, gui-marshal.list:
	  forgot to check in the marshaler template file

2003-10-12 09:23  uberdork

	* ed2k_gui/: core-conn.c, core-conn.h, downloads-list.c,
	  downloads-list.h, downloads-view.c, guicoreconn.c, main.c,
	  misc.c, misc.h, notebook.c, parse_message.c, stats.c, stats.h,
	  systray.c, .cvsignore, systray.h, toolbar.c, toolbar.h,
	  uploads_page.c, uploads_page.h, uploadstats.c: GuiCoreConn
	  handles a couple of messages now

2003-10-12 03:36  tautologist

	* configure.in, ed2k_gui/Makefile.am: added check for
	  glib-genmarshal

2003-10-12 02:28  uberdork

	* ed2k_gui/: Makefile.am, core-conn.c, core-conn.h,
	  gui-marshal.list: GuiCoreConn object skeleton (not in use yet)

2003-10-11 20:57  uberdork

	* ed2k_gui/systray.c: enable max. download-speed adjustment slider
	  in systray

2003-10-11 20:16  uberdork

	* ed2k_gui/: connect_gui.c, downloads-list.c, downloads-list.h,
	  gui_flags.c, gui_flags.h, guicoreconn.c, main.c, misc.c,
	  parse_message.c, systray.c, toolbar.c: core status check return
	  value fix; cleaned up some unused stuff in downloads model; some
	  slider fixes (slider not working yet)

2003-10-11 03:47  uberdork

	* autogen.sh, configure.in: Disable systray on MacOSX per default
	  (getting rid of linker errors) - wouldn't work anyway probably

2003-10-11 03:02  uberdork

	* ed2k_gui/: downloads-list.c, downloads-list.h: yet another
	  sorting fix for the 'time left' column

2003-10-10 22:34  uberdork

	* ed2k_gui/: downloads-view.c, downloads-view.h, options_page.c:
	  Set font selection dialog to current font when opened; display
	  default font in statusbar when opening font selector

2003-10-10 17:52  cknoerle

	* po/de.po: updated German translation, some improvements

2003-10-10 17:44  uberdork

	* ed2k_gui/: downloads-view.c, parse_message.c,
	  progressbar-renderer.c, progressbar-renderer.h: re-implement blue
	  rendering of progress bars

2003-10-10 01:00  uberdork

	* ed2k_gui/: downloads-list.c, downloads-view.c: sorting fix for
	  time left column; high cpu load fix in case of emergency pause of
	  all downloads

2003-10-09 21:28  uberdork

	* ed2k_gui/: downloads-list.c, downloads-view.c: fix time left
	  sorting and filename alignment in download view

2003-10-09 20:55  uberdork

	* ed2k_gui/Makefile.am: and Makefile.am as well

2003-10-09 20:54  uberdork

	* ed2k_gui/: downloads.c, downloads.h, downloads_popup.c,
	  downloads_popup.h, progressbar.c, progressbar.h: forgot to remove
	  old files

2003-10-09 20:49  uberdork

	* ed2k_gui/: blacklist.c, blacklist.h, colors.c, colors.h,
	  connect_gui.c, disclosure-widget.c, disclosure-widget.h,
	  dns_lookup.c, downloads-list.c, downloads-list.h,
	  downloads-view.c, downloads-view.h, downloads_attrib.c,
	  downloads_attrib.h, eggtrayicon.c, eggtrayicon.h, global.h,
	  guicoreconn.c, guicoreconn.h, http_get.c, http_get.h, icons.h,
	  linkhandler.c, logfile.h, main.c, mainwindow.c, mainwindow.h,
	  misc.c, misc.h, misc_gtk.c, misc_gtk.h, misc_strings.c,
	  misc_strings.h, misc_sys.c, misc_sys.h, notebook.c, notebook.h,
	  options.c, options.h, options_page.c, options_page.h, packet.c,
	  parse_message.c, pipe.c, progressbar-renderer.c,
	  progressbar-renderer.h, ramfile.c, ramfile.h, search.c, search.h,
	  search_popup.c, servers.c, shared_dirs.c, shared_dirs.h,
	  shared_files.c, shared_files.h, shared_page.c, shared_page.h,
	  spawn_core.c, stats.c, stats.h, status_page.c, status_page.h,
	  statusbar.c, statusbar.h, systray.c, systray.h, tag.c, tag.h,
	  toolbar.c, uploads.c, uploads_page.h, uploadstats.c: 'lo and
	  behold: A completely new download view (with a custom tree model
	  and a custom progress bar cell renderer); also got rid of some
	  unnecessary includes

2003-10-09 19:54  cbricart

	* ed2k_gui/systray.c: fix small typo in systray icons :)

2003-10-09 16:28  uberdork

	* docs/es/: index-1.html, index-2.html, index-3.html, index-4.html,
	  index-5.html, index-6.html, index.html, index.sgml: updated
	  Spanish docs - many thanks to Juan Martin  nauj27 at teleline dot
	  es

2003-10-08 22:37  tautologist

	* ed2k_gui/systray.c: Systray slider in place: just make it send
	  the real command instead of printing it

2003-10-08 20:36  uberdork

	* ed2k_gui/systray.c: fixed pixbuf leaks

2003-10-08 19:36  tautologist

	* ed2k_gui/systray.c: Implemented button fu

2003-10-08 19:14  tautologist

	* ed2k_gui/systray.c: Working on systray: removed old donkey loves
	  penguin icon, speed slider infrastructure in place

2003-10-08 17:57  uberdork

	* ed2k_gui/: eggtrayicon.c, systray.c: fix compile warning in
	  eggtrayicon; enable systray for all desktop environments/window
	  managers - will look borked in KDE due to a kpanel bug, but it's
	  better than nothing (fixes #758861)

2003-10-08 06:07  uberdork

	* configure.in, ed2k_gui/eggtrayicon.c, ed2k_gui/eggtrayicon.h:
	  Added --disable-systray switch to ./configure script to disable
	  the systray icon code

2003-10-08 04:51  uberdork

	* ed2k_gui/misc_sys.c: fixes #819723 - RLIMIT_OFILE/RLIMIT_NOFILE
	  on *BSD

2003-10-07 03:56  uberdork

	* ed2k_gui/misc.c: added .ogm extension to video types

2003-10-06 05:26  uberdork

	* ed2k_gui/: options.c, options.h: Deal with negative integers as
	  options (for window position, for example); continue reading rest
	  of options file if invalid symbol or value is encountered; add
	  hidden option 'window_pos_allow_negative_values' (accessible only
	  via file); fixes bug #815235 and hopefully another one as well

2003-10-05 12:30  ernieball

	* po/it.po: updated italian translation

2003-09-25 09:24  uberdork

	* docs/en/: index-4.html, index.html, index.sgml: updated sections
	  (search and advaced commands)

2003-09-24 23:00  uberdork

	* admin/csrcxref: minor csrcxref change (footer)

2003-09-24 22:55  uberdork

	* Makefile.am, admin/csrcxref: Added csrcxref script to create a
	  browseable and cross-referenced version of the source tree; new
	  Makefile targets: csrcxref and csrcxref-upload

2003-09-11 11:48  joostc

	* po/nl.po: updated Dutch translation

2003-09-10 14:07  utak3r

	* docs/pl/: index-4.html, index.sgml: Updated Polish docs

2003-09-09 17:33  uberdork

	* ed2k_gui/status_page.c: minor fix

2003-09-09 17:31  uberdork

	* ed2k_gui/: misc.c, misc.h: Make gettext pick up file type
	  descriptions for translations

2003-09-09 11:54  utak3r

	* docs/pl/index.sgml: Updated Polish docs (missing source file)

2003-09-09 11:53  utak3r

	* docs/pl/: index-4.html, index.html: Updated Polish docs (half of
	  the 4th section)

2003-09-09 06:45  uberdork

	* docs/en/: index-5.html, index.sgml: Added some info about how to
	  solve file descriptor problem on Mac OS X

2003-09-08 13:46  utak3r

	* docs/pl/: index-1.html, index-2.html, index-3.html, index-4.html,
	  index-5.html, index-6.html, index.html, index.sgml: Updated
	  Polish docs (first three sections)

2003-09-07 18:22  cknoerle

	* docs/de/: index-1.html, index-2.html, index-3.html, index-4.html,
	  index-5.html, index.html, index.sgml: updated German doc
	  translation for v0.6.x

2003-09-07 02:03  tautologist

	* ed2k_gui/systray.c: double clicking the systray shows/hides the
	  gui now

2003-09-05 17:24  uberdork

	* autogen.sh, docs/pl/.cvsignore: Don't assume /bin/sh is /bin/bash

2003-09-05 17:23  uberdork

	* configure.in, docs/Makefile.am, docs/pl/Makefile.am,
	  docs/pl/index-1.html, docs/pl/index-2.html, docs/pl/index-3.html,
	  docs/pl/index-4.html, docs/pl/index-5.html, docs/pl/index-6.html,
	  docs/pl/index.html, docs/pl/index.sgml: Don't assume /bin/sh is
	  /bin/bash (autogen.sh); added docs/pl with dummy files for Piotr
	  Borys to fill

2003-09-05 11:33  utak3r

	* po/pl.po: Updated Polish translation (718/786 done)

2003-09-04 21:48  uberdork

	* docs/en/: index-1.html, index-2.html, index-3.html, index-4.html,
	  index-5.html, index.html, index.sgml: updated English docs

2003-09-04 18:00  ricesvinto

	* po/es.po: updated spanish translation

2003-09-03 14:17  uberdork

	* ed2k_gui/: misc_sys.c, misc_sys.h, spawn_core.c: some max. file
	  descriptor stuff

2003-09-03 02:56  uberdork

	* ed2k_gui/uploadstats.c: Fixes bug in uploadstats ('remove
	  selected items' not clickable in context menu even though items
	  are selected); patch by Daniel Schneidereit

2003-09-02 22:36  cknoerle

	* po/de.po: updated German translation

2003-09-02 22:18  uberdork

	* ed2k_gui/spawn_core.c: hopefully fixes #799220 - core killed when
	  restarting X

2003-09-01 10:25  utak3r

	* po/pl.po: Updated Polish translation (713/782 done).

2003-08-29 11:14  utak3r

	* po/pl.po: Updated Polish translation (719/775 done).

2003-08-27 06:18  uberdork

	* ed2k_gui/downloads.c: When sorting by download status, give
	  status 'Resuming' same priority as 'Looking' and 'Pausing' same
	  priority as 'Paused', in order to avoid 'jumps' when
	  pausing/resuming downloads

2003-08-26 10:11  uberdork

	* ed2k_gui/spawn_core.c: Set core preferences to 'don't allow other
	  people to see my shared files' until we have an options for that.
	  Pref.met will only be changed when it will be written to (ie. if
	  you specify a different password/username in the GUI than there
	  is in the file)

2003-08-23 09:55  uberdork

	* ChangeLog: updated ChangeLog

2003-08-23 06:57  uberdork

	* ed2k_gui/: downloads.c, downloads.h, downloads_attrib.c,
	  downloads_attrib.h, main.c: fixes #793588 and #787330 - last seen
	  complete and last seen downloading not saved

2003-08-23 04:34  uberdork

	* ed2k_gui/: downloads_popup.c, options.c, progressbar.c: import of
	  old GUI v0.5.0 binary options file no longer possible (removed
	  old code); fixed inconsistency between option naming and option
	  effect for 'blue progress bar/green progress bar' option in
	  downloads list (option will need to be toggled by the user again
	  after the change)

2003-08-21 20:45  uberdork

	* po/ed2k_gui.pot: POT file update

2003-08-21 20:39  uberdork

	* ed2k_gui/: downloads_popup.c, options.c, options.h,
	  parse_message.c: new specialist option (can only be set via
	  ~/.ed2k_gui/options file): override temp path for file previews
	  from a remote core, so previews are possible even if the core is
	  running on a remote machine, as long as the temp folder is
	  mounted locally somewhere

2003-08-21 18:52  ricesvinto

	* po/es.po: updated spanish translation

2003-08-20 18:14  cknoerle

	* po/de.po: updated German translation

2003-08-19 16:39  uberdork

	* ed2k_gui/shared_dirs.c, po/ed2k_gui.pot: some translation foo
	  again

2003-08-19 16:06  uberdork

	* ed2k_gui/shared_dirs.c, po/ed2k_gui.pot: some translation foo

2003-08-19 13:12  cknoerle

	* po/de.po: updated German translation

2003-08-19 03:45  uberdork

	* ed2k_gui/: downloads.c, downloads_popup.c, options.c, options.h:
	  new option: resume a paused download when a file completes

2003-08-19 02:18  uberdork

	* ed2k_gui/: notebook.c, shared_files.c, shared_files.h: Added
	  total amount shared to shared files statistic

2003-08-19 01:17  uberdork

	* po/Makefile.in.in: patch #790858 by Chip Salzenberg - allows
	  po/Makefile to work even when *.po is not writable (as per cvs
	  -r)

2003-08-19 01:08  uberdork

	* ed2k_gui/: downloads_popup.c, main.c, options.c, options.h,
	  parse_message.c, servers.c: committed patch #790862 by Chip
	  Salzenberg - leave eDonkey2000 'auto remove dead server' option
	  and 'automatically stay connected' option alone (due to core
	  bug); + some minor vesion check fixes

2003-08-19 00:10  uberdork

	* debian/control: use shlibs for dependency information (patch
	  #790863 by Chip Salzenberg)

2003-08-16 12:13  ricesvinto

	* po/es.po: updated spanish translation

2003-08-16 11:23  ricesvinto

	* po/es.po: updated spanish translation

2003-08-16 04:56  cknoerle

	* po/de.po: updated German translation

2003-08-16 01:58  uberdork

	* po/ed2k_gui.pot: updated pot file

2003-08-16 00:19  uberdork

	* ed2k_gui/misc_gtk.c: yet another UTF8 fix

2003-08-15 18:53  uberdork

	* ed2k_gui/search.c: forgot to make soem messages translatable

2003-08-15 18:48  uberdork

	* ed2k_gui/: linkhandler.c, uploads_page.c: forgot to make soem
	  messages translatable

2003-08-15 16:50  uberdork

	* configure.in, debian/changelog, docs/Makefile.am,
	  ed2k_gui/ramfile.c, ed2k_gui/ramfile.h: change stuff to 0.6.0;
	  compiler warning fix for gcc-2.95

2003-08-15 13:41  ricesvinto

	* po/es.po: updated spanish translation

2003-08-15 04:03  cknoerle

	* po/de.po: improved German translation - thanks Sebastian!

2003-08-14 22:09  cknoerle

	* po/de.po: updated German translation

2003-08-14 10:32  uberdork

	* .cvsignore: none

2003-08-14 10:31  uberdork

	* po/ed2k_gui.pot: updated ed2k_gui.pot - do we still need this
	  file anyway?

2003-08-14 10:12  uberdork

	* ChangeLog: updated ChangeLog

2003-08-14 10:09  uberdork

	* ed2k_gui/: downloads.c, gui_core_protocol.h, main.c,
	  parse_message.c, tag.c, uploadstats.c: fixes 'finished download
	  status doesn't change to complete' bug; misc fixes

2003-08-14 09:45  uberdork

	* ed2k_gui/search.c: fix search results filename column width in
	  case of annoyingly long filenames

2003-08-14 08:58  uberdork

	* ed2k_gui/connect_gui.c: Hitting <enter> in hostname field of
	  connect dialog now connects to core as if 'Go!' button had been
	  pressed

2003-08-13 20:24  uberdork

	* ChangeLog: updated ChangeLog

2003-08-13 20:08  uberdork

	* ed2k_gui/parse_message.c: made preview work with v50

2003-08-12 14:46  utak3r

	* po/pl.po: Updated Polish translation (693/775 done)

2003-08-11 18:10  uberdork

	* ChangeLog: updated ChangeLog

2003-08-11 12:56  uberdork

	* docs/ed2k_gui.1.in: -c option no longer supported and thus
	  removed from man page

2003-08-10 19:26  uberdork

	* ed2k_gui/: downloads.c, downloads.h, global.h, gui_flags.h,
	  guicoreconn.c, icons.c, parse_message.c, parse_message.h: some
	  fixes for test version 4912 and for upcoming cores

2003-08-10 16:20  uberdork

	* ed2k_gui/servers.c: Gtk+-2.0 compile fix
	  (gtk_tree_selection_get_selected_rows() issue)

2003-08-07 18:33  uberdork

	* ed2k_gui/: downloads.c, downloads.h, parse_message.c, uploads.c:
	  fixed some minor memory leaks

2003-08-07 18:32  uberdork

	* ed2k_gui/: icons.c, linkhandler.c, misc.c: some minor fixes for
	  non-unix platforms (even though it does not work on non-unix
	  platforms yet)

2003-08-01 13:29  ernieball

	* po/it.po: updated Italian translation

2003-07-29 13:24  ernieball

	* po/it.po: patched and updated Italian translation

2003-07-29 00:42  ernieball

	* po/it.po: updated Italian translation

2003-07-28 23:04  cbricart

	* configure.in: conditionally define host OS in config.h (has been
	  checked with e.g. "#ifdef LINUX" and "#ifdef FREEBSD" but never
	  #define'd... should work now - does that break things on other
	  hosts - like *bsd ?

2003-07-28 21:09  cbricart

	* po/it.po: corrected a few compiling errors in italian translation
	  (Guido, please check - I do not speak Italian :-))

2003-07-27 19:04  uberdork

	* AUTHORS, ed2k_gui/toolbar.h: updated AUTHORS and contributors

2003-07-27 08:47  uberdork

	* ed2k_gui/: stats.c, misc_gtk.c: Fixed segfault on clicking
	  'ignore values...' on stats page

2003-07-25 01:22  ernieball

	* po/it.po: updated Italian translation

2003-07-24 18:58  uberdork

	* po/.cvsignore, Makefile.am, configure.in, ed2k_gui.desktop.in,
	  debian/.cvsignore, debian/ed2k-gtk-gui.menu, docs/.cvsignore,
	  docs/Makefile.am, docs/ed2k-gtk-gui.1, docs/ed2k_gui.1.in: We
	  have a man page now. Also, we are trying to install a .desktop
	  file for the menu system (however, the freedesktop.org
	  specification regarding paths etc. is fairly new, so it might not
	  be picked up yet)

2003-07-24 05:53  uberdork

	* ed2k_gui/: downloads.c, downloads.h, main.c, misc_sys.c,
	  misc_sys.h: closes #758517 for now - 'insufficient no. of file
	  descriptors fix'; there seems to be no sane way to find out the
	  current usage per user on systems where the limit is a per-user
	  one. Also, unless the core tells us the limit and/or usage
	  itself, this whole foo will only work without too much work if
	  the user running the GUI is the same one running the core.

2003-07-24 04:10  uberdork

	* ed2k_gui/servers.c: fixes #761489 - changing multiple servers
	  priorities doesn't work

2003-07-24 03:50  uberdork

	* ed2k_gui/: connect_gui.c, main.c: fixed weird Connect-to Dialog
	  bring-up procedure and 'busy == FALSE' assertion

2003-07-23 22:59  uberdork

	* ed2k_gui/downloads.c: fixed missing 'left' value in downloadlist
	  that happened sometimes when transfered value from core <100%

2003-07-23 19:29  uberdork

	* ed2k_gui/: downloads.c, downloads_popup.c: Make sure rows are
	  re-drawn in certain cases where the status changed (e.g. pause
	  all X etc.)

2003-07-23 06:29  uberdork

	* ed2k_gui/http_get.c: fixes #776072 - preferred server URL
	  incorrectly built

2003-07-23 05:18  uberdork

	* po/it.po: First version of Italian translation, by Guido Grazioli
	  <guido.grazioli|at|libero.it>; modified 'clean' target in po/ to
	  remove the time stamp (thus forcing a recheck of the .gmo files),
	  and modified the 'distclean' target to remove the *.gmo files

2003-07-23 05:02  uberdork

	* po/: LINGUAS, Makefile.in.in: First version of Italian
	  translation, by Guido Grazioli <guido.grazioli|at|libero.it>;
	  modified 'clean' target in po/ to remove the time stamp (thus
	  forcing a recheck of the .gmo files), and modified the
	  'distclean' target to remove the *.gmo files

2003-07-21 01:59  uberdork

	* ed2k_gui/downloads.c: build fix for GTK+-versions 2.0.x -
	  gtk_list_store_iter_is_valid() is only GTK+-2.2 and later

2003-07-18 21:26  uberdork

	* ed2k_gui/spawn_core.c: When creating or editing the pref.met
	  file, make sure we use the current temp file system (partstyle
	  flag). The old systems are no longer support for anything but
	  import. Things may go wrong if we continue using them (like weird
	  corruption errors or so). Better not take that chance.)

2003-07-18 12:15  uberdork

	* ed2k_gui/: downloads.c, downloads_popup.c: fixed: do not change
	  status/pause/resume/cancel completed downloads.

2003-07-17 03:48  uberdork

	* ChangeLog: updated ChangeLog

2003-07-17 03:47  uberdork

	* ed2k_gui/options_page.c: added icon scaling factor to options
	  page

2003-07-17 02:49  uberdork

	* ed2k_gui/options_page.c: options page re-design utf8 fixes

2003-07-17 01:58  tautologist

	* ed2k_gui/options_page.c: PHEAR: minor cosmetic changes to options
	  page, needs utf-8 fixes

2003-07-17 01:38  uberdork

	* ed2k_gui/downloads.c: fix recent fix for completed downloads

2003-07-16 17:43  uberdork

	* ed2k_gui/: icons.c, options.c, options.h: implemented icon
	  scaling support (not in dialog yet, so far it can only be set via
	  the options file)

2003-07-16 16:51  uberdork

	* ed2k_gui/linkhandler.c: if GUI is installed into a non-normal
	  path prefix location, specify the full path to the GUI binary in
	  the KDE linkhandler file, otherwise it might not be found if that
	  non-normal path is not in the PATH environment variable.

2003-07-16 15:27  uberdork

	* ed2k_gui/parse_message.c: Consider core location (local/remote)
	  when dealing with temp file name handling

2003-07-16 14:05  utak3r

	* po/pl.po: updated Polish translation (676/775 done)

2003-07-16 14:00  joostc

	* po/nl.po: updated Dutch translation

2003-07-16 13:47  joostc

	* po/nl.po: updated Dutch translation

2003-07-16 13:32  joostc

	* po/nl.po: updated Dutch translation

2003-07-16 13:15  joostc

	* po/nl.po: updated Dutch translation

2003-07-16 03:19  uberdork

	* ChangeLog: updated ChangeLog

2003-07-16 03:18  uberdork

	* ed2k_gui/downloads.c: update row in downloads view after changing
	  status from 'completing' to 'complete'

2003-07-16 02:00  uberdork

	* ed2k_gui/downloads.c: do not show 0.0 speed in Looking... status,
	  but show no speed instead to make it easier to spot the
	  downloading downloads.

2003-07-15 21:13  uberdork

	* ed2k_gui/parse_message.c: some more fixes for v48/v49 cores using
	  the very old partstyle system

2003-07-15 21:01  uberdork

	* autogen.sh: check autoconf version in autogen.sh

2003-07-15 18:25  uberdork

	* configure.in: configure.in update (canonical system check added)

2003-07-15 18:20  uberdork

	* ed2k_gui/: downloads.c, downloads.h, downloads_attrib.c,
	  downloads_popup.c, gui_core_protocol.h, gui_flags.h,
	  guicoreconn.c, misc.c, options_page.c, packet.c, packet.h,
	  parse_message.c, progressbar.c, progressbar.h, ramfile.c,
	  ramfile.h, search.c, send_command.c: downloads page rewrite, with
	  (hopefully) less CPU usage and more code clarity. Written for
	  core v49.5, but also tested with v48.x and v44. In particular:
	  fixed 'highest priority' (horde) stuff, and implemented preview
	  for v49 cores. Things might still break.

2003-07-14 19:13  uberdork

	* autogen.sh: better handling of different automake versions.

2003-07-08 16:31  uberdork

	* ed2k_gui/: logfile.c, status_page.c: fixes #758513 - markup
	  escapes printed to stdout and logfile

2003-07-04 18:22  cknoerle

	* docs/de/: index-5.html, index.html, index.sgml: updated German
	  doc translation

2003-07-03 16:01  uberdork

	* ChangeLog: updated ChangeLog

2003-07-02 16:01  uberdork

	* ChangeLog: updated ChangeLog

2003-07-01 16:00  uberdork

	* ChangeLog: updated ChangeLog

2003-06-30 19:30  uberdork

	* ed2k_gui/: downloads.c, downloads.h, parse_message.c: Added
	  support for v49.5-style download<->status mapping *sigh*

2003-06-30 16:01  uberdork

	* ChangeLog: updated ChangeLog

2003-06-30 14:46  uberdork

	* docs/en/: index-5.html, index.html, index.sgml: updated docs:
	  ssh-tunneling of gui-core connection question

2003-06-30 12:48  utak3r

	* po/pl.po: updated Polish translation (646/775 done)

2003-06-29 16:00  uberdork

	* ChangeLog: updated ChangeLog

2003-06-29 13:50  cbricart

	* configure.in: beautification of  and	generation

2003-06-28 16:00  uberdork

	* ChangeLog: updated ChangeLog

2003-06-28 12:55  cknoerle

	* po/de.po: updated German translation and fixed a typo

2003-06-27 12:20  uberdork

	* ed2k_gui/toolbar.c: forgot to actually get the toolbar help
	  translated before displaying it

2003-06-27 10:47  utak3r

	* po/pl.po: updated Polish translation - 582 of 775 msgs done.

2003-06-27 08:35  uberdork

	* ChangeLog: updated ChangeLog

2003-06-26 16:33  utak3r

	* po/pl.po: updated Polish translation - again :)

2003-06-26 15:37  uberdork

	* ed2k_gui/toolbar.c: make toolbar help text translatable

2003-06-26 14:43  uberdork

	* ed2k_gui/misc_sys.c: getmicrouptime() seems to give us 'undefined
	  reference' errors on some/all FreeBSD => disable code.

2003-06-26 14:05  uberdork

	* configure.in: yet another build fix. 'make dist' should now even
	  produce sth usable

2003-06-26 13:27  utak3r

	* po/pl.po: updated Polish translation

2003-06-26 01:04  uberdork

	* ed2k_gui.filelist, ed2k_gui.kdevelop, ed2k_gui.kdevses,
	  po/.cvsignore: added gideon project files. I know they shouldn't
	  be in CVS, but I don't want ./cvs-clean.pl to remove them again
	  accidentally :P

2003-06-26 01:00  uberdork

	* Makefile.am, configure.in, po/LINGUAS, po/Makefile.am,
	  po/TRANSLATIONS, po/ed2k_gui.pot, po/make_ed2k_gui_pot.sh,
	  po/merge_pot_with_po.sh: some more build fixes

2003-06-25 14:16  cbricart

	* README.CVS: add note about Mandrake GNU/Linux 9.1

2003-06-24 20:49  cknoerle

	* po/de.po: updated German translation

2003-06-24 18:26  uberdork

	* configure.in: oops, forgot to commit

2003-06-24 11:20  utak3r

	* po/pl.po: updated Polish translation

2003-06-24 10:04  utak3r

	* po/pl.po: updated Polish translation

2003-06-24 02:13  uberdork

	* icons/: default/Makefile.am, default/ed2k-logo-mini.png,
	  gnome2/Makefile.am, gnome2/ed2k-logo-mini.png, h2o/Makefile.am,
	  h2o/ed2k-logo-mini.png, jara/Makefile.am,
	  jara/ed2k-logo-mini.png, orbit/Makefile.am,
	  orbit/ed2k-logo-mini.png: added ed2k-logo-mini.png for all icon
	  themes. The logo is not used yet. Fixes #758510. Better icons
	  welcome ;)

2003-06-23 22:07  uberdork

	* docs/de/: index-5.html, index.html, index.sgml: checking
	  Christopher's latest doc additions back in

2003-06-23 15:36  uberdork

	* configure.in, intl/Makefile, intl/Makefile.am: some build fixes

2003-06-23 15:29  uberdork

	* ed2k_gui/: dns_lookup.c, global.h, guicoreconn.c, http_get.c,
	  linkhandler.c, logfile.c, main.c, misc.c, misc_gtk.c,
	  misc_strings.c, options.c, options_page.c, parse_message.c,
	  pipe.c, ramfile.c, search_popup.c, send_command.c, servers.c,
	  shared_dirs.c, shared_page.c, stats.c, status_page.c, toolbar.c,
	  uploadstats.c: Got rid of all old and wrong usage of the
	  N_(string) macro.

2003-06-23 15:04  ricesvinto

	* po/es.po: updated spanish translation

2003-06-23 12:11  uberdork

	* intl/Makefile: none

2003-06-23 11:22  uberdork

	* ed2k_gui/downloads.c: minor fix (missing parameter to g_print()

2003-06-23 11:16  uberdork

	* .cvsignore: [no log message]

2003-06-23 10:47  uberdork

	* m4/Makefile.in, Makefile.am: BIG CHANGE: re-structured the source
	  code and the build system. If things break, please let me know.

2003-06-23 10:44  uberdork

	* m4/: ChangeLog, Makefile.am, codeset.m4, gettext.m4, glibc21.m4,
	  iconv.m4, intdiv0.m4, inttypes-pri.m4, inttypes.m4,
	  inttypes_h.m4, isc-posix.m4, lcmessage.m4, lib-ld.m4,
	  lib-link.m4, lib-prefix.m4, nls.m4, po.m4, progtest.m4,
	  stdint_h.m4, uintmax_t.m4, ulonglong.m4, Makefile.in: BIG CHANGE:
	  re-structured the source code and the build system. If things
	  break, please let me know.

2003-06-23 10:40  uberdork

	* admin/: config.guess, config.rpath, config.sub: BIG CHANGE:
	  re-structured the source code and the build system. If things
	  break, please let me know.

2003-06-23 10:33  uberdork

	* intl/Makefile: BIG CHANGE: re-structured the source code and the
	  build system. If things break, please let me know.

2003-06-23 10:29  uberdork

	* ABOUT-NLS, ChangeLog, Makefile.am, Makefile.dist, autogen.sh,
	  configure.in, configure.in.in, ed2k_gui.kdevprj,
	  ed2k_gui.kdevses, special.m4.in, admin/ChangeLog,
	  admin/Doxyfile.am, admin/Doxyfile.global, admin/Makefile.common,
	  admin/acinclude.m4.in, admin/am_edit, admin/conf.change.pl,
	  admin/config.guess, admin/config.pl, admin/config.sub,
	  admin/configure.in.bot.end, admin/configure.in.min, admin/cvs.sh,
	  admin/debianrules, admin/detect-autoconf.sh, admin/libtool.m4.in,
	  admin/ltmain.sh, admin/ylwrap, docs/.cvsignore, docs/Makefile.am,
	  docs/de/.cvsignore, docs/de/Makefile.am, docs/de/index-1.html,
	  docs/de/index-2.html, docs/de/index-3.html, docs/de/index-4.html,
	  docs/de/index-5.html, docs/de/index-6.html, docs/de/index.html,
	  docs/de/index.sgml, docs/en/.cvsignore, docs/en/Makefile.am,
	  docs/en/index-1.html, docs/en/index-2.html, docs/en/index-3.html,
	  docs/en/index-4.html, docs/en/index-5.html, docs/en/index-6.html,
	  docs/en/index.html, docs/en/index.sgml, docs/es/.cvsignore,
	  docs/es/Makefile.am, docs/es/index-1.html, docs/es/index-2.html,
	  docs/es/index-3.html, docs/es/index-4.html, docs/es/index-5.html,
	  docs/es/index-6.html, docs/es/index-7.html, docs/es/index.html,
	  docs/es/index.sgml, ed2k_gui/Makefile.am, icons/.cvsignore,
	  icons/Makefile.am, icons/default/.cvsignore,
	  icons/default/Makefile.am, icons/default/cancel.png,
	  icons/default/dl-status-avail-full.png,
	  icons/default/dl-status-avail-high.png,
	  icons/default/dl-status-avail-low.png,
	  icons/default/dl-status-blue.png,
	  icons/default/dl-status-error.png,
	  icons/default/dl-status-paused.png,
	  icons/default/ed2k-gtk-gui.png, icons/default/filetype-audio.png,
	  icons/default/filetype-cdimage.png,
	  icons/default/filetype-document.png,
	  icons/default/filetype-image.png,
	  icons/default/filetype-package.png,
	  icons/default/filetype-program.png,
	  icons/default/filetype-subtitles.png,
	  icons/default/filetype-video.png,
	  icons/default/menu-blacklist.png, icons/default/menu-cancel.png,
	  icons/default/menu-connect.png,
	  icons/default/menu-disconnect.png,
	  icons/default/menu-dl-cancel.png,
	  icons/default/menu-download.png, icons/default/menu-extend.png,
	  icons/default/menu-hide-column.png,
	  icons/default/menu-homepage.png, icons/default/menu-options.png,
	  icons/default/menu-pause.png, icons/default/menu-preview.png,
	  icons/default/menu-prio-high.png,
	  icons/default/menu-prio-low.png,
	  icons/default/menu-prio-medium.png, icons/default/menu-quit.png,
	  icons/default/menu-refresh.png, icons/default/menu-resume.png,
	  icons/default/menu-search.png, icons/default/menu-status.png,
	  icons/default/menu-thankyou.png,
	  icons/default/menu-unhide-column.png,
	  icons/default/menu-upload.png, icons/default/none.png,
	  icons/default/nuke.png, icons/default/ok.png,
	  icons/default/option-false.png, icons/default/option-true.png,
	  icons/default/shutdown.png, icons/default/sys-gnome1.png,
	  icons/default/sys-gnome2.png, icons/default/sys-kde.png,
	  icons/default/sys-linux.png, icons/default/tab-downloads.png,
	  icons/default/tab-forget.png, icons/default/tab-options.png,
	  icons/default/tab-search.png, icons/default/tab-servers.png,
	  icons/default/tab-shared.png, icons/default/tab-stats.png,
	  icons/default/tab-status.png, icons/default/tab-uploads.png,
	  icons/default/toolbar-about.png,
	  icons/default/toolbar-ed2k-logo.png,
	  icons/default/toolbar-go.png,
	  icons/default/toolbar-num-connections.png,
	  icons/default/toolbar-overnet-logo.png,
	  icons/default/toolbar-server.png, icons/gnome2/.cvsignore,
	  icons/gnome2/Makefile.am, icons/gnome2/cancel.png,
	  icons/gnome2/dl-status-avail-full.png,
	  icons/gnome2/dl-status-avail-high.png,
	  icons/gnome2/dl-status-avail-low.png,
	  icons/gnome2/dl-status-blue.png,
	  icons/gnome2/dl-status-error.png,
	  icons/gnome2/dl-status-paused.png, icons/gnome2/ed2k-gtk-gui.png,
	  icons/gnome2/filetype-audio.png,
	  icons/gnome2/filetype-cdimage.png,
	  icons/gnome2/filetype-document.png,
	  icons/gnome2/filetype-image.png,
	  icons/gnome2/filetype-package.png,
	  icons/gnome2/filetype-program.png,
	  icons/gnome2/filetype-subtitles.png,
	  icons/gnome2/filetype-video.png, icons/gnome2/menu-blacklist.png,
	  icons/gnome2/menu-cancel.png, icons/gnome2/menu-connect.png,
	  icons/gnome2/menu-disconnect.png,
	  icons/gnome2/menu-dl-cancel.png, icons/gnome2/menu-download.png,
	  icons/gnome2/menu-extend.png, icons/gnome2/menu-hide-column.png,
	  icons/gnome2/menu-homepage.png, icons/gnome2/menu-options.png,
	  icons/gnome2/menu-pause.png, icons/gnome2/menu-preview.png,
	  icons/gnome2/menu-prio-high.png, icons/gnome2/menu-prio-low.png,
	  icons/gnome2/menu-prio-medium.png, icons/gnome2/menu-quit.png,
	  icons/gnome2/menu-refresh.png, icons/gnome2/menu-resume.png,
	  icons/gnome2/menu-search.png, icons/gnome2/menu-status.png,
	  icons/gnome2/menu-thankyou.png,
	  icons/gnome2/menu-unhide-column.png,
	  icons/gnome2/menu-upload.png, icons/gnome2/none.png,
	  icons/gnome2/nuke.png, icons/gnome2/ok.png,
	  icons/gnome2/option-false.png, icons/gnome2/option-true.png,
	  icons/gnome2/shutdown.png, icons/gnome2/sys-gnome1.png,
	  icons/gnome2/sys-gnome2.png, icons/gnome2/sys-kde.png,
	  icons/gnome2/sys-linux.png, icons/gnome2/tab-downloads.png,
	  icons/gnome2/tab-forget.png, icons/gnome2/tab-options.png,
	  icons/gnome2/tab-search.png, icons/gnome2/tab-servers.png,
	  icons/gnome2/tab-shared.png, icons/gnome2/tab-stats.png,
	  icons/gnome2/tab-status.png, icons/gnome2/tab-uploads.png,
	  icons/gnome2/toolbar-about.png,
	  icons/gnome2/toolbar-ed2k-logo.png, icons/gnome2/toolbar-go.png,
	  icons/gnome2/toolbar-num-connections.png,
	  icons/gnome2/toolbar-overnet-logo.png,
	  icons/gnome2/toolbar-server.png, icons/h2o/.cvsignore,
	  icons/h2o/Makefile.am, icons/h2o/cancel.png,
	  icons/h2o/dl-status-avail-full.png,
	  icons/h2o/dl-status-avail-high.png,
	  icons/h2o/dl-status-avail-low.png, icons/h2o/dl-status-blue.png,
	  icons/h2o/dl-status-error.png, icons/h2o/dl-status-paused.png,
	  icons/h2o/ed2k-gtk-gui.png, icons/h2o/filetype-audio.png,
	  icons/h2o/filetype-cdimage.png, icons/h2o/filetype-document.png,
	  icons/h2o/filetype-image.png, icons/h2o/filetype-package.png,
	  icons/h2o/filetype-program.png, icons/h2o/filetype-subtitles.png,
	  icons/h2o/filetype-video.png, icons/h2o/menu-blacklist.png,
	  icons/h2o/menu-cancel.png, icons/h2o/menu-connect.png,
	  icons/h2o/menu-disconnect.png, icons/h2o/menu-dl-cancel.png,
	  icons/h2o/menu-download.png, icons/h2o/menu-extend.png,
	  icons/h2o/menu-hide-column.png, icons/h2o/menu-homepage.png,
	  icons/h2o/menu-options.png, icons/h2o/menu-pause.png,
	  icons/h2o/menu-preview.png, icons/h2o/menu-prio-high.png,
	  icons/h2o/menu-prio-low.png, icons/h2o/menu-prio-medium.png,
	  icons/h2o/menu-quit.png, icons/h2o/menu-refresh.png,
	  icons/h2o/menu-resume.png, icons/h2o/menu-search.png,
	  icons/h2o/menu-status.png, icons/h2o/menu-thankyou.png,
	  icons/h2o/menu-unhide-column.png, icons/h2o/menu-upload.png,
	  icons/h2o/none.png, icons/h2o/nuke.png, icons/h2o/ok.png,
	  icons/h2o/option-false.png, icons/h2o/option-true.png,
	  icons/h2o/shutdown.png, icons/h2o/sys-gnome1.png,
	  icons/h2o/sys-gnome2.png, icons/h2o/sys-kde.png,
	  icons/h2o/sys-linux.png, icons/h2o/tab-downloads.png,
	  icons/h2o/tab-forget.png, icons/h2o/tab-options.png,
	  icons/h2o/tab-search.png, icons/h2o/tab-servers.png,
	  icons/h2o/tab-shared.png, icons/h2o/tab-stats.png,
	  icons/h2o/tab-status.png, icons/h2o/tab-uploads.png,
	  icons/h2o/toolbar-about.png, icons/h2o/toolbar-ed2k-logo.png,
	  icons/h2o/toolbar-go.png, icons/h2o/toolbar-num-connections.png,
	  icons/h2o/toolbar-overnet-logo.png, icons/h2o/toolbar-server.png,
	  icons/jara/.cvsignore, icons/jara/Makefile.am,
	  icons/jara/cancel.png, icons/jara/dl-status-avail-full.png,
	  icons/jara/dl-status-avail-high.png,
	  icons/jara/dl-status-avail-low.png,
	  icons/jara/dl-status-error.png, icons/jara/dl-status-green.png,
	  icons/jara/dl-status-paused.png, icons/jara/ed2k-gtk-gui.png,
	  icons/jara/filetype-audio.png, icons/jara/filetype-cdimage.png,
	  icons/jara/filetype-document.png, icons/jara/filetype-image.png,
	  icons/jara/filetype-package.png, icons/jara/filetype-program.png,
	  icons/jara/filetype-subtitles.png, icons/jara/filetype-video.png,
	  icons/jara/menu-blacklist.png, icons/jara/menu-blacklist2.png,
	  icons/jara/menu-cancel.png, icons/jara/menu-connect.png,
	  icons/jara/menu-disconnect.png, icons/jara/menu-dl-cancel.png,
	  icons/jara/menu-download.png, icons/jara/menu-extend.png,
	  icons/jara/menu-hide-column.png, icons/jara/menu-homepage.png,
	  icons/jara/menu-options.png, icons/jara/menu-pause.png,
	  icons/jara/menu-preview.png, icons/jara/menu-prio-high.png,
	  icons/jara/menu-prio-low.png, icons/jara/menu-prio-medium.png,
	  icons/jara/menu-quit.png, icons/jara/menu-refresh.png,
	  icons/jara/menu-resume.png, icons/jara/menu-search.png,
	  icons/jara/menu-status.png, icons/jara/menu-thankyou.png,
	  icons/jara/menu-unhide-column.png, icons/jara/menu-upload.png,
	  icons/jara/none.png, icons/jara/nuke.png, icons/jara/ok.png,
	  icons/jara/option-false.png, icons/jara/option-true.png,
	  icons/jara/shutdown.png, icons/jara/sys-gnome1.png,
	  icons/jara/sys-gnome2.png, icons/jara/sys-kde.png,
	  icons/jara/sys-linux.png, icons/jara/tab-downloads.png,
	  icons/jara/tab-forget.png, icons/jara/tab-options.png,
	  icons/jara/tab-search.png, icons/jara/tab-servers.png,
	  icons/jara/tab-shared.png, icons/jara/tab-stats.png,
	  icons/jara/tab-status.png, icons/jara/tab-uploads.png,
	  icons/jara/toolbar-about.png, icons/jara/toolbar-about2.png,
	  icons/jara/toolbar-ed2k-logo.png, icons/jara/toolbar-go.png,
	  icons/jara/toolbar-num-connections.png,
	  icons/jara/toolbar-overnet-logo.png,
	  icons/jara/toolbar-server.png, icons/orbit/.cvsignore,
	  icons/orbit/Makefile.am, icons/orbit/cancel.png,
	  icons/orbit/dl-status-avail-full.png,
	  icons/orbit/dl-status-avail-high.png,
	  icons/orbit/dl-status-avail-low.png,
	  icons/orbit/dl-status-blue.png, icons/orbit/dl-status-error.png,
	  icons/orbit/dl-status-paused.png, icons/orbit/ed2k-gtk-gui.png,
	  icons/orbit/filetype-audio.png, icons/orbit/filetype-cdimage.png,
	  icons/orbit/filetype-document.png,
	  icons/orbit/filetype-image.png, icons/orbit/filetype-package.png,
	  icons/orbit/filetype-program.png,
	  icons/orbit/filetype-subtitles.png,
	  icons/orbit/filetype-video.png, icons/orbit/menu-blacklist.png,
	  icons/orbit/menu-cancel.png, icons/orbit/menu-connect.png,
	  icons/orbit/menu-disconnect.png, icons/orbit/menu-dl-cancel.png,
	  icons/orbit/menu-download.png, icons/orbit/menu-extend.png,
	  icons/orbit/menu-hide-column.png, icons/orbit/menu-homepage.png,
	  icons/orbit/menu-options.png, icons/orbit/menu-pause.png,
	  icons/orbit/menu-preview.png, icons/orbit/menu-prio-high.png,
	  icons/orbit/menu-prio-low.png, icons/orbit/menu-prio-medium.png,
	  icons/orbit/menu-quit.png, icons/orbit/menu-refresh.png,
	  icons/orbit/menu-resume.png, icons/orbit/menu-search.png,
	  icons/orbit/menu-status.png, icons/orbit/menu-thankyou.png,
	  icons/orbit/menu-unhide-column.png, icons/orbit/menu-upload.png,
	  icons/orbit/none.png, icons/orbit/nuke.png, icons/orbit/ok.png,
	  icons/orbit/option-false.png, icons/orbit/option-true.png,
	  icons/orbit/shutdown.png, icons/orbit/sys-gnome1.png,
	  icons/orbit/sys-gnome2.png, icons/orbit/sys-kde.png,
	  icons/orbit/sys-linux.png, icons/orbit/tab-downloads.png,
	  icons/orbit/tab-forget.png, icons/orbit/tab-options.png,
	  icons/orbit/tab-search.png, icons/orbit/tab-servers.png,
	  icons/orbit/tab-shared.png, icons/orbit/tab-stats.png,
	  icons/orbit/tab-status.png, icons/orbit/tab-uploads.png,
	  icons/orbit/toolbar-about.png, icons/orbit/toolbar-ed2k-logo.png,
	  icons/orbit/toolbar-go.png,
	  icons/orbit/toolbar-num-connections.png,
	  icons/orbit/toolbar-overnet-logo.png,
	  icons/orbit/toolbar-server.png, macros/pkg.m4, po/Makefile.in.in,
	  po/Makevars, po/POTFILES.in, po/Rules-quot, po/boldquot.sed,
	  po/de.po, po/en@boldquot.header, po/en@quot.header, po/fr.po,
	  po/insert-header.sin, po/pl.po, po/quot.sed,
	  po/remove-potcdate.sin, po/sl.po: BIG CHANGE: re-structured the
	  source code and the build system. If things break, please let me
	  know.

2003-06-22 23:04  cknoerle

	* po/de.po: updated German translation some improvements, fixed
	  some typos

2003-06-21 15:48  uberdork

	* ed2k_gui/: main.c, options_page.c: fixes #758394 (font selection
	  does not work in latest CVS)

2003-06-20 14:52  utak3r

	* po/pl.po: updated Polish translation

2003-06-19 12:12  joostc

	* po/nl.po: updated Dutch translation

2003-06-19 05:18  uberdork

	* ed2k_gui/: downloads.c, downloads_popup.c, parse_message.c: some
	  minor fixes

2003-06-17 21:26  ricesvinto

	* po/es.po: updated spanish translation

2003-06-17 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-06-17 03:23  uberdork

	* ed2k_gui/: colors.c, colors.h, downloads.c, downloads_popup.c,
	  send_command.c: fixes #754709 - emergency pause glitches; minor
	  clean-ups

2003-06-16 18:54  cknoerle

	* po/de.po: updated

2003-06-16 17:57  uberdork

	* ed2k_gui/: main.c, notebook.c, options_page.c: fixes #739501 -
	  options get reloaded about once a minute

2003-06-16 16:46  uberdork

	* ed2k_gui/: downloads.c, downloads.h, icons.c, main.c,
	  options_page.c, parse_message.c, progressbar.c: Added font
	  selector; print explicit error message in icon loader; clean-ups

2003-06-16 14:00  utak3r

	* po/pl.po: updated polish translation

2003-06-15 22:20  uberdork

	* ed2k_gui/downloads.c: fixes #754801 - progress bar height doesn't
	  change with font size

2003-06-15 10:02  uberdork

	* debian/: .cvsignore, changelog, control: updated debian rules

2003-06-14 05:00  uberdork

	* ChangeLog: updated ChangeLog

2003-06-13 05:02  uberdork

	* ChangeLog: updated ChangeLog

2003-06-12 05:02  uberdork

	* ChangeLog: updated ChangeLog

2003-06-11 11:49  utak3r

	* po/pl.po: updated polish translation

2003-06-11 05:03  uberdork

	* ChangeLog: updated ChangeLog

2003-06-10 18:39  cknoerle

	* po/de.po: committing the two translated strings #-)

2003-06-10 17:57  uberdork

	* ed2k_gui/connect_gui.c: fixes segfault on start-up

2003-06-10 16:44  cknoerle

	* po/de.po: translated two strings :D

2003-06-10 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-06-10 00:44  ricesvinto

	* po/es.po: updated spanish translation

2003-06-09 22:11  uberdork

	* ed2k_gui/linkhandler.c: some more minor fixes, mostly by Daniel

2003-06-09 19:57  uberdork

	* ed2k_gui/: downloads.c, misc_gtk.c, servers.c: more minor fixes,
	  mostly by Daniel

2003-06-09 19:08  cknoerle

	* po/de.po: Update

2003-06-09 18:03  uberdork

	* ed2k_gui/: connect_gui.c, icons.c, ramfile.c, shared_dirs.c,
	  spawn_core.c: mostly mem leak fixes and clean-up of unnecessary
	  code, most of it by Daniel ( ramune at net-ronin dot org), some
	  of it by Yours Truly

2003-06-09 16:40  uberdork

	* po/: .cvsignore, ed2k_gui.pot, pl.po: Polish translation file
	  pl.po added (dummy), template file updated.

2003-06-09 05:04  uberdork

	* ChangeLog: updated ChangeLog

2003-06-09 04:50  uberdork

	* ed2k_gui/logfile.c: logfile date fix (month). patch by
	  Hans-Heinrich Viehmann

2003-06-09 02:22  uberdork

	* ed2k_gui/misc.c: fixes possible segfault on browser invocation.
	  Fix by Tilman Vogel (Tilman dot Vogel at web dot de)

2003-06-02 15:41  joostc

	* po/nl.po: updated Dutch translation

2003-05-24 22:12  tautologist

	* ChangeLog: Updated ChangeLog

2003-05-24 22:11  tautologist

	* ed2k_gui/parse_message.c: Applied patch to correct server
	  priority values -- patch by Hans-Heinrich Viehmann <hviehmann at
	  adelphia dot net>

2003-05-24 22:09  tautologist

	* ChangeLog: Updated ChangeLog

2003-05-24 22:06  tautologist

	* ed2k_gui/servers.h: Applied patch to correct server priority
	  values -- patch by Hans-Heinrich Viehmann <hviehmann at adelphia
	  dot net>

2003-05-23 00:41  ricesvinto

	* po/es.po: updated UTF-8 spanish translation

2003-05-20 05:00  uberdork

	* ChangeLog: updated ChangeLog

2003-05-19 21:45  uberdork

	* ed2k_gui/: options_page.c, options_page.h: removed unnecessary
	  macros, replaced some with functions

2003-05-19 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-18 18:01  uberdork

	* ed2k_gui/options_page.c: more UTF8 fixes for the options page

2003-05-18 14:17  uberdork

	* ed2k_gui/: options.c, options.h, options_page.c, systray.c: two
	  new options: (a) save window position and size (instead of
	  letting the window manager handle that); (b) show applet if
	  supported; and some UTF8 fixes for the options page (thanks to
	  EL)

2003-05-18 11:58  uberdork

	* ed2k_gui/: downloads_popup.c, toolbar.c: some more UTF8 fixes,
	  thanks to EL

2003-05-18 11:30  uberdork

	* ed2k_gui/: downloads.c, downloads_popup.c, misc_gtk.c,
	  misc_gtk.h, search.c, search_popup.c, servers.c, shared_dirs.c,
	  shared_files.c, uploadstats.c: replace all occurences of
	  gtk_tree_selection_count_selected_rows with
	  misc_gtk_tree_selection_count_selected_rows, so we can make
	  gtk+-2.0-compatible packages in a gtk+-2.2 development
	  environment *sigh*

2003-05-18 11:28  uberdork

	* ed2k_gui/parse_message.c: fixes toolbar - status page/servers
	  page server connect discrepancy; thanks to Elouen Lanoë

2003-05-18 10:53  uberdork

	* ed2k_gui/options_page.h: Tooltips UTF8 fix, thanks to Elouen
	  Lanoë

2003-05-18 10:47  uberdork

	* ed2k_gui/misc_strings.c: fixed double free, thanks to Elouen
	  Lanoë

2003-05-18 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-17 13:45  ricesvinto

	* po/es.po: updated spanish translation

2003-05-17 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-16 18:51  uberdork

	* ed2k_gui/: connect_gui.c, downloads.c, guicoreconn.c, main.c,
	  mainwindow.c, notebook.c, notebook.h, options_page.c,
	  parse_message.c, send_command.c, stats.c, status_page.c,
	  status_page.h, toolbar.c: client ID and firewalled status in now
	  shown in statusbar when the status page is visible (in edonkey
	  and overnet); fixed output of 'g' advanced command; loads of
	  clean-ups and misc. other fixes

2003-05-16 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-16 00:46  cknoerle

	* po/de.po: tiny changes

2003-05-16 00:05  cknoerle

	* po/de.po: updated

2003-05-15 11:03  uberdork

	* ed2k_gui/downloads_popup.c: fix NULL column thing in downloads
	  options pop-up menu in case there are no downloads; found by
	  Daniel

2003-05-15 09:10  uberdork

	* configure.in.in: make CVS version contain debugging symbols by
	  default

2003-05-15 09:08  uberdork

	* ed2k_gui/: connect_gui.c, downloads.c, global.h, linkhandler.c,
	  misc.c, notebook.c, options.c, options_page.c, stats.c: get rid
	  of some evil macro foo and other stuff

2003-05-15 07:33  uberdork

	* ed2k_gui/stats.c: fix stats drawing if max upload or download
	  sample is 0kB/s. Thanks to Hans-Heinrich Viehmann for the patch

2003-05-15 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-14 17:12  uberdork

	* ed2k_gui/: downloads.c, guicoreconn.c, main.c, notebook.c,
	  notebook.h, parse_message.c, servers.h: hide servers page when in
	  overnet mode

2003-05-14 13:18  uberdork

	* autogen.sh: added 'exit if fail' stuff to autogen.sh in case
	  automake/autoconf versions are not quite right.

2003-05-14 11:14  uberdork

	* ed2k_gui/: guicoreconn.c, main.c: fix double dialogs (connect to
	  + reconnect) if connect on start-up fails (dirty fix)

2003-05-14 11:04  uberdork

	* ed2k_gui/: parse_message.c, send_command.c, send_command.h,
	  servers.c, servers.h: fixed server priorities

2003-05-14 10:22  uberdork

	* ed2k_gui/: downloads.c, progressbar.c: fixes wrong colouring of
	  available parts in progress bar for paused downloads

2003-05-14 09:16  uberdork

	* ed2k_gui/servers.c: re-implement double-click on servers list,
	  patch by Daniel (ramune at net-ronin dot org) and Yours Truly

2003-05-14 08:54  uberdork

	* ed2k_gui/: misc.c, parse_message.c, servers.c, servers.h,
	  shared_files.c: complete overhaul and code review of the servers
	  page - it might even be maintainable now to some extent; some
	  miscellaneous fixes here and there; hopefully fixes #735982

2003-05-14 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-14 00:55  uberdork

	* README.CVS: cvs instructions update

2003-05-13 05:00  uberdork

	* ChangeLog: updated ChangeLog

2003-05-12 15:38  uberdork

	* admin/acinclude.m4.in: autoconf fix for PKG_CHECK_MODULES problem

2003-05-12 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-11 21:06  uberdork

	* ed2k_gui/Makefile.am: build fix

2003-05-11 12:53  uberdork

	* ed2k_gui/systray.c: re-enabled systray icon for gnome2

2003-05-11 12:44  tautologist

	* ed2k_gui/systray.c: re-added destroy handler

2003-05-11 11:21  uberdork

	* ed2k_gui/: downloads.c, downloads.h, downloads_popup.c,
	  options.c, options.h, parse_message.c: re-implemented 'show
	  transfered in percent' option in downloads view

2003-05-11 09:15  uberdork

	* ed2k_gui/: mainwindow.c, systray.c, systray.h: systray
	  compile/link fixes and clean-ups; systray code temporarily
	  disabled

2003-05-11 08:32  uberdork

	* ed2k_gui/options.c: fixed #722986 ('current cvs does not save
	  core binary path') - thanks to anonymous Hans

2003-05-11 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-11 02:00  ricesvinto

	* po/es.po: updated spanish translation

2003-05-10 19:54  tautologist

	* ed2k_gui/mainwindow.c, ed2k_gui/systray.c, ed2k_gui/systray.h,
	  configure.in.in: further systray obfuscation

2003-05-10 18:52  tautologist

	* ed2k_gui/eggtrayicon.c: fixed minor slip

2003-05-10 18:39  tautologist

	* ed2k_gui/: eggtrayicon.c, systray.c: Added #ifdefs to disable
	  systray with GTK+ < 2.2.0

2003-05-10 18:32  tautologist

	* configure.in.in: EggTrayIcon needs X headers. added check

2003-05-10 18:12  tautologist

	* ed2k_gui/: Makefile.am, icons.c, icons.h, toolbar.c: Systray
	  support

2003-05-10 18:10  tautologist

	* ed2k_gui/: eggtrayicon.c, eggtrayicon.h, systray.c, systray.h:
	  Initial support for systray icon: expect some brokenness in
	  gnome, and doesnt work in kde

2003-05-10 14:52  uberdork

	* ed2k_gui/icons.c: Hidden directories in the icon dir or
	  ~/.ed2k_gui/icons/ are most likely NOT themes...

2003-05-10 07:04  uberdork

	* ed2k_gui/pipe.c: some small pipe fixes

2003-05-10 06:08  uberdork

	* AUTHORS, ed2k_gui/connect_gui.c, ed2k_gui/gui_flags.h,
	  ed2k_gui/spawn_core.c, ed2k_gui/spawn_core.h, ed2k_gui/toolbar.c,
	  ed2k_gui/toolbar.h: updated credits; added entry for overnet
	  homepage to about menu; more minor fixes by Daniel (ramune at
	  net-ronin dot org)

2003-05-10 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-10 03:29  uberdork

	* ed2k_gui/: connect_gui.c, mainwindow.c, mainwindow.h,
	  progressbar.c, toolbar.c: fixes buggy behaviour of exit functions

2003-05-10 02:08  uberdork

	* ed2k_gui/: downloads.c, misc_gtk.c, misc_gtk.h, shared_files.c:
	  make compile on gtk+-2.0.x again, which doesn't have
	  gtk_tree_row_reference_copy(), d'oh\!

2003-05-09 13:51  uberdork

	* ed2k_gui/misc.c: build fix

2003-05-09 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-09 03:05  uberdork

	* ed2k_gui/: connect_gui.c, downloads.c, guicoreconn.c, icons.c,
	  misc.c, misc.h, options.c, parse_message.c, ramfile.c, search.c,
	  shared_files.c, uploads.c, uploads.h: fixed some memory leaks

2003-05-09 00:04  uberdork

	* ed2k_gui/: misc_gtk.c, options.h, parse_message.c,
	  shared_files.c, shared_files.h: handling a large number of shared
	  files: fix this once and for all. interface might still freeze
	  for a couple of secs from time to time though, but that's better
	  than eternal freeze. The shared file list sorting is not saved
	  any longer due to this. Fixes #728200

2003-05-08 23:22  uberdork

	* ed2k_gui/: guicoreconn.c, packet.c, packet.h: gui-core connection
	  handling fixes

2003-05-08 23:20  uberdork

	* ed2k_gui/: downloads.c, downloads.h, progressbar.c,
	  progressbar.h: spread the load of progressbar generation more
	  evenly over time by adding a random delay between X and Y secs
	  when requesting a new gap list

2003-05-08 13:03  uberdork

	* ed2k_gui/main.c: fixes crash in general update timer, thanks to
	  Peter Kesch

2003-05-08 07:48  uberdork

	* ed2k_gui/: options.c, options.h, search.c, search_popup.c,
	  shared_dirs.c, shared_dirs.h, shared_files.c: new options to
	  show/hide icons in the shared files + search results lists

2003-05-08 05:48  uberdork

	* ed2k_gui/misc_sys.c: saner way of getting uptime on FreeBSD,
	  patch by 'carbonated beverage' ( ramune at net-ronin dot org )

2003-05-08 05:41  uberdork

	* ed2k_gui/: downloads.c, guicoreconn.c, misc.c, misc.h,
	  misc_gtk.c, misc_gtk.h, misc_strings.c, misc_strings.h, packet.c,
	  packet.h, parse_message.c, progressbar.c, ramfile.c,
	  shared_dirs.c, shared_files.c, shared_files.h, tag.c,
	  uploadstats.c: performance improvements all over the place,
	  especially when sharing many files or directories. many critical
	  changes, so stuff might break, but hell, it compiles - so let's
	  ship it. Without users, no bug reports :)

2003-05-08 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-08 04:07  uberdork

	* configure.in.in: gtk+-2.0.3 is no longer a configure requirement
	  after the underlying issues have been resolved (debian stable and
	  RH7.3 users: rejoice\!)

2003-05-07 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-07 00:38  uberdork

	* ed2k_gui/uploads.c: bug fixed that made the GUI request the
	  shared files list over and over and over again (up to three times
	  a second\!)

2003-05-06 21:50  uberdork

	* ed2k_gui/misc.c: fixes build on FreeBSD (closes #733421)

2003-05-06 11:35  ricesvinto

	* po/es.po: updated spanish translation

2003-05-06 10:39  uberdork

	* ed2k_gui/linkhandler.c: fixed critical fault (assertion error)
	  when connecting the GUI to the core and having pending links to
	  add

2003-05-06 08:05  uberdork

	* ed2k_gui/misc_sys.c: fixes sys uptime detection (to remove stale
	  pipe) on FreeBSD and non-GNU/Linux systems; improves detection on
	  GNU/Linux; patch by 'carbonated beverage' ( ramune at net-ronin
	  dot org )

2003-05-06 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-05 21:59  uberdork

	* ed2k_gui/: http_get.c, http_get.h: better evil server IP check,
	  patch by anonymous

2003-05-05 21:58  uberdork

	* ed2k_gui/tag.c: fixes segfault on 'spawn core', patch by
	  'carbonated beverage' ( ramune at net-ronin dot org )

2003-05-05 05:03  uberdork

	* ed2k_gui/: http_get.c, linkhandler.c, misc.c, tag.c: some minor
	  changes based on patches by 'carbonated beverage' ( ramune at
	  net-ronin dot org )

2003-05-05 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-04 23:54  uberdork

	* ed2k_gui/downloads.c: downloads list now shows the progress while
	  'Completing...' if the new temp file system is in use and the
	  core is running locally

2003-05-04 06:38  uberdork

	* ed2k_gui/: connect_gui.c, downloads.c, main.c, mainwindow.c:
	  fixed #715775 (core shutdown -> reconnect, stop -> connect dialog
	  not closed)

2003-05-04 05:03  uberdork

	* ChangeLog: updated ChangeLog

2003-05-03 19:49  uberdork

	* ed2k_gui/downloads.c: download list icon fixes

2003-05-03 19:08  uberdork

	* ed2k_gui/: downloads.c, downloads.h, servers.c, servers.h,
	  uploadstats.c, uploadstats.h: replaced all G_TYPE_ULONG in
	  GtkListStore with G_TYPE_UINT in order to make GUI work with
	  early gtk+-2.0.x versions where GtkListStore does not support
	  G_TYPE_ULONG. We only used the long type to store time_t values
	  anyway, so we should be on safe side until 2038..

2003-05-03 17:48  cknoerle

	* po/de.po: updated

2003-05-03 17:34  uberdork

	* ed2k_gui/: filter.c, filter.h, search.c, search_popup.c:
	  sanitised filter code

2003-05-03 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-02 17:27  uberdork

	* ed2k_gui/spawn_core.c: make old temp file system the default when
	  we create or edit pref.met at core spawn

2003-05-02 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-01 17:10  uberdork

	* ed2k_gui/servers.c: minor fix to get rid of some warnings

2003-05-01 16:53  uberdork

	* ed2k_gui/: search_popup.c, servers.c, http_get.c: fixes for more
	  search, servers list, and http fetching without proxy. Patch by
	  itrs@itrs.idv.tw

2003-05-01 05:01  uberdork

	* ChangeLog: updated ChangeLog

2003-05-01 03:33  uberdork

	* README.CVS: updated README.CVS

2003-05-01 01:02  uberdork

	* README.CVS: added README.CVS file

2003-04-30 17:19  uberdork

	* ChangeLog: updated ChangeLog

2003-04-30 17:05  uberdork

	* ed2k_gui/parse_message.c: max connections value in options is now
	  read properly for latest cores. However, you still need to reset
	  the max. connections option once to a more sane value.

2003-04-30 00:03  ricesvinto

	* po/es.po: updated spanish translation

2003-04-29 18:49  uberdork

	* ed2k_gui/: downloads.c, downloads.h, options.c, options.h,
	  options_page.c, search.c, search.h, servers.c, servers.h,
	  shared_files.c, shared_files.h, uploads.c, uploads.h,
	  uploadstats.c, uploadstats.h: new option: switch rules hint on
	  lists on or off (rules hint = every second line in a list has a
	  grey background in most themes)

2003-04-29 18:07  uberdork

	* ed2k_gui/: downloads.c, downloads.h, downloads_popup.c,
	  guicoreconn.c, options.c, options.h, search.c, search.h,
	  search_popup.c: bold print in downloads list and search list
	  filenames is now optional

2003-04-29 17:13  uberdork

	* ed2k_gui/guicoreconn.c: fixes missing download/upload status
	  after connecting to core in some cases

2003-04-29 16:54  uberdork

	* ed2k_gui/parse_message.c: fixed bug 706321 ('overnet logo only
	  used when first connecting to core')

2003-04-29 16:06  uberdork

	* ed2k_gui/: connect_gui.c, connect_gui.h, dns_lookup.c,
	  dns_lookup.h, downloads.c, downloads_popup.c, global.h,
	  guicoreconn.c, guicoreconn.h, http_get.c, misc.h, options_page.c,
	  packet.h, ramfile.h, servers.h, shared_dirs.c, shared_files.c,
	  spawn_core.h: gnet-2.0 is required from now on: adjusted
	  networking code to gnet-2.0 API changes (still experimental)

2003-04-29 16:00  uberdork

	* admin/acinclude.m4.in, configure.in.in: gnet-2.0 is required from
	  now on (which makes the autoconf stuff a bit tidier as well)

2003-04-15 13:50  tautologist

	* ed2k_gui/tag.c: misc fix

2003-04-09 17:35  uberdork

	* ed2k_gui/search.c: fixes utf8->locale string conversion for
	  search; patch submitted by Nam SungHyun

2003-04-03 22:03  uberdork

	* ed2k_gui/options_page.c: fixed changing of temp/incoming
	  directories in options with local core

2003-03-27 10:03  ricesvinto

	* po/es.po: updated spanish translation

2003-03-23 15:38  uberdork

	* ed2k_gui/: downloads.c, options_page.c: fixes some issues with
	  progress bars on starting the GUI; fixes some UTF8 issues in
	  options page

2003-03-22 12:33  uberdork

	* ed2k_gui/downloads_popup.c: fixed download pop-up menu priority
	  setting (thanks Zombie)

2003-03-21 20:49  uberdork

	* ed2k_gui/: parse_message.c, progressbar.c, uploads.c: various
	  fixes

2003-03-20 22:12  uberdork

	* ed2k_gui/: downloads_popup.c, parse_message.c, global.h,
	  gui_core_protocol.h, uploads.c, uploads.h: new gui-core upload
	  slot messages implemented (will be in next core after v46.0);
	  some fixes

2003-03-20 19:46  uberdork

	* ed2k_gui/shared_dirs.c: fixed adding directories ('I don't think
	  this is a sensible path to share' msg)

2003-03-19 14:37  uberdork

	* ed2k_gui/: downloads.c, main.c, mainwindow.c, options.c,
	  options_page.c, parse_message.c, status_page.c, uploads.c,
	  uploads_page.c, uploadstats.c: some segfault-on-exit and warning
	  fixes

2003-03-19 08:17  uberdork

	* ed2k_gui/downloads_popup.c: preview quick-fix for v46 core (grrr)

2003-03-19 00:52  ricesvinto

	* po/es.po: updated spanish translation

2003-03-18 00:33  cknoerle

	* po/de.po: Update

2003-03-17 21:09  uberdork

	* ed2k_gui/: options.c, servers.c: minor fixes for server list and
	  options

2003-03-17 15:38  uberdork

	* ed2k_gui/servers.c: small fix for fetch serverlist menu options

2003-03-17 15:20  uberdork

	* ed2k_gui.kdevprj, ed2k_gui.kdevses, ed2k_gui/Makefile.am,
	  ed2k_gui/blacklist.c, ed2k_gui/colors.c, ed2k_gui/connect_gui.c,
	  ed2k_gui/dns_lookup.c, ed2k_gui/downloads.c,
	  ed2k_gui/downloads.h, ed2k_gui/downloads_attrib.c,
	  ed2k_gui/downloads_popup.c, ed2k_gui/filter.c,
	  ed2k_gui/gui_options.c, ed2k_gui/gui_options.h,
	  ed2k_gui/guicoreconn.c, ed2k_gui/http_get.c, ed2k_gui/icons.c,
	  ed2k_gui/linkhandler.c, ed2k_gui/logfile.c, ed2k_gui/main.c,
	  ed2k_gui/mainwindow.c, ed2k_gui/misc.c, ed2k_gui/misc.h,
	  ed2k_gui/misc_gtk.c, ed2k_gui/misc_gtk.h, ed2k_gui/notebook.c,
	  ed2k_gui/options.c, ed2k_gui/options.h, ed2k_gui/options_page.c,
	  ed2k_gui/packet.c, ed2k_gui/parse_message.c, ed2k_gui/pipe.c,
	  ed2k_gui/progressbar.c, ed2k_gui/search.c, ed2k_gui/search.h,
	  ed2k_gui/search_popup.c, ed2k_gui/send_command.c,
	  ed2k_gui/servers.c, ed2k_gui/shared_dirs.c,
	  ed2k_gui/shared_files.c, ed2k_gui/shared_page.c,
	  ed2k_gui/spawn_core.c, ed2k_gui/stats.c, ed2k_gui/stats.h,
	  ed2k_gui/status_page.c, ed2k_gui/toolbar.c, ed2k_gui/uploads.c,
	  ed2k_gui/uploads_page.c, ed2k_gui/uploadstats.c: fixed server
	  list segfault (double iter remove); new options system; many
	  miscellaneous fixes

2003-03-15 13:00  uberdork

	* ed2k_gui/: icons.c, mainwindow.c, parse_message.c, servers.c,
	  shared_dirs.c, stats.c, statusbar.c, servers.h, tag.c, tag.h,
	  toolbar.c: minor changes; server IP sorting fixed; donkey client
	  ID display on server page fixed

2003-03-13 22:26  uberdork

	* AUTHORS, ChangeLog, Makefile.am, configure.in.in,
	  ed2k_gui.kdevprj, uninstall.sh, ed2k_gui/downloads.c,
	  ed2k_gui/downloads_popup.c, ed2k_gui/global.h,
	  ed2k_gui/mainwindow.c, ed2k_gui/search.c,
	  ed2k_gui/search_popup.c, ed2k_gui/search_popup.h,
	  ed2k_gui/servers.c, ed2k_gui/toolbar.c, ed2k_gui/toolbar.h: minor
	  changes and updates

2003-03-13 14:43  uberdork

	* debian/control: updated package dependencies to gtk+-2.2

2003-03-13 13:54  uberdork

	* ed2k_gui.kdevprj, ed2k_gui.kdevses, ed2k_gui/Makefile.am,
	  ed2k_gui/cell_data_funcs.c, ed2k_gui/cell_data_funcs.h,
	  ed2k_gui/downloads.c, ed2k_gui/search.c, ed2k_gui/search.h,
	  ed2k_gui/servers.c, ed2k_gui/shared_files.c, ed2k_gui/uploads.c,
	  ed2k_gui/uploadstats.c, po/TRANSLATIONS, po/ed2k_gui.pot: ceterum
	  censeo cell data functions delenda esse

2003-03-13 02:31  uberdork

	* ed2k_gui/: downloads.c, linkhandler.c, parse_message.c,
	  search_popup.c: minor fixes

2003-03-13 01:53  ricesvinto

	* po/es.po: updated spanish translation

2003-03-12 11:42  uberdork

	* ed2k_gui/: cell_data_funcs.c, downloads.c, downloads_popup.c,
	  misc.c, search.c, servers.c, cell_data_funcs.h, downloads.h,
	  misc.h, search.h, shared_files.c, uploads.c, uploadstats.c: got
	  rid of some cell data functions and optimised some stuff in the
	  downloads status update

2003-03-12 01:31  uberdork

	* ed2k_gui/: blacklist.c, downloads.c, downloads_popup.c,
	  http_get.c, linkhandler.c, misc.c, pipe.c, http_get.h, misc.h,
	  search.c, search_popup.c, status_page.c, toolbar.c, uploads.c:
	  fixed issues with international characters in ed2k-links, uploads
	  page, and some other stuff

2003-03-11 03:35  uberdork

	* ed2k_gui/parse_message.c: fixed eDonkey2000 core 'not connected'
	  bug when connecting GUI to core and core is already connected to
	  a server; patch submitted by Sebastian Haas haasse at in dot tum
	  dot de

2003-03-10 21:31  ricesvinto

	* po/es.po: updated spanish translation

2003-03-09 18:54  uberdork

	* ed2k_gui/: downloads.c, parse_message.c: fixed messed up status
	  display in download list after cancel/complete

2003-03-09 06:34  uberdork

	* ed2k_gui/: cell_data_funcs.c, cell_data_funcs.h, downloads.c,
	  downloads.h, search.c, search.h, servers.c: got rid of some cell
	  data funcs (downloads/search view)

2003-03-09 06:29  uberdork

	* ed2k_gui/pipe.c: fixed pipe segfaults after transition to new
	  GIOChannel stuff

2003-03-08 22:11  uberdork

	* ed2k_gui/: parse_message.c, servers.c: servers page fixes; should
	  take care of the 100% cpu spikes whenever we get a new list, and
	  should make functions like 'remove dead' etc. actuall work

2003-03-08 18:29  uberdork

	* ed2k_gui/: misc_strings.c, misc_strings.h, status_page.c: url
	  escaping of ed2k-links when copying them to the clipboard, patch
	  by Elouen Lanoe, #693928

2003-03-08 01:53  ricesvinto

	* po/es.po: updated spanish translation

2003-03-07 22:28  uberdork

	* ed2k_gui/: misc_gtk.c, misc_gtk.h, parse_message.c, servers.c:
	  fixed some servers stuff.

2003-03-07 02:50  uberdork

	* ed2k_gui/: blacklist.c, colors.c, connect_gui.c, downloads.c,
	  gui_options.c, guicoreconn.c, icons.c, downloads.h, global.h,
	  gui_options.h, linkhandler.c, main.c, mainwindow.c, misc.c,
	  misc_gtk.c, misc_gtk.h, misc_strings.c, notebook.c,
	  options_page.c, parse_message.c, pipe.c, progressbar.c, search.c,
	  send_command.c, servers.c, servers.h, shared_dirs.c,
	  shared_dirs.h, shared_files.c, stats.c, statusbar.h, toolbar.c:
	  loads of clean-ups and some performance improvement

2003-03-06 22:22  cknoerle

	* po/de.po: noch an bisserl...

2003-03-06 22:06  ricesvinto

	* po/es.po: updated spanish translation

2003-03-06 13:53  hurl

	* po/fr.po: the 'i am back' update :). lot of new stuff, still pb
	  with utf8

2003-03-06 10:24  uberdork

	* ed2k_gui/: linkhandler.c, status_page.c: copy ed2k-links to
	  clipboard fixed; linkhandler window is always centered on the
	  screen now

2003-03-06 09:14  uberdork

	* ed2k_gui/: downloads.c, misc.c, misc_strings.c, misc_strings.h,
	  status_page.c: fixed some unescape problems with filenames in
	  download list and when printed to log

2003-03-06 07:12  uberdork

	* ed2k_gui/: cell_data_funcs.c, connect_gui.c, downloads.c,
	  downloads_popup.c, gui_flags.c, gui_flags.h, gui_options.c,
	  main.c, misc.c, misc_strings.c, notebook.c, options_page.c: fixes
	  #698315 ('plbrvqszt' search string issue); OK button in connect
	  dialog is now sensitive when host is remote and no core is
	  running locally; miscellaneous fixes

2003-03-05 09:45  uberdork

	* ed2k_gui/spawn_core.c: spawn fix

2003-03-05 07:40  uberdork

	* ed2k_gui/: connect_gui.c, downloads.c, mainwindow.c, misc.c,
	  misc_strings.c, notebook.c, search.c, search_popup.c,
	  send_command.c, misc.h, misc_strings.h, notebook.h: new 'connect
	  to' dialog.

2003-03-03 00:21  cknoerle

	* po/de.po: Updated.

2003-03-02 23:49  uberdork

	* ed2k_gui/ramfile.c: fixed ramfile bug (reading/writing pref.met
	  after hitting 'Go!' in connect to dialog)

2003-03-02 23:39  uberdork

	* AUTHORS, ed2k_gui.kdevprj, ed2k_gui/Makefile.am,
	  ed2k_gui/cell_data_funcs.c, ed2k_gui/colors.h,
	  ed2k_gui/disclosure-widget.c, ed2k_gui/disclosure-widget.h,
	  ed2k_gui/guicoreconn.c, ed2k_gui/misc_gtk.c, ed2k_gui/misc_gtk.h,
	  ed2k_gui/parse_message.c, ed2k_gui/search.c, ed2k_gui/search.h,
	  ed2k_gui/search_popup.c, ed2k_gui/toolbar.c: search options moved
	  to toolbar (using disclosure widget); bug fixed in downloads page
	  file size display cell data function

2003-03-02 15:13  joostc

	* po/nl.po: updated Dutch translation

2003-03-02 09:20  uberdork

	* ed2k_gui/downloads_popup.c: compile fix for gcc-2.95, thnx to
	  ZoMBiE

2003-03-02 00:37  uberdork

	* configure.in.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/Makefile.am, ed2k_gui/blacklist.c,
	  ed2k_gui/cell_data_funcs.c, ed2k_gui/cell_data_funcs.h,
	  ed2k_gui/connect_gui.c, ed2k_gui/downloads.c,
	  ed2k_gui/downloads_popup.c, ed2k_gui/guicoreconn.c,
	  ed2k_gui/http_get.c, ed2k_gui/icons.c, ed2k_gui/icons.h,
	  ed2k_gui/main.c, ed2k_gui/mainwindow.c, ed2k_gui/misc.c,
	  ed2k_gui/misc.h, ed2k_gui/misc_gtk.c, ed2k_gui/misc_gtk.h,
	  ed2k_gui/misc_strings.c, ed2k_gui/misc_strings.h,
	  ed2k_gui/notebook.c, ed2k_gui/options_page.h,
	  ed2k_gui/parse_message.c, ed2k_gui/pipe.c, ed2k_gui/ramfile.c,
	  ed2k_gui/search.c, ed2k_gui/search.h, ed2k_gui/search_data.c,
	  ed2k_gui/search_data.h, ed2k_gui/search_page.c,
	  ed2k_gui/search_page.h, ed2k_gui/search_popup.c,
	  ed2k_gui/search_popup.h, ed2k_gui/send_command.c,
	  ed2k_gui/send_command.h, ed2k_gui/shared_files.c,
	  ed2k_gui/status_page.c, ed2k_gui/toolbar.c,
	  ed2k_gui/uploadstats.c, ed2k_gui/uploadstats.h: new search view;
	  many optimisations - GUI should use much less cpu now. LOADS of
	  other stuff

2003-02-27 04:21  uberdork

	* ed2k_gui/: cell_data_funcs.c, cell_data_funcs.h: changed way some
	  data funcs work; makes GUI use considerably less CPU

2003-02-26 09:31  cknoerle

	* po/de.po: Bug #693192 fixed

2003-02-25 14:45  uberdork

	* ed2k_gui/logfile.c: minor mem leak fixed (however, the GUI still
	  leaks at a rate of 2MB/day)

2003-02-25 01:31  uberdork

	* ed2k_gui/: cell_data_funcs.c, misc.c, misc_gtk.c, options_page.c,
	  toolbar.c: fixed some memory leaks

2003-02-24 19:35  uberdork

	* ed2k_gui/: blacklist.c, connect_gui.c, dns_lookup.c,
	  guicoreconn.c, linkhandler.c, logfile.c, main.c, misc.c,
	  misc_gtk.c, misc_strings.c, options_page.c, parse_message.c,
	  search_data.c, search_page.c, send_command.c, shared_files.c,
	  status_page.c, tag.c, toolbar.c, blacklist.h, uploadstats.c,
	  colors.h, logfile.h, misc.h, misc_strings.h, options_page.h,
	  status_page.h, statusbar.h: fixed DL options pop-up labelling;
	  more mostly minor fixes replacing deprecated glib functions

2003-02-24 03:04  uberdork

	* ChangeLog, .cvsignore: changelog update

2003-02-24 03:01  uberdork

	* AUTHORS, BUGS, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/downloads.c, ed2k_gui/icons.c, ed2k_gui/icons.h,
	  ed2k_gui/toolbar.c, po/ed2k_gui.pot: some more icons

2003-02-24 01:44  uberdork

	* ed2k_gui/stats.c: stats graph labelling fixed

2003-02-24 00:59  uberdork

	* ed2k_gui/: connect_gui.c, downloads.c, guicoreconn.c, icons.c,
	  linkhandler.c, misc_gtk.c, misc_gtk.h, notebook.c,
	  options_page.c, search_page.c, servers.c, shared_dirs.c,
	  shared_files.c, shared_page.c, toolbar.c, uploads_page.c: more
	  utf8 stuff

2003-02-23 23:43  uberdork

	* ed2k_gui/: downloads.c, downloads_popup.c, icons.c, misc.c,
	  misc.h, search_page.c, servers.c, stats.c, toolbar.c,
	  uploadstats.c: all pop-up menus should show non-English
	  characters correctly now; other clean-ups and fixes

2003-02-23 17:49  uberdork

	* ed2k_gui/: downloads.c, downloads_popup.c, global.h, http_get.c,
	  logfile.c, main.c, misc.c, misc.h, parse_message.c,
	  parse_message.h, ramfile.c, send_command.c, send_command.h,
	  servers.h, spawn_core.c, status_page.c, toolbar.c: removed some
	  non-critical support for ancient cores (space+connections parsing
	  from advanced command); added bootstrapping support for overnet
	  (disabled at the moment due to core issues); new core spawn code

2003-02-23 15:44  uberdork

	* AUTHORS: contributors update

2003-02-23 15:19  uberdork

	* po/es.po: spanish translation update. by manuel periago  manper
	  at ono dot com

2003-02-22 03:16  uberdork

	* ed2k_gui/: linkhandler.c, mainwindow.c, misc_gtk.c, misc_gtk.h,
	  misc_strings.c, toolbar.c: more cleanups

2003-02-22 02:26  uberdork

	* ed2k_gui/: Makefile.am, blacklist.c, icons.c, logfile.c,
	  logfile.h, main.c, misc.c, misc.h, misc_gtk.c, status_page.c,
	  toolbar.c: more cleanups, icons and a 'Go' button segfault fix

2003-02-21 23:58  uberdork

	* configure.in.in: small fix (must use brain before checking in
	  stuff in future)

2003-02-21 23:39  uberdork

	* admin/ChangeLog, admin/Doxyfile.am, admin/Makefile.common,
	  admin/acinclude.m4.in, admin/am_edit, admin/conf.change.pl,
	  admin/config.guess, admin/config.pl, admin/config.sub,
	  admin/debianrules, admin/depcomp, admin/install-sh,
	  admin/libtool.m4.in, admin/Doxyfile.global, admin/compile,
	  admin/configure.in.bot.end, admin/ltmain.sh, admin/missing,
	  admin/cvs-clean.pl, admin/cvs.sh, admin/detect-autoconf.sh,
	  admin/mkinstalldirs, configure.in.in, admin/ltcf-c.sh,
	  admin/ltcf-cxx.sh, admin/ltcf-gcj.sh, admin/ltconfig: radical
	  replacement of admin/ stuff to make the whole automake/autoconf
	  thing work with automake 1.7 etc. (the only way I could solve
	  this problem)

2003-02-21 21:11  uberdork

	* ed2k_gui/: status_page.c, statusbar.c: statusbar utf8 fix

2003-02-21 20:02  uberdork

	* ed2k_gui/: downloads.c, shared_files.c, status_page.c: fixed
	  status page scroll bug

2003-02-21 17:51  uberdork

	* ed2k_gui/: cell_data_funcs.c, downloads_popup.c, parse_message.c,
	  send_command.c, shared_files.c, gui_core_protocol.h, tag.c,
	  send_command.h, shared_files.h, tag.h: some tag stuff
	  improvements and support for upload priorities (once Jed puts my
	  patch into the core)

2003-02-21 14:46  uberdork

	* ed2k_gui/: cell_data_funcs.c, downloads_popup.c,
	  gui_core_protocol.h, gui_flags.c, gui_flags.h, guicoreconn.c,
	  main.c, parse_message.c, search_data.c, search_page.c,
	  send_command.c, toolbar.c: support for hybrid cdonkey core, by
	  Thomas Lussnig

2003-02-21 12:42  uberdork

	* ed2k_gui/: cell_data_funcs.c, connect_gui.c, downloads.c,
	  downloads_popup.c, guicoreconn.c, linkhandler.c, mainwindow.c,
	  misc.c, misc_gtk.c, misc_strings.c, notebook.c, options_page.c,
	  stats.c, toolbar.c, cell_data_funcs.h, downloads_popup.h,
	  icons.h, misc.h, misc_gtk.h, misc_strings.h, options_page.h:
	  loads of cleanups and utf8 changes

2003-02-19 18:55  cknoerle

	* po/de.po: updated

2003-02-19 18:12  uberdork

	* ed2k_gui/: blacklist.c, connect_gui.c, dns_lookup.c,
	  downloads_attrib.c, downloads_popup.c, gui_options.c,
	  guicoreconn.c, linkhandler.c, misc.c, misc_gtk.c, misc_strings.c,
	  options_page.c, parse_message.c, search_page.c, shared_dirs.c,
	  shared_files.c, spawn_core.c, stats.c, status_page.c, toolbar.c,
	  uploadstats.c, misc.h, misc_gtk.h, options_page.h: some cleanups
	  and some utf8 stuff for options page

2003-02-19 13:23  uberdork

	* ed2k_gui/: cell_data_funcs.c, downloads.c, downloads_popup.c,
	  toolbar.c: some more download options and download view
	  improvements

2003-02-19 10:47  uberdork

	* ed2k_gui/: cell_data_funcs.c, cell_data_funcs.h, downloads.c,
	  downloads.h, downloads_popup.c, downloads_popup.h: implemented
	  column hide and unhide

2003-02-18 17:54  uberdork

	* ed2k_gui/: cell_data_funcs.c, downloads.c, uploads.c: some cell
	  data funcs take into account column widths now (not 100% working
	  yet)

2003-02-18 14:46  uberdork

	* ed2k_gui/: Makefile.generic, downloads.c, downloads.h,
	  downloads_popup.c, parse_message.c, stats.c, uploads.c,
	  uploadstats.c: should compile on GTK+-2.0 now; fixed issue with
	  completed downloads and misc. other stuff

2003-02-17 22:22  uberdork

	* po/es.po: first version of spanish translation, by Manuel Periago
	  ( manper at ono dot com )

2003-02-17 20:08  tautologist

	* ed2k_gui/icons.c: added overnet icon

2003-02-17 19:46  tautologist

	* ed2k_gui/: parse_message.c, servers.c: yes, empty log message

2003-02-17 18:57  tautologist

	* ed2k_gui/servers.c: added remove selected servers

2003-02-17 18:31  tautologist

	* ed2k_gui/: parse_message.c, Makefile.am, servers.c, servers.h,
	  servers_data.c, servers_data.h: fixing servers view

2003-02-17 18:08  uberdork

	* ed2k_gui/: Makefile.am, cell_data_funcs.c, connect_gui.c,
	  download_record.c, download_record.h, downloads.c,
	  downloads_attrib.h, downloads_data.c, downloads_data.h,
	  downloads_popup.c, notebook.c, options_page.c, parse_message.c:
	  removed old downloads stuff

2003-02-17 14:00  tautologist

	* ed2k_gui/: main.c, servers.c, servers.h: *STILL B0RKEN* adding
	  real functionality to servers view, and minor fixes

2003-02-15 21:44  tautologist

	* ed2k_gui/: servers_data.c, servers_page.h: removing even more
	  crap

2003-02-15 21:40  tautologist

	* ed2k_gui/: notebook.c, toolbar.c, Makefile.am: removed references
	  to servers_page.ch

2003-02-15 21:35  tautologist

	* ed2k_gui/: cell_data_funcs.c, connect_gui.c, guicoreconn.c,
	  cell_data_funcs.h, http_get.c, main.c, parse_message.c,
	  servers.c, servers.h, servers_data.c, servers_data.h,
	  servers_page.h, status_page.c, toolbar.c: *BROKEN* setting up for
	  the new servers view... *BROKEN* ... still incomplete but a lot
	  of stuff fubared

2003-02-15 21:31  tautologist

	* ed2k_gui/servers_page.c: die, you stupid file

2003-02-14 17:48  uberdork

	* ed2k_gui/: connect_gui.c, downloads.c, downloads.h,
	  downloads_data.c, parse_message.c, search_data.c: more cleanups

2003-02-14 17:30  uberdork

	* ed2k_gui/: Makefile.am, cell_data_funcs.c, connect_gui.c,
	  download_record.c, download_record.h, downloads.h, gapsstruct.h,
	  linkhandler.c, misc_sys.c, misc_sys.h, parse_message.c, pipe.c,
	  spawn_core.c, toolbar.c, uploads.c, uploads.h, uploadstats.c:
	  more cleanups and some compiler warnings fixed

2003-02-14 15:14  uberdork

	* ed2k_gui/: Makefile.am, connect_gui.c, download_record.c,
	  downloads.c, downloads.h, downloads_data.c, downloads_page.c,
	  downloads_page.h, downloads_popup.c, downloads_popup.h, gaps.c,
	  gaps.h, gui_options.c, guicoreconn.c, icons.c, misc.c,
	  notebook.c, parse_message.c, pipe.c, stats.c, uploadstats.c: some
	  cleanups; keyboard handler for download view (not tested yet)

2003-02-14 09:48  tautologist

	* ed2k_gui/downloads_page.c: added a frame around the view

2003-02-13 13:13  tautologist

	* ed2k_gui/: colors.c, icons.c, icons.h, main.c: removing old rust

2003-02-13 12:51  tautologist

	* ed2k_gui/misc_gtk.c: fixed poltergeist mutation of
	  make_icon_and_label_hbox

2003-02-13 01:10  tautologist

	* ed2k_gui/: icons.c, downloads.c, icons.h: yes, darling, the dots
	  are back -- must be reviewed

2003-02-12 13:08  uberdork

	* ed2k_gui/: downloads.c, downloads.h, downloads_popup.c,
	  downloads_popup.h, progressbar.c, progressbar.h: dito. BROKEN.

2003-02-12 13:06  uberdork

	* ed2k_gui.kdevprj, ed2k_gui.kdevses, ed2k_gui/Makefile.am,
	  ed2k_gui/cell_data_funcs.c, ed2k_gui/cell_data_funcs.h,
	  ed2k_gui/download_record.c, ed2k_gui/downloads_attrib.c,
	  ed2k_gui/downloads_attrib.h, ed2k_gui/downloads_data.c,
	  ed2k_gui/downloads_data.h, ed2k_gui/downloads_page.c,
	  ed2k_gui/downloads_page.h, ed2k_gui/gaps.c, ed2k_gui/gaps.h,
	  ed2k_gui/icons.c, ed2k_gui/main.c, ed2k_gui/mainwindow.c,
	  ed2k_gui/misc.c, ed2k_gui/misc.h, ed2k_gui/misc_gtk.c,
	  ed2k_gui/misc_gtk.h, ed2k_gui/notebook.c,
	  ed2k_gui/parse_message.c, ed2k_gui/ramfile.c, ed2k_gui/ramfile.h,
	  ed2k_gui/send_command.c, ed2k_gui/send_command.h,
	  ed2k_gui/shared_files.c, ed2k_gui/status_page.c,
	  ed2k_gui/uploadstats.c: first version of new download view. THIS
	  IS BROKEN REALLY. DON'T EVEN THINK ABOUT USING IT.

2003-02-12 00:47  tautologist

	* ed2k_gui/: connect_gui.c, misc_strings.c, misc_strings.h: added
	  misc_string_markup ()

2003-02-11 23:15  tautologist

	* ed2k_gui/: toolbar.c, misc_gtk.c, misc_gtk.h: cleanups and
	  new_hilight_button API

2003-02-11 04:34  tautologist

	* ed2k_gui/: gui_options.c, icons.c, icons.h: tweaks to icon themes

2003-02-11 02:13  uberdork

	* ed2k_gui/misc.c: minor change

2003-02-11 01:51  tautologist

	* ed2k_gui/: gui_options.c, gui_options.h, icons.c, options_page.c:
	  icon themes back alive (hopefully)

2003-02-10 04:06  uberdork

	* ed2k_gui/misc_strings.c: minor fix

2003-02-09 19:45  uberdork

	* ed2k_gui/: icons.c, misc_strings.c, shared_files.c,
	  status_page.c, toolbar.c, uploadstats.c: fixed some memory leaks;
	  also, let's be less assumptious about locale when converting to
	  UTF8

2003-02-09 17:41  tautologist

	* ed2k_gui/toolbar.c: fixed go button

2003-02-09 00:17  uberdork

	* ed2k_gui/uploadstats.c: fixed compile error for gcc2.95

2003-02-08 23:44  uberdork

	* ed2k_gui/: Makefile.am, toolbar.c, uploads_data.c,
	  uploads_data.h, uploadstats_data.c, uploadstats_data.h: oops.
	  forgot new Makefile.am and to remove old files.

2003-02-08 21:22  uberdork

	* ed2k_gui/: misc.c, shared_files.c, shared_files.h, uploadstats.c:
	  implemented uploadstats/shared files filename sync, a slightly
	  less kafkaesque misc_read_linearray_bla() routine, and delayed
	  loading of uploadstats after window has been realised.

2003-02-08 21:20  uberdork

	* ed2k_gui/main.c: forgot to remove FreeBSD pipe stuff after fixing
	  the bug. doh! *bangs head against wall*

2003-02-08 19:31  uberdork

	* ed2k_gui/: cell_data_funcs.c, cell_data_funcs.h, connect_gui.c,
	  gui_options.c, gui_options.h, main.c, mainwindow.c, notebook.c,
	  parse_message.c, shared_files.c, shared_files.h, uploads.c,
	  uploads.h, uploads_page.c, uploads_page.h, uploadstats.c,
	  uploadstats.h: Behold! Here is the new and improved upload stats
	  view

2003-02-08 05:38  uberdork

	* ed2k_gui/cell_data_funcs.c: minor fix

2003-02-08 04:25  uberdork

	* TODO, ed2k_gui.kdevprj, ed2k_gui/Makefile.am,
	  ed2k_gui/cell_data_funcs.c, ed2k_gui/cell_data_funcs.h,
	  ed2k_gui/connect_gui.c, ed2k_gui/gui_options.h,
	  ed2k_gui/mainwindow.c, ed2k_gui/shared_files.c,
	  ed2k_gui/shared_files.h, ed2k_gui/uploads_page.c: shared files:
	  fixed sorting and alignment; cell data functions are now in
	  separate file and thus re-usable

2003-02-07 02:07  tautologist

	* ed2k_gui/icons.c: cleanup

2003-02-07 01:48  tautologist

	* ed2k_gui/toolbar.c: fixes

2003-02-07 01:47  uberdork

	* ed2k_gui/uploads_page.c: and another small fix

2003-02-07 01:39  tautologist

	* ed2k_gui/toolbar.c: lalala

2003-02-07 01:27  tautologist

	* ed2k_gui/toolbar.c: added about menu and moved about options
	  there

2003-02-07 01:08  tautologist

	* ed2k_gui/: icons.c, icons.h, toolbar.c: adding toolbar about
	  button

2003-02-07 01:04  uberdork

	* ed2k_gui/uploads_page.c: minor fix

2003-02-07 00:32  tautologist

	* ed2k_gui/toolbar.c: beautification of about dialog

2003-02-06 23:38  tautologist

	* ed2k_gui/: icons.c, icons.h: bugfix

2003-02-06 23:28  tautologist

	* ed2k_gui/: icons.c, misc.c, shared_files.c, icons.h, misc.h:
	  beefing up the shared files view

2003-02-06 20:10  tautologist

	* ed2k_gui/: connect_gui.c, downloads_page.c, icons.c, icons.h,
	  misc_gtk.c, search_page.c, toolbar.c: developing icon engine

2003-02-06 16:43  tautologist

	* ed2k_gui/: downloads_page.c, icons.c, icons.h, shared_dirs.c:
	  adding icons

2003-02-06 07:10  uberdork

	* ed2k_gui/: guicoreconn.c, packet.c, ramfile.c, ramfile.h: new
	  ramfile engine. gets rid of GByteArray structure

2003-02-06 04:44  tautologist

	* ed2k_gui/toolbar.c: minor cleanups on handlers and removed
	  deprecated gtk_signal_connect() calls

2003-02-06 04:18  tautologist

	* ed2k_gui/: misc_gtk.c, misc_gtk.h, toolbar.c: added icon
	  highlighting on MouseOver API

2003-02-06 03:26  tautologist

	* ed2k_gui/icons.c: bugfix

2003-02-06 03:16  tautologist

	* ed2k_gui/: connect_gui.c, downloads_page.c, gui_options.c,
	  icons.c, main.c, mainwindow.c, misc.c, misc_gtk.c, notebook.c,
	  options_page.c, search_page.c, servers_page.c, shared_dirs.c,
	  shared_files.c, stats.c, toolbar.c, icons.h, misc.h, misc_gtk.h,
	  uploads_page.c: without much further ado, here comes: a first
	  approach to the new png icon engine

2003-02-05 22:24  uberdork

	* ed2k_gui/: mainwindow.c, notebook.c, shared_dirs.c,
	  shared_dirs.h, shared_page.c, shared_page.h: fixed recursive
	  directory unsharing; got rid of old clist stuff

2003-02-05 20:31  uberdork

	* ed2k_gui/uploads_page.c: uploads list sort column and sort order
	  is remembered now. removed old uploads clist stuff.

2003-02-05 19:40  tautologist

	* ed2k_gui/: gui_options.c, gui_options.h: added theme_name option
	  for png icon engine in progress

2003-02-05 18:12  tautologist

	* ed2k_gui/: shared_files.c, shared_files.h: little header cleanup

2003-02-05 18:05  uberdork

	* ed2k_gui/parse_message.c: compile fix for gcc-2.95

2003-02-05 15:36  tautologist

	* ed2k_gui/: shared_dirs.c, shared_files.c: removed deprecated
	  gtk_signal_connect() calls

2003-02-05 07:48  uberdork

	* ed2k_gui/: shared_dirs.c, shared_files.c: some fixes for shared
	  dirs and shared files view; still not finished.

2003-02-05 06:13  uberdork

	* ed2k_gui/toolbar.c: minor toolbar help dialog fix

2003-02-05 05:36  tautologist

	* ed2k_gui/toolbar.c: removed messy help dialog stuff and replaced
	  by a sexy large pango label

2003-02-05 02:57  uberdork

	* ed2k_gui/: shared_dirs.c, shared_files.c: replaced 'markup' with
	  'text' for now in column properties (is safer - we need to escape
	  it pango-style otherwise

2003-02-05 02:41  uberdork

	* ed2k_gui/.cvsignore: cvs cleanup

2003-02-05 02:38  tautologist

	* ed2k_gui/status_page.c: added frame around text view

2003-02-05 01:21  uberdork

	* po/.cvsignore: visual pollution, take II

2003-02-05 01:18  uberdork

	* .cvsignore: I got sick of seeing this stuff

2003-02-05 01:07  uberdork

	* subdirs: cleanup

2003-02-05 00:55  uberdork

	* stamp-h.in: cleanup

2003-02-04 23:17  uberdork

	* config.h.in, configure.files, configure.in: cvs cleanup

2003-02-04 23:11  uberdork

	* acinclude.m4, aclocal.m4: cvs cleanup

2003-02-04 23:03  uberdork

	* Makefile.in, po/Makefile.in, ed2k_gui/Makefile.in, configure: cvs
	  cleanup

2003-02-04 22:36  tautologist

	* ed2k_gui/shared_dirs.c:  yes, pretty much empty comment - removed
	  stupid debugging g_print's

2003-02-04 22:19  tautologist

	* ed2k_gui/connect_gui.c: small fix

2003-02-04 22:15  tautologist

	* ed2k_gui/: Makefile.in, parse_message.c, search_page.c,
	  shared_dirs.c, shared_dirs.h, shared_files.c, shared_files.h,
	  shared_page.c: where there's foo, there's fire

2003-02-04 22:05  uberdork

	* ed2k_gui/connect_gui.c: fixing conflict before axel's commit

2003-02-04 21:38  uberdork

	* ed2k_gui/: connect_gui.c, gui_options.c, mainwindow.c,
	  notebook.c, parse_message.c, shared_files.c, uploads_data.c,
	  uploads_page.c, uploads_page.h: uploads for gtk2

2003-02-04 17:10  cknoerle

	* po/de.po: gui notification of core bug

2003-02-04 02:42  tautologist

	* ed2k_gui/: shared_files.c: bugfixes

2003-02-03 22:23  tautologist

	* ed2k_gui/shared_files.c: bugfixes

2003-02-03 18:17  tautologist

	* ed2k_gui/: connect_gui.c, notebook.c, parse_message.c,
	  shared_dirs.c, shared_dirs.h, shared_files.c, shared_files.h,
	  shared_page.c: initial implementation of shared dirs view

2003-02-03 14:07  tautologist

	* ed2k_gui/shared_files.h: updated header for new shared files API

2003-02-03 13:56  tautologist

	* ed2k_gui/notebook.c: removed reference to sharedfiles, replaced
	  by shared_files_get_count()

2003-02-03 13:40  tautologist

	* ed2k_gui/shared_files.c: massive cleanups, changed some
	  indentations to suit uber-style, fubaring gtk-1.2 code in
	  progress

2003-02-03 03:31  uberdork

	* HACKING, INSTALL: small update

2003-02-03 03:28  uberdork

	* ed2k_gui/: gui_options.c, search_data.c, shared_files.c,
	  shared_files.h, uploads_data.c, uploads_page.c: new shared page
	  (broken?)

2003-02-03 02:16  uberdork

	* Makefile.in, acinclude.m4, aclocal.m4, configure, configure.in,
	  configure.in.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  admin/acinclude.m4.in, ed2k_gui/Makefile.am,
	  ed2k_gui/Makefile.in, ed2k_gui/status_page.c,
	  ed2k_gui/status_page_gtk2.c, po/Makefile.in: FROM NOW ON THE GUI
	  REQUIRES GTK+-2.0.

2003-02-03 01:58  uberdork

	* ed2k_gui/: main.c, mainwindow.c, parse_message.c, statusbar.c,
	  uploads_data.c, uploads_data.h, uploads_page.c, uploads_page.h,
	  uploadstats_data.c: some cleanups

2003-02-02 16:20  uberdork

	* ed2k_gui/ramfile.c: make float work on MacOSX (hopefully)

2003-02-01 19:00  uberdork

	* ed2k_gui/status_page_gtk2.c: new gtk2 status page to replace
	  'broken' widget GtkText

2003-02-01 18:58  uberdork

	* ChangeLog, Makefile.in, acinclude.m4, aclocal.m4, configure,
	  configure.in, configure.in.in, ed2k_gui.kdevprj,
	  ed2k_gui.kdevses, admin/acinclude.m4.in, ed2k_gui/Makefile.am,
	  ed2k_gui/Makefile.gtk2, ed2k_gui/Makefile.in,
	  ed2k_gui/connect_gui.c, ed2k_gui/main.c, ed2k_gui/misc_strings.c,
	  ed2k_gui/misc_strings.h, ed2k_gui/stats.c,
	  ed2k_gui/status_page.c, ed2k_gui/toolbar.c, po/Makefile.in: put
	  basic GTK+-2.0 support structure in place (e.g. configure switch
	  --enable-gtk2, and replace 'broken' status page widget GtkText
	  with new gtk2 widget); also po/ directory will be skipped now if
	  msgfmt or xgettext are not found

2003-01-31 18:34  uberdork

	* ed2k_gui/toolbar.c: updated docs; thank you dialog string points
	  now to new amazon.co.uk wishlist

2003-01-31 18:06  cknoerle

	* po/de.po: little changes

2003-01-31 16:55  uberdork

	* Makefile.in, TODO, config.h.in, configure, configure.in,
	  configure.in.in, ed2k_gui.kdevses, ed2k_gui/Makefile.in,
	  ed2k_gui/global.h, ed2k_gui/main.c, po/Makefile.in: recognise
	  MacOSX in configure; docs update

2003-01-30 18:41  uberdork

	* ed2k_gui/pipe.c: fixed FreeBSD pipe bug; bug #656923

2003-01-29 21:28  cknoerle

	* po/de.po: latest additions

2003-01-29 20:27  uberdork

	* ed2k_gui/: gui_options.h, parse_message.c: added message about
	  harmless new core bug (auto-connect and auto-remove dead servers
	  options are not transmitted to the GUI

2003-01-29 16:05  uberdork

	* debian/: changelog, control: debian build files update

2003-01-29 14:34  uberdork

	* ed2k_gui/linkhandler.c: almost forget to handle server links ;)

2003-01-29 13:26  uberdork

	* ed2k_gui/parse_message.c: deal with donkey v44 sendOptions() bug
	  (no server options sent)

2003-01-29 04:43  cknoerle

	* po/de.po: latest additions

2003-01-29 03:46  uberdork

	* ed2k_gui/: linkhandler.c, options_page.c: linkhandler: added
	  options to main options page as well

2003-01-29 03:18  cknoerle

	* po/de.po: latest additions

2003-01-29 02:56  uberdork

	* ed2k_gui/: gui_options.c, linkhandler.c, main.c, gui_options.h:
	  linkhandler: added checkbox to set default action if no GUI is
	  running in linkhandler dialog

2003-01-29 01:55  uberdork

	* ed2k_gui/: gui_options.c, linkhandler.c, main.c, parse_message.c,
	  gui_options.h, linkhandler.h: linkhandler now asks what to do if
	  no GUI is running yet (for now only 'remember link' and 'start
	  GUI')

2003-01-28 22:12  uberdork

	* ed2k_gui/toolbar.c: updated tooltip and added small fix

2003-01-28 11:23  cknoerle

	* po/de.po: updated German translation

2003-01-28 07:15  hurl

	* po/fr.po: Minor changes

2003-01-28 04:11  uberdork

	* ed2k_gui/status_page.c: minor change

2003-01-28 03:35  uberdork

	* ed2k_gui/download_record.c: small fix

2003-01-28 02:54  uberdork

	* ed2k_gui/: shared_dirs.c, shared_dirs.h, shared_page.c: bugfixes
	  to unshare routines

2003-01-28 02:27  uberdork

	* ed2k_gui/: shared_dirs.c, shared_dirs.h, shared_page.c: fixed bug
	  #659732: can't unshare

2003-01-27 21:34  uberdork

	* ed2k_gui/: global.h, shared_page.c: added 'rehash shared files'
	  functionality for newer cores

2003-01-27 18:33  uberdork

	* ed2k_gui/guicoreconn.c: fixed reconnect dialog bug and multiple
	  instances of connect-to dialog bug

2003-01-27 16:02  uberdork

	* ed2k_gui/linkhandler.c: small fix

2003-01-27 15:31  hurl

	* po/fr.po: Some fixes and improvements

2003-01-27 14:48  hurl

	* po/fr.po: Changes to fit last updates

2003-01-27 02:34  uberdork

	* ed2k_gui/linkhandler.c: gnome2 installer: unset existing handler
	  keys before re-settings them

2003-01-24 02:45  uberdork

	* ed2k_gui/: download_record.c, global.h, gui_options.c,
	  gui_options.h, packet.c, packet.h, parse_message.c, ramfile.c,
	  servers_page.c: code cleanups

2003-01-24 02:45  uberdork

	* ed2k_gui/linkhandler.c: gnome2 url handler installer, thnx to
	  axel

2003-01-23 15:51  uberdork

	* po/ed2k_gui.pot: updated .po translation template file

2003-01-23 15:34  uberdork

	* Makefile.in, TODO, configure, configure.in, configure.in.in,
	  ed2k_gui.kdevprj, ed2k_gui.kdevses, ed2k_gui/Makefile.am,
	  ed2k_gui/Makefile.in, ed2k_gui/download_record.c,
	  ed2k_gui/download_record.h, ed2k_gui/downloads_data.c,
	  ed2k_gui/downloads_data.h, ed2k_gui/downloads_page.c,
	  ed2k_gui/gaps.c, ed2k_gui/global.h, ed2k_gui/gui_options.c,
	  ed2k_gui/gui_options.h, ed2k_gui/guicoreconn.c,
	  ed2k_gui/guicoreconn.h, ed2k_gui/icons.c, ed2k_gui/icons.h,
	  ed2k_gui/linkhandler.c, ed2k_gui/main.c, ed2k_gui/mainwindow.c,
	  ed2k_gui/mainwindow.h, ed2k_gui/misc.c, ed2k_gui/misc.h,
	  ed2k_gui/options_page.c, ed2k_gui/parse_message.c,
	  ed2k_gui/parse_message.h, ed2k_gui/search_data.c,
	  ed2k_gui/search_data.h, ed2k_gui/search_page.c,
	  ed2k_gui/search_page.h, ed2k_gui/servers_page.c,
	  ed2k_gui/servers_page.h, ed2k_gui/status_page.c,
	  ed2k_gui/toolbar.c, ed2k_gui/toolbar.h, po/Makefile.in: loads of
	  code clean-ups and changes; decided to shorten some of those
	  1500-line functions ;-) Also, loads of little overnet-addons;
	  NOTE: the re-connect dialog destroy event stuff is still broken,
	  and I might have added new bugs as well...

2003-01-20 16:06  uberdork

	* Makefile.in, acinclude.m4, aclocal.m4, configure, configure.in,
	  configure.in.in, ed2k_gui.kdevses, admin/acinclude.m4.in,
	  ed2k_gui/Makefile.in, po/Makefile.in: added configure check
	  whether gnet is linked against glib-2.0

2003-01-20 09:31  uberdork

	* ed2k_gui/connect_gui.c: make GUI less presumptious; consider
	  local interface addresses as 'remote' so people can do nifty
	  stuff like SSH-forwarding without too much trouble.

2003-01-20 08:23  uberdork

	* ed2k_gui/: gui_options.c, gui_options.h: removed legacy code

2003-01-20 06:27  cknoerle

	* po/de.po: using 'ed2k:// Link' instead of 'ed2k-Link' everywhere

2003-01-20 05:45  uberdork

	* ed2k_gui/toolbar.h: contributor list update

2003-01-20 05:41  uberdork

	* ed2k_gui/options_page.c: fixed icon theme selector size bug

2003-01-20 05:04  uberdork

	* ed2k_gui.kdevses, ed2k_gui/connect_gui.c, ed2k_gui/gui_flags.c,
	  ed2k_gui/gui_flags.h, ed2k_gui/gui_options.c,
	  ed2k_gui/gui_options.h, ed2k_gui/guicoreconn.c, ed2k_gui/main.c,
	  ed2k_gui/misc.c, ed2k_gui/misc.h: code cleanup

2003-01-20 05:03  uberdork

	* ed2k_gui/options_page.c: fixed Axel's options page so that the
	  alignment actually works ;-)

2003-01-20 02:54  uberdork

	* ed2k_gui/linkhandler.c: don't replace old handler lines by empty
	  lines, but skip those lines alltogether (gnome1 handler
	  installer)

2003-01-20 00:49  cknoerle

	* po/de.po: more linkhandler

2003-01-19 21:17  uberdork

	* ed2k_gui/linkhandler.c: added status log msg about file modified

2003-01-19 20:52  uberdork

	* ed2k_gui/linkhandler.c: fixed widget order

2003-01-19 19:56  uberdork

	* Makefile.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/Makefile.in, ed2k_gui/icons.c, ed2k_gui/icons.h,
	  ed2k_gui/options_page.c, po/Makefile.in: added kde,gnome1,gnome2
	  icons

2003-01-19 18:03  uberdork

	* ed2k_gui/options_page.c: add 'register handler' buttons to
	  options page

2003-01-19 17:54  uberdork

	* ed2k_gui/linkhandler.c: minor revision

2003-01-19 17:19  uberdork

	* ed2k_gui/linkhandler.c: fixed gnome1 linkhandler routine and made
	  it work in all possible scenarios

2003-01-19 16:25  tautologist

	* ed2k_gui/linkhandler.c: revision

2003-01-19 16:12  tautologist

	* ed2k_gui/linkhandler.c: added initial gnome linkhandler routine

2003-01-19 15:38  uberdork

	* TODO: updated TODO

2003-01-19 15:38  uberdork

	* ed2k_gui/: blacklist.c, global.h, http_get.c: some minor
	  fixes/improvements (check here if blacklist/pipe stuff breaks)

2003-01-19 15:37  uberdork

	* ed2k_gui/: linkhandler.c, linkhandler.h: handler install routine
	  for KDE implemented

2003-01-19 13:45  cknoerle

	* po/de.po: linkhandler

2003-01-19 13:09  uberdork

	* AUTHORS, ChangeLog, Makefile.in, ed2k_gui.kdevprj,
	  ed2k_gui.kdevses, ed2k_gui/Makefile.am, ed2k_gui/Makefile.in,
	  ed2k_gui/blacklist.c, ed2k_gui/blacklist.h, ed2k_gui/colors.c,
	  ed2k_gui/colors.h, ed2k_gui/connect_gui.c,
	  ed2k_gui/connect_gui.h, ed2k_gui/downloads_data.c,
	  ed2k_gui/global.h, ed2k_gui/linkhandler.c,
	  ed2k_gui/linkhandler.h, ed2k_gui/main.c, ed2k_gui/mainwindow.c,
	  ed2k_gui/mainwindow.h, ed2k_gui/misc.c, ed2k_gui/misc.h,
	  ed2k_gui/misc_gtk.c, ed2k_gui/search_data.c,
	  ed2k_gui/signal_handler.c, ed2k_gui/signal_handler.h,
	  ed2k_gui/spawn_core.c, ed2k_gui/spawn_core.h,
	  ed2k_gui/status_page.c, ed2k_gui/toolbar.c, po/Makefile.in:
	  linkhandler implementation and code-cleanups

2003-01-18 16:08  hurl

	* po/fr.po: Some updates et changes.

2003-01-18 02:30  uberdork

	* ed2k_gui/: linkhandler.o, misc_sys.o: oops

2003-01-17 22:58  uberdork

	* ed2k_gui/search_page.c: small fix:
	  s/dot_{green,red}/icon_option{on,off}/, spotted by Christian
	  Bricart

2003-01-17 15:02  uberdork

	* ed2k_gui/Makefile.gtk2: makefile for GTK2, so we can go and do
	  the gtk2 port while the autoconf/automake stuff doesn't have the
	  necessary checks etc. yet.

2003-01-17 14:34  uberdork

	* ed2k_gui/: misc_sys.c, misc_sys.h, misc_sys.o: have a new file
	  misc_sys to make this mess of a code a bit more modular and
	  better organised

2003-01-17 14:32  uberdork

	* ed2k_gui/: linkhandler.c, linkhandler.h, linkhandler.o: new
	  linkhandler that comes into action if the GUI is passed an
	  ed2k-link as first parameter. Linkhandler then passes this on to
	  a running GUI (and thus core)

2003-01-16 20:19  cknoerle

	* po/de.po: I am sure ;)

2003-01-16 19:09  uberdork

	* ed2k_gui/: misc_gtk.c, toolbar.c, uploads_page.c: added 'are you
	  sure?' dialog to 'shutdown core' and 'kill and restart' core;
	  added icons to yes/no dialog

2003-01-15 00:20  uberdork

	* Makefile.in, configure, configure.in, ed2k_gui.kdevprj,
	  ed2k_gui.kdevses, ed2k_gui/Makefile.in, po/Makefile.in: New icon
	  theme: H2O, credits go to Christian Bricart
	  <christian@bricart.de>

2003-01-13 03:50  uberdork

	* ed2k_gui/: main.c, status_page.c: small fix

2003-01-12 05:37  uberdork

	* ed2k_gui/pipe.c: reverted pipe changes for FreeBSD (did not work)

2003-01-11 18:29  uberdork

	* ed2k_gui/parse_message.c: fixed stupid compile error

2003-01-11 09:54  uberdork

	* ChangeLog, Makefile.in, TODO, config.h.in, configure,
	  configure.in, configure.in.in, ed2k_gui.kdevprj,
	  ed2k_gui.kdevses, ed2k_gui/Makefile.in, ed2k_gui/main.c,
	  po/Makefile.in: configure checks for strtof/strod now

2003-01-11 09:50  uberdork

	* ed2k_gui/pipe.c: pipe fix for FreeBSD (not tested, just an idea)

2003-01-11 09:41  uberdork

	* ed2k_gui/: misc.c, parse_message.c: fixed strtof/strtod stuff for
	  systems that don't have these functions

2003-01-11 01:21  uberdork

	* ed2k_gui/toolbar.c: limited servername length in toolbar

2003-01-11 01:00  uberdork

	* ed2k_gui/misc.c: removed include file that caused compile probs
	  on FreeBSD and is not necessary anyway

2003-01-11 00:37  uberdork

	* ed2k_gui/misc.c: recognise that core is in GUI mode even if '-'
	  is not the firs argument

2003-01-10 23:55  uberdork

	* ed2k_gui/misc.c: recognise a locally running overnet core.

2003-01-08 17:27  uberdork

	* ed2k_gui/downloads_data.c: improved 'emergency pause of all
	  downloads if no space on device left' routines

2003-01-08 17:24  uberdork

	* ed2k_gui/: downloads_data.c, downloads_data.h, parse_message.c:
	  improved 'emergency pause of all downloads if no space on device
	  left' routines

2003-01-08 06:09  uberdork

	* ed2k_gui/misc.c: replaced getenv() by g_getenv()

2003-01-08 06:08  uberdork

	* ed2k_gui/icons.c: we do not need to/must not free the return
	  value of g_getenv(), should solve segfault on some FreeBSD
	  systems

2003-01-08 04:58  uberdork

	* AUTHORS: fixed hurl's e-mail address

2003-01-08 00:34  uberdork

	* ed2k_gui/Makefile.generic: Added generic Makefile for GUI

2003-01-07 01:58  uberdork

	* ed2k_gui/toolbar.c: fixed bug in toolbar's remove junk from
	  servername routine

2003-01-07 01:57  uberdork

	* ed2k_gui/: main.c, misc.c, options_page.c, status_page.c,
	  statusbar.c, uploads_page.c: fixed some minor memory leaks

2003-01-06 20:33  uberdork

	* ed2k_gui/pipe.c: checked in some debug code for pipe on FreeBSD
	  (see bug #656923)

2003-01-06 01:22  uberdork

	* ed2k_gui/stats.c: fixed GUI 'freezing' bug when loading stats
	  after not having run the GUI for a while (hopefully, that is)

2002-12-31 19:45  uberdork

	* ed2k_gui/downloads_page.c: fixed download clist operations on
	  last row(s) if there are completed downloads

2002-12-29 17:27  uberdork

	* ed2k_gui/misc.c: default preview skript: added .bin file
	  extension, which can usually be played with mplayer

2002-12-28 16:09  cknoerle

	* po/de.po: some changes

2002-12-27 23:13  uberdork

	* ed2k_gui/main.c: if values on -s and -a switches are ommitted,
	  take the ones from the gui_options file; patch supplied by Roland
	  Juelich; some additional code cleanups by Yours Truly

2002-12-24 14:33  joostc

	* po/nl.po: updated Dutch translation

2002-12-24 14:06  joostc

	* po/nl.po: updated Dutch translation

2002-12-18 11:54  hurl

	* po/fr.po: fixed a typo

2002-12-17 20:40  cknoerle

	* po/de.po: some changes

2002-12-17 18:01  hurl

	* po/fr.po: some changes

2002-12-17 09:35  uberdork

	* ed2k_gui/: downloads_data.c, downloads_data.h, main.c: some minor
	  stuff: new fields in DownloadRecord and font stuff in main via
	  environment variable ED2K_GUI_FONT

2002-12-17 09:01  uberdork

	* ed2k_gui/misc.c: fixed segfault bug

2002-12-17 08:59  uberdork

	* ed2k_gui/parse_message.c: disabled GUI's server connect stuff for
	  now (tended to crash core)

2002-12-16 09:03  uberdork

	* ed2k_gui/toolbar.c: fix for toolbar help window position and size

2002-12-13 23:56  cknoerle

	* po/de.po: server icon tooltip

2002-12-13 21:13  uberdork

	* ed2k_gui/toolbar.c: added tooltip to toolbar server icon

2002-12-13 20:03  uberdork

	* ed2k_gui/parse_message.c: increased time before GUI makes core
	  connect to servers to 45s

2002-12-12 23:13  cknoerle

	* po/de.po: translated toolbar stuff

2002-12-12 17:46  uberdork

	* ed2k_gui/: servers_page.c, servers_page.h, toolbar.c: added
	  server pop-up for toolbar icon and some extra buttons to servers
	  page

2002-12-11 13:59  cknoerle

	* po/de.po: GPL translation

2002-12-11 13:00  uberdork

	* ed2k_gui/misc.c: check for binary name 'edonkey' as well as
	  'donkey' when checking for core running

2002-12-11 12:43  uberdork

	* ed2k_gui/status_page.c: added a msg about GPL to status welcome
	  msg

2002-12-10 15:25  uberdork

	* ed2k_gui/parse_message.c: fix for server connect/ placed on conn.
	  queue

2002-12-10 09:39  uberdork

	* ed2k_gui/parse_message.c: fixed glitch (continous debug msg
	  output)

2002-12-10 08:45  uberdork

	* ed2k_gui/: main.c, parse_message.c, servers_data.c,
	  servers_data.h: GUI now makes sure we keep connecting to servers
	  if 'always stay connected' option is on (the core is a bit
	  sluggish in this respect)

2002-12-10 03:42  uberdork

	* ed2k_gui/: downloads_page.c, misc_gtk.c, search_page.c,
	  servers_page.c, shared_files.c, shared_page.c, uploads_page.c:
	  some more gtk2 fixes

2002-12-10 03:38  cknoerle

	* po/de.po: translated latest changes

2002-12-10 03:25  uberdork

	* ed2k_gui/: guicoreconn.c, mainwindow.c: bug #651068 ('false sense
	  of interface freeze') fixed.

2002-12-09 10:11  uberdork

	* ed2k_gui/: guicoreconn.c, main.c, pipe.c: pipe is now in
	  ~/.ed2k_gui/pipe; pipe permissions are fixed; fixes bug #649622

2002-12-09 09:43  uberdork

	* ed2k_gui/: downloads_data.c, downloads_data.h, downloads_page.c,
	  gui_options.c, gui_options.h, guicoreconn.c, options_page.c,
	  parse_message.c: added user notification about interface stuff
	  changed; implemented 'stop all DLs if less than x MB option';
	  implemented remove local servers option

2002-12-09 02:41  cknoerle

	* po/de.po: some changes

2002-12-09 01:59  uberdork

	* ed2k_gui/: gui_options.c, gui_options.h, http_get.c, main.c,
	  misc.c, misc.h, parse_message.c, servers_page.c, servers_page.h:
	  serverlist: new function+option: remove invalid servers (ie.
	  local IP servers)

2002-12-08 18:44  uberdork

	* po/ed2k_gui.pot: template file updated

2002-12-08 15:37  cknoerle

	* po/de.po: translated overnet stuff

2002-12-07 12:45  uberdork

	* ed2k_gui/: global.h, parse_message.c, send_command.c: more
	  overnet stuff

2002-12-07 11:22  uberdork

	* Makefile.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/Makefile.am, ed2k_gui/Makefile.in,
	  ed2k_gui/about_page.c, ed2k_gui/about_page.h, ed2k_gui/colors.c,
	  ed2k_gui/colors.h, ed2k_gui/connect_gui.c, ed2k_gui/gui_flags.c,
	  ed2k_gui/gui_flags.h, ed2k_gui/gui_options.c,
	  ed2k_gui/gui_options.h, ed2k_gui/guicoreconn.c, ed2k_gui/icons.c,
	  ed2k_gui/icons.h, ed2k_gui/main.c, ed2k_gui/misc_gtk.c,
	  ed2k_gui/misc_gtk.h, ed2k_gui/notebook.c, ed2k_gui/notebook.h,
	  ed2k_gui/parse_message.c, ed2k_gui/search_data.c,
	  ed2k_gui/servers_page.c, ed2k_gui/servers_page.h,
	  ed2k_gui/toolbar.c, ed2k_gui/toolbar.h, ed2k_gui/uploads_page.c,
	  po/Makefile.in: loads of interface and code cleanups (about page
	  is gone now); some initial overnet support

2002-12-07 04:16  cknoerle

	* po/de.po: un-translated time units

2002-12-06 22:19  uberdork

	* ed2k_gui/options_page.c: fixed visibility of icon theme selector

2002-12-04 10:55  cknoerle

	* po/de.po: translated time units

2002-12-04 10:40  hurl

	* po/fr.po: updates for new features and fixes (typos and
	  ameliorations) thanks to bug reports

2002-12-03 22:21  uberdork

	* ed2k_gui/misc.c: minor fix in seconds_to_human_time

2002-12-03 22:19  uberdork

	* po/: ed2k_gui.pot, fr.po: none

2002-12-03 22:14  uberdork

	* ed2k_gui/misc.c: time units are translatable now; patch submitted
	  by Eric Lassauge <eric dot lassauge at g2i dot com>

2002-12-03 21:35  uberdork

	* ed2k_gui/: misc.c, misc.h, pipe.c, status_page.c, status_page.h,
	  statusbar.c, statusbar.h: replaced __VA_ARGS__ macros with
	  functions

2002-12-03 08:33  uberdork

	* ed2k_gui/: connect_gui.c, gaps.c, parse_message.c, search_page.c,
	  stats.c, status_page.c, toolbar.c: make code compile with gtk2
	  (stats+statuslog will be broken though) (still needs
	  GTK_ENABLE_BROKEN to be defined)

2002-12-01 19:12  joostc

	* po/nl.po: updated Dutch translation

2002-11-30 20:01  cknoerle

	* po/de.po: translated latest changes

2002-11-30 06:16  uberdork

	* ed2k_gui.spec, ed2k_gui/about_page.c, ed2k_gui/connect_gui.c,
	  ed2k_gui/downloads_page.c, ed2k_gui/http_get.c,
	  ed2k_gui/mainwindow.c, ed2k_gui/misc.c, ed2k_gui/misc.h,
	  ed2k_gui/misc_gtk.c, ed2k_gui/misc_gtk.h,
	  ed2k_gui/misc_strings.c, ed2k_gui/misc_strings.h,
	  ed2k_gui/options_page.c, ed2k_gui/parse_message.c,
	  ed2k_gui/pipe.c, ed2k_gui/search_page.c, ed2k_gui/shared_page.c,
	  ed2k_gui/stats.c, ed2k_gui/toolbar.c, ed2k_gui/uploads_page.c:
	  yet even more tidying up. If stuff breaks, check changes made
	  here.

2002-11-29 21:02  uberdork

	* Makefile.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/Makefile.am, ed2k_gui/Makefile.in,
	  ed2k_gui/gui_options.c, ed2k_gui/guicoreconn.c, ed2k_gui/icons.c,
	  ed2k_gui/icons.h, ed2k_gui/main.c, ed2k_gui/mainwindow.c,
	  ed2k_gui/notebook.c, ed2k_gui/parse_message.c,
	  ed2k_gui/parse_message.h, ed2k_gui/send_command.c,
	  ed2k_gui/statusbar.c, ed2k_gui/statusbar.h, ed2k_gui/toolbar.c,
	  ed2k_gui/toolbar.h, po/Makefile.in: loads of cleanups: removed
	  stats status bar at them bottom; connections display now in
	  toolbar; lots of other stuff

2002-11-29 19:12  uberdork

	* ed2k_gui/stats.c: feature request #645685 (improve interval
	  switching on stats page)

2002-11-29 05:38  uberdork

	* ed2k_gui/: parse_message.c, uploadstats_data.c: closes bug 637535
	  (Upload stats wrong)

2002-11-29 01:39  uberdork

	* ed2k_gui/http_get.c: close bug #645031 (error on retrieving a
	  server.met two times in a row)

2002-11-28 21:05  cknoerle

	* po/de.po: translated latest changes

2002-11-28 20:24  uberdork

	* Makefile.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/Makefile.in, ed2k_gui/about_page.c,
	  ed2k_gui/about_page.h, ed2k_gui/downloads_page.c,
	  ed2k_gui/downloads_page.h, ed2k_gui/guicoreconn.c,
	  ed2k_gui/main.c, ed2k_gui/notebook.c, ed2k_gui/notebook.h,
	  ed2k_gui/options_page.c, ed2k_gui/options_page.h,
	  ed2k_gui/parse_message.c, ed2k_gui/parse_message.h,
	  ed2k_gui/search_page.c, ed2k_gui/search_page.h,
	  ed2k_gui/servers_page.c, ed2k_gui/servers_page.h,
	  ed2k_gui/shared_page.c, ed2k_gui/shared_page.h, ed2k_gui/stats.c,
	  ed2k_gui/stats.h, ed2k_gui/status_page.c, ed2k_gui/status_page.h,
	  ed2k_gui/statusbar.c, ed2k_gui/toolbar.c,
	  ed2k_gui/uploads_page.c, ed2k_gui/uploads_page.h, po/Makefile.in:
	  loads of clean-ups: got rid of notebook frames etc.

2002-11-26 14:34  uberdork

	* ed2k_gui.kdevses, ed2k_gui/main.c, ed2k_gui/parse_message.c,
	  ed2k_gui/search_page.c, ed2k_gui/servers_page.c,
	  ed2k_gui/shared_page.c, ed2k_gui/status_page.c,
	  ed2k_gui/statusbar.c, ed2k_gui/toolbar.c,
	  ed2k_gui/uploads_page.c: toolbar changes and other cleanups

2002-11-25 19:09  cknoerle

	* po/de.po: translated toolbar stuff

2002-11-25 17:30  uberdork

	* ed2k_gui/toolbar.c: toolbar: fixed Go! button and processing of
	  ed2k-links

2002-11-25 16:30  uberdork

	* ed2k_gui/: parse_message.c, search_page.c, search_page.h,
	  toolbar.c: finished toolbar

2002-11-25 14:59  uberdork

	* ed2k_gui/parse_message.c: added translation; fixes patch #642881

2002-11-24 18:21  hurl

	* po/fr.po: fixed some typos (patch #642883),some changes (#642880
	  and others) and updates too

2002-11-24 17:49  uberdork

	* ChangeLog, Makefile.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/Makefile.am, ed2k_gui/Makefile.in,
	  ed2k_gui/gui_options.h, ed2k_gui/icons.c, ed2k_gui/icons.h,
	  ed2k_gui/mainwindow.c, ed2k_gui/notebook.c, ed2k_gui/notebook.h,
	  ed2k_gui/options_page.c, ed2k_gui/parse_message.c,
	  ed2k_gui/search_page.c, ed2k_gui/shared_page.c, ed2k_gui/stats.c,
	  ed2k_gui/status_page.c, ed2k_gui/toolbar.c, ed2k_gui/toolbar.h,
	  ed2k_gui/uploads_page.c, ed2k_gui/uploadstats_data.c,
	  po/Makefile.in: toolbar

2002-11-23 16:34  hurl

	* po/fr.po: 1 fix and changed 'last dl' text

2002-11-21 20:48  cknoerle

	* po/de.po: most recent changes

2002-11-21 16:38  uberdork

	* Makefile.in, ed2k_gui/Makefile.in, po/Makefile.in: updating
	  makefiles

2002-11-21 16:36  uberdork

	* HACKING, INSTALL, Makefile.am, Makefile.in, TODO,
	  ed2k_gui.kdevprj, ed2k_gui/Makefile.in, ed2k_gui/guicoreconn.c,
	  ed2k_gui/statusbar.c, po/Makefile.in: committing last minor
	  changes before release

2002-11-21 03:59  uberdork

	* ed2k_gui/parse_message.c: Insuff.Disk Space and download speed >
	  0 is possible - removed confusing warning/debug msg

2002-11-20 22:32  uberdork

	* uninstall.sh: added small uninstall skript

2002-11-20 21:35  uberdork

	* ed2k_gui/misc.c: minor fix

2002-11-20 15:23  hurl

	* po/fr.po: fixed missing pipes (see Bug#641238) and many fixed
	  typos thanks to Frederic devernay

2002-11-20 14:34  cknoerle

	* po/de.po: translated more strings

2002-11-20 12:14  uberdork

	* ed2k_gui/options_page.c: made some more strings translatable

2002-11-20 11:56  uberdork

	* BUGS: added file

2002-11-20 09:49  hurl

	* po/fr.po: updated my email address

2002-11-14 18:41  cknoerle

	* po/de.po: some changes

2002-11-14 16:45  hurl

	* po/fr.po: updated recent changes and some typo fixes

2002-11-14 13:17  uberdork

	* ed2k_gui/guicoreconn.c: more translation fixes

2002-11-14 11:31  uberdork

	* ed2k_gui/: global.h, http_get.c, parse_message.c: use VERSION
	  define from config.h now to display gui version label

2002-11-14 11:17  hurl

	* po/fr.po: updated french translation (almost complete)

2002-11-14 10:38  uberdork

	* AUTHORS: minor update

2002-11-14 09:53  uberdork

	* ed2k_gui/connect_gui.c: fixed string to translate

2002-11-13 20:10  uberdork

	* ed2k_gui/connect_gui.h: fixed typo

2002-11-13 13:25  cknoerle

	* po/de.po: updated my email-address... had changed :|

2002-11-13 11:37  uberdork

	* ChangeLog, Makefile.in, configure, configure.in, configure.in.in,
	  ed2k_gui.kdevprj, debian/changelog, po/Makefile.in: update admin
	  files

2002-11-13 11:32  uberdork

	* ed2k_gui/: Makefile.in, about_page.c, blacklist.c, connect_gui.c,
	  downloads_data.h, downloads_page.c, icons.c, misc.c, notebook.c,
	  options_page.c, search_page.c, spawn_core.c: fixed some compiler
	  warnings and removed some unused variables

2002-11-13 11:16  uberdork

	* ed2k_gui/: servers_data.c, servers_data.h, servers_page.c,
	  servers_page.h: server list: minor changes in behaviour (e.g.
	  don't set server to 'low priority' that quickly)

2002-11-13 11:02  uberdork

	* ed2k_gui/http_get.c: http get: increased connect timeout to 45
	  seconds

2002-11-13 10:55  uberdork

	* ed2k_gui/: gui_options.c, gui_options.h, main.c, search_page.c,
	  search_page.h: search page: save state (hidden/visible) of extra
	  search options

2002-11-08 06:17  cknoerle

	* po/de.po: update after vacation ;)

2002-11-06 15:24  joostc

	* po/nl.po: updated Dutch translation

2002-11-06 04:30  uberdork

	* ed2k_gui/: connect_gui.c, gui_options.c: if saved path to donkey
	  binary doesn't exist any longer on GUI start, set path to binary
	  field empty

2002-11-06 04:17  uberdork

	* ed2k_gui/: connect_gui.c, downloads_page.c, spawn_core.c, tag.c,
	  tag.h: fixed segfault bug in connect to dialog if path is empty;
	  fixed bug with the GUI creating a default pref.met file where
	  there wasn't one before (would make core segfault at startup
	  before)

2002-11-05 23:02  uberdork

	* ed2k_gui/stats.c: stats page: has vertical lines now. Patch
	  submitted by Biot Francois <francois at fbiot dot com>

2002-11-04 13:49  joostc

	* po/nl.po: some updates to Dutch translation

2002-11-03 18:46  uberdork

	* ed2k_gui/: connect_gui.c, spawn_core.c, spawn_core.h: New spawn
	  core code bugfixes. Also: we now check if the ports that are
	  going to be used by the core are already in use (and change them
	  if necessary)

2002-11-03 18:44  uberdork

	* ed2k_gui/servers_page.c: more servers page changes

2002-11-03 07:22  uberdork

	* ed2k_gui/connect_gui.c: connect-to dialog: make 'Go' button
	  insensitive if host is local box and no core is running yet

2002-11-03 06:53  uberdork

	* Makefile.in, ed2k_gui.kdevses, ed2k_gui/Makefile.in,
	  ed2k_gui/downloads_page.c, ed2k_gui/notebook.c,
	  ed2k_gui/servers_page.c, po/Makefile.in: changed server page
	  pop-up menu

2002-11-03 01:52  uberdork

	* ed2k_gui/tag.c: fixed critical segfault bug (double free due to
	  typo)

2002-11-02 23:42  uberdork

	* Makefile.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/Makefile.in, ed2k_gui/connect_gui.c,
	  ed2k_gui/downloads_data.c, ed2k_gui/downloads_page.c,
	  ed2k_gui/icons.c, ed2k_gui/icons.h, po/Makefile.in: re-arranged
	  downloads pop-up menu. It's a lot less cluttered now. Use the
	  keyboard shortcuts for 'select all' and 'unselect all'. Also made
	  special options on/off icons.

2002-11-02 20:44  uberdork

	* ed2k_gui/connect_gui.c: crucial bugfix for spawn code (did too
	  much 'cleaning up' of the code)

2002-11-02 14:27  joostc

	* po/nl.po: updated Dutch translation

2002-11-02 13:20  joostc

	* po/nl.po: updated Dutch translation

2002-11-02 11:41  uberdork

	* AUTHORS, Makefile.in, TODO, ed2k_gui.kdevprj,
	  ed2k_gui/Makefile.in, po/Makefile.in: updated documentation

2002-11-02 04:52  uberdork

	* TODO, ed2k_gui/main.c, ed2k_gui/misc.c, ed2k_gui/misc.h,
	  ed2k_gui/spawn_core.c, ed2k_gui/spawn_core.h: code cleanup: moved
	  core spawn and kill routines from misc.c to spawn_core.c

2002-11-02 03:08  uberdork

	* AUTHORS, ed2k_gui.kdevses, ed2k_gui/downloads_data.c,
	  ed2k_gui/downloads_page.c, ed2k_gui/global.h, ed2k_gui/main.c,
	  ed2k_gui/misc.c, ed2k_gui/parse_message.c: 'pre'-viewing of
	  completed files possible now

2002-11-01 22:00  uberdork

	* ed2k_gui/: connect_gui.c, guicoreconn.c, spawn_core.c,
	  spawn_core.h, tag.c, tag.h: 'connect to'-dialog bugfixes and
	  refinements. Spawn procedure much easier for newbies - GUI will
	  now write/change pref.met file if necessary before spawning the
	  core

2002-10-31 21:35  uberdork

	* HACKING, Makefile.in, ed2k_gui.kdevprj, ed2k_gui.kdevses,
	  ed2k_gui/Makefile.am, ed2k_gui/Makefile.in,
	  ed2k_gui/connect_gui.c, ed2k_gui/guicoreconn.c,
	  ed2k_gui/guicoreconn.h, ed2k_gui/icons.c, ed2k_gui/icons.h,
	  ed2k_gui/spawn_core.c, ed2k_gui/spawn_core.h, po/Makefile.in: new
	  connect to dialog. designed and submitted by Axel C
	  <axel@banzais.org>, messed up again by Yours Truly

2002-10-31 17:01  uberdork

	* po/fr.po: French translation update (by hurl)

2002-10-31 13:37  joostc

	* po/nl.po: updated Dutch translation

2002-10-30 19:35  uberdork

	* ed2k_gui/: parse_message.c, stats.c: removed debug messages

2002-10-30 17:30  joostc

	* po/nl.po: updated Dutch translation

2002-10-30 17:17  joostc

	* po/nl.po: updated Dutch translation

2002-10-30 15:15  joostc

	* po/nl.po: updated Dutch translation

2002-10-30 13:35  uberdork

	* ed2k_gui/parse_message.c: small fix, just to make sure

2002-10-29 21:59  uberdork

	* ed2k_gui/: downloads_data.c, downloads_page.c, gaps.c,
	  gui_options.c, mainwindow.c, misc.c, parse_message.c, pipe.c,
	  search_data.c, servers_page.c, stats.c, uploads_page.c: replaced
	  snprintf() with safer g_snprintf(). (Replacing all sizeof(buf)
	  with sizeof(buf)/sizeof(gchar) still needs to be done though)

2002-10-29 06:02  uberdork

	* debian/files: removed superfluous file from debian directory

2002-10-29 06:00  uberdork

	* debian/: changelog, control, files, rules: added debian directory

2002-10-29 05:32  cknoerle

	* po/de.po: most recent changes

2002-10-29 05:16  uberdork

	* ed2k_gui/http_get.c: fixed typo, thnx to Chris K.

2002-10-29 03:35  uberdork

	* TODO, ed2k_gui.kdevprj, ed2k_gui.kdevses, ed2k_gui/colors.c,
	  ed2k_gui/downloads_page.c, ed2k_gui/http_get.c,
	  ed2k_gui/http_get.h, ed2k_gui/main.c, ed2k_gui/ramfile.h,
	  ed2k_gui/servers_page.c: added tentative support for fetching
	  server.met files via http

2002-10-29 03:33  uberdork

	* AUTHORS, Makefile.in, ed2k_gui/Makefile.in, po/Makefile.am,
	  po/Makefile.in, po/TRANSLATIONS: general houskeeping

2002-10-28 18:00  cknoerle

	* po/de.po: dunno

2002-10-28 17:40  uberdork

	* ed2k_gui/: downloads_data.c, uploads_page.c: better
	  implementation of '<time> ago' strings for translations in DL
	  list plus UL stats list

2002-10-27 22:10  cknoerle

	* po/de.po: some changes

2002-10-27 20:35  uberdork

	* ed2k_gui/downloads_data.c: fixed bug with 'vor jetzt' in German
	  translation of download list columns

2002-10-26 18:02  cknoerle

	* po/de.po: ...thanks for your reply...

2002-10-26 13:50  uberdork

	* ed2k_gui/downloads_data.c: replaced more g_strdup_printf() with
	  snprinf() - saves loads of memory allocations and frees

2002-10-26 13:09  uberdork

	* ed2k_gui/downloads_data.c: replaced some occurences of
	  g_strdup_printf() with snprintf() because stupid glib can't
	  handle positioning parametrs needed for translations

2002-10-26 04:51  cknoerle

	* po/de.po: fixed 'ed2 gui faq' url (resulted in page not found)

2002-10-25 07:13  cknoerle

	* po/de.po: added a space

2002-10-25 07:05  cknoerle

	* po/: de.po, ed2k_gui.pot: some changes

2002-10-25 05:22  uberdork

	* ed2k_gui/uploads_page.c: made more strings in uploads_page.c
	  translatable

2002-10-25 05:18  uberdork

	* ed2k_gui/downloads_data.c: small bug fix for SIGFPE in
	  downloads_data.c

2002-10-25 04:34  cknoerle

	* po/de.po: some changes

2002-10-25 01:36  uberdork

	* ed2k_gui/downloads_page.c: DL list pop-up menu: made the two info
	  lines (partfile name + bytes left) into one line so the menu
	  takes up less space

2002-10-25 00:41  cknoerle

	* po/de.po: Hopefully complete for 0.3. Send comments please!

2002-10-25 00:11  uberdork

	* ed2k_gui/downloads_data.c: improve 'time left' display to work
	  correctly even if transfered > size (if we have a gaplist, that
	  is)

2002-10-24 20:13  uberdork

	* ed2k_gui/dns_lookup.c: small fix

2002-10-24 20:09  uberdork

	* ed2k_gui/: dns_lookup.c, misc.c, misc.h: fixed DNS code for all
	  machines (SMP or not). Doing runtime check for number of
	  processors now (thanks to Roman Hodek)

2002-10-24 19:06  uberdork

	* po/TRANSLATIONS: added translations memo

2002-10-24 18:30  uberdork

	* po/: de.po, ed2k_gui.pot, make_ed2k_gui_pot.sh: updated German
	  translation file

2002-10-24 18:26  uberdork

	* ed2k_gui/uploads_page.c: made some more strings translatable

2002-10-24 18:17  uberdork

	* ed2k_gui/dns_lookup.c: reversed dns lookup code again for now,
	  even though it might lead to crashes on SMP machines.

2002-10-23 22:05  cknoerle

	* po/de.po: minor changes

2002-10-23 19:53  uberdork

	* ed2k_gui/stats.c: got rid of spacing in stats progress bars

2002-10-23 16:36  cknoerle

	* po/de.po: more complete for beta 0.3

2002-10-23 03:15  uberdork

	* ed2k_gui/dns_lookup.c: fixed DNS lookup on SMP machines. patch
	  submitted by Roman  Hodek net

2002-10-23 03:00  uberdork

	* ed2k_gui/parse_message.c: make sure search button is activated if
	  we get connected to a new server

2002-10-23 02:52  uberdork

	* ChangeLog, Makefile.am, Makefile.in, ed2k_gui.kdevprj,
	  ed2k_gui/Makefile.in, ed2k_gui/about_page.c, ed2k_gui/misc.c,
	  ed2k_gui/misc.h, ed2k_gui/options_page.h, ed2k_gui/search_page.c,
	  ed2k_gui/servers_page.c, ed2k_gui/shared_page.c,
	  ed2k_gui/status_page.c, po/Makefile.in: added workaround for
	  'enter' key from num block for most entry widgets. It's still not
	  perfect, but the best I can do (it's gtk's fault)

2002-10-23 00:34  uberdork

	* ed2k_gui/http_get.c: fixed minor bug in proxy URL parsing
	  routine. Fixes bug #626597

2002-10-22 21:18  uberdork

	* po/: make_ed2k_gui_pot.sh, merge_pot_with_po.sh: added two
	  scripts for gettext stuff

2002-10-22 21:16  uberdork

	* po/ed2k_gui.pot: updated translation template file

2002-10-22 21:15  uberdork

	* po/de.po: updated de.po with new messages

2002-10-22 20:50  uberdork

	* po/ed2k_gui.pot: added translation template file to CVS

2002-10-22 20:45  uberdork

	* ed2k_gui/statusbar.c: small translation string fix

2002-10-22 19:59  cknoerle

	* po/de.po: almost complete

2002-10-22 19:33  uberdork

	* ed2k_gui/send_command.c: fixed typed search with extra search
	  options (it would always search for a 'bitrate' tag as well even
	  if we were not searching for type 'Audio'...)

2002-10-22 13:40  uberdork

	* autogen.sh, INSTALL: added ./autogen.sh script (thanks to Jens
	  Georg for this)

2002-10-22 13:19  uberdork

	* ed2k_gui/downloads_page.c: small fix in temp file string in
	  pop-up menu

2002-10-21 19:11  uberdork

	* ed2k_gui/: connect_gui.c, downloads_data.c, downloads_data.h:
	  remove 'completed' downloads from list after disconnect from core

2002-10-21 14:59  uberdork

	* ed2k_gui/gui_options.c: fixed minor bug in read options

2002-10-18 02:08  uberdork

	* AUTHORS, ChangeLog, TODO, ed2k_gui.kdevses,
	  ed2k_gui/gui_options.c, ed2k_gui/gui_options.h,
	  ed2k_gui/guicoreconn.c, ed2k_gui/options_page.c,
	  ed2k_gui/options_page.h, ed2k_gui/parse_message.c: options page:
	  replaced entry widgets that require a number to be typed in with
	  spin button widgets

2002-10-18 02:06  uberdork

	* ed2k_gui/downloads_page.c: importing the servers from a jigle
	  serverlist is also done now

2002-10-18 02:00  uberdork

	* ed2k_gui/http_get.c: fixed fetching serverlists with URLs that
	  have 'query'-parts (i.e. http://host/scriptname?query). Closes
	  bug #622581

2002-10-18 01:47  uberdork

	* ed2k_gui/misc.c: fixed minor bug in preview spawning and browser
	  spawning routines: file descriptors >=3 are closed now before
	  calling exec

2002-10-17 19:51  uberdork

	* ed2k_gui/downloads_page.c: added download list pop-up menu info:
	  bytes left (only if exactly one DL is selected)

2002-10-17 18:50  uberdork

	* ed2k_gui/downloads_page.c: added download list pop-up menu entry:
	  'show jigle serverlist for selected items in browser

2002-10-17 15:10  uberdork

	* ed2k_gui/search_page.c: fixed missing 'title' header in search
	  clist

2002-10-17 00:35  uberdork

	* ed2k_gui/downloads_page.c: fixed small 'clear completed' pop-up
	  menu bug

2002-10-14 21:33  uberdork

	* po/nl.po: Dutch translation update

2002-10-14 21:13  uberdork

	* po/nl.po: update to the Dutch translation

2002-10-14 18:58  uberdork

	* ed2k_gui/: http_get.c, parse_message.c: replace slashes in
	  filenames in search results and ed2k-links passed to GUI. Closes
	  bug #623119

2002-10-14 18:30  uberdork

	* po/nl.po: updated and fixed Dutch translation file

2002-10-14 16:40  uberdork

	* ed2k_gui/: options_page.c, options_page.h: new options page
	  lay-out. All the work was done by axel c <2082342@campus.uab.es>
	  (and the design later messed up again by yours truly)

2002-10-14 16:25  uberdork

	* ed2k_gui/: search_page.c, misc.c, search_page.h, misc.h,
	  send_command.c, send_command.h, mainwindow.c: added more search
	  options (min size, max size, min availability, min bitrate)

2002-10-14 16:22  uberdork

	* ed2k_gui/notebook.c: made notebook tabs area scrollable if there
	  are more tabs than fit into the window area

2002-10-14 14:08  uberdork

	* po/nl.po: first version of the Dutch translation

2002-10-13 15:59  uberdork

	* ed2k_gui/parse_message.c: make 'search' button sensitive again if
	  we couldn't search because we are not connected to any server

2002-10-13 04:05  uberdork

	* ed2k_gui/: downloads_data.c, downloads_data.h, downloads_page.c,
	  parse_message.c: completed downloads stay in list until they are
	  cleared now

2002-10-12 19:48  uberdork

	* ed2k_gui/: gui_options.c, gui_options.h, misc.c: added log-file
	  rotation. closes feature-request #622352

2002-10-12 13:24  uberdork

	* Makefile.in, ed2k_gui.kdevprj, ed2k_gui/Makefile.in,
	  po/Makefile.am, po/Makefile.in, po/nl.po: initial check-in of
	  Dutch translation file

2002-10-11 00:49  uberdork

	* Makefile.in, ed2k_gui.kdevprj, ed2k_gui/Makefile.in,
	  po/Makefile.am, po/Makefile.in, po/sl.po: initial check-in for
	  Slovenian translation

2002-10-10 22:03  uberdork

	* ed2k_gui/downloads_data.c: fix yellow dots to mark potentially
	  dead files. patch by Thomas Mechtersheimer
	  <mechti@users.sourceforge.net>

2002-10-10 21:57  uberdork

	* ed2k_gui/http_get.c: fix ed2k-server links. Closes bug #620641

2002-10-10 21:00  uberdork

	* ed2k_gui/ramfile.c: small fix for big-endian machines

2002-10-10 20:36  uberdork

	* ed2k_gui/gui_options.c: fixed problem with default pixmap path if
	  GUI has never been installed or upgrading from considerably older
	  GUI version

2002-10-10 17:01  uberdork

	* AUTHORS, Makefile.am, Makefile.in, TODO, ed2k_gui.kdevprj,
	  ed2k_gui/Makefile.in, ed2k_gui/misc.c, po/Makefile.am,
	  po/Makefile.in, po/es.po: spanish translation makefile.am stuff

2002-10-10 16:35  uberdork

	* po/es.po: initial check-in for Spanish translation file

2002-10-10 13:11  uberdork

	* po/: Makefile.am, Makefile.in: added Makefiles for po/ directory

2002-10-10 04:24  uberdork

	* ed2k_gui/: gaps.c, gaps.h, parse_message.c: workaround for >255
	  sources problem if progress bars are in use

2002-10-10 04:07  uberdork

	* ed2k_gui/misc.c: small fix in default preview script

2002-10-10 01:50  uberdork

	* ed2k_gui/: downloads_data.c, downloads_page.c, misc.c, misc.h:
	  added preview function for downloads. Original patch by Marc
	  Thoben <chojin@gmx.net>

2002-10-09 05:28  uberdork

	* Makefile.in, configure, ed2k_gui/Makefile.am,
	  ed2k_gui/Makefile.in, ed2k_gui/global.h, ed2k_gui/main.c:
	  activating gettext and some minor fixes

2002-10-09 04:47  uberdork

	* ed2k_gui/stats.c: small fix

2002-10-09 04:23  uberdork

	* po/fr.po: minor change to french translation (so a .gmo file is
	  produced)

2002-10-09 03:58  uberdork

	* Makefile.am, Makefile.in, configure, configure.in,
	  configure.in.in, ed2k_gui.kdevprj, ed2k_gui.kdevses, subdirs,
	  ed2k_gui/Makefile.am, ed2k_gui/Makefile.in, ed2k_gui/main.c,
	  po/fr.po: added all the i18n stuff to automake/autoconf

2002-10-09 03:22  uberdork

	* po/fr.po: initial check-in of French translation file

2002-10-09 03:20  uberdork

	* po/de.po: initial check-in of German translation file

2002-10-09 03:05  uberdork

	* ed2k_gui/main.c: removing unnecessary g_thread_ini() in main.c
	  which causes linking problems in some cases (hope I don't break
	  anything with that)

2002-10-09 03:04  uberdork

	* ed2k_gui/dns_lookup.c: small internationalisation fix

2002-10-08 21:54  uberdork

	* ed2k_gui/downloads_page.c: fix sorting in download list if
	  transfered column is in percent. Fixes bug #620442

2002-10-08 14:47  uberdork

	* AUTHORS, Makefile.in, configure, ed2k_gui.kdevprj,
	  ed2k_gui.kdevses, ed2k_gui/Makefile.in, ed2k_gui/gui_options.c,
	  ed2k_gui/statusbar.c, ed2k_gui/tag.h: more fixes for gettext

2002-10-07 19:10  uberdork

	* ed2k_gui/: connect_gui.c, connect_gui.h, global.h, http_get.c,
	  main.c, parse_message.c: more fixes for internationalisation with
	  gettext

2002-10-07 18:55  uberdork

	* ed2k_gui/icons.c: fix wrong pixmap name when looking for
	  mainlogo_notgreen.xpm. patch submitted by Marc Thoben
	  <chojin@gmx.net>

2002-10-07 02:31  uberdork

	* ed2k_gui/: stats.c, status_page.c, statusbar.c, tag.c, tag.h,
	  uploads_page.c: preparing GUI for internationalisation with
	  gettext - part IV

2002-10-07 01:52  uberdork

	* ed2k_gui/: search_page.c, send_command.c, servers_data.c,
	  servers_page.c, shared_files.c, shared_page.c, shared_page.h,
	  signal_handler.c: preparing GUI for internationalisation with
	  gettext - part III

2002-10-06 23:18  uberdork

	* ChangeLog, Makefile.in, TODO, ed2k_gui.kdevprj,
	  ed2k_gui/Makefile.in, ed2k_gui/dns_lookup.c, ed2k_gui/filter.c,
	  ed2k_gui/gaps.c, ed2k_gui/gui_options.c, ed2k_gui/http_get.c,
	  ed2k_gui/icons.c, ed2k_gui/main.c, ed2k_gui/mainwindow.c,
	  ed2k_gui/misc.c, ed2k_gui/notebook.c, ed2k_gui/packet.c,
	  ed2k_gui/parse_message.c, ed2k_gui/pipe.c, ed2k_gui/ramfile.c,
	  ed2k_gui/search_data.c, ed2k_gui/search_data.h,
	  ed2k_gui/search_page.c, ed2k_gui/search_page.h: preparing GUI for
	  internationalisation with gettext - part II

2002-10-06 20:46  uberdork

	* ed2k_gui/downloads_page.c: show x.part filenames in downloads
	  pop-up menu again if only one download is selected

2002-10-06 16:27  uberdork

	* ed2k_gui/: about_page.c, about_page.h, blacklist.c,
	  connect_gui.c, connect_gui.h, downloads_attrib.c,
	  downloads_data.c, downloads_page.c: preparing GUI for
	  internationalisation with gettext (part I)

2002-10-06 01:51  uberdork

	* AUTHORS, ed2k_gui/icons.c: added support for not-so-green main
	  logo if option is enabled

2002-10-06 01:35  uberdork

	* AUTHORS: added some credits

2002-10-04 22:20  uberdork

	* Makefile.in, configure, configure.in, configure.in.in,
	  ed2k_gui.kdevprj, ed2k_gui/Makefile.in: updated configure and
	  makefiles

2002-10-04 20:11  uberdork

	* AUTHORS: testing syncmail

2002-10-04 18:20  uberdork

	* ed2k_gui/main.c: gnet_init() needs to be called _before_
	  gtk_init()

2002-10-04 18:18  uberdork

	* ed2k_gui/main.c: gnet library versions >= 1.1.5 require us to
	  call gnet_init() from main() before using the library.

2002-10-04 18:09  uberdork

	* ed2k_gui/stats.c: forgot to remove some debug info

2002-10-04 17:55  uberdork

	* ed2k_gui/uploads_page.c: inserted warning for later when we move
	  upload stats clist to multiple select mode

2002-10-04 15:39  uberdork

	* ed2k_gui/downloads_data.c: correcting minor mistake from previous
	  check-in

2002-10-04 15:33  uberdork

	* ed2k_gui/downloads_data.c: if transfered > size in downloads
	  list, get real transfered size from gaps (if core supports gaps).

2002-10-04 15:21  uberdork

	* ed2k_gui/: misc.c, stats.c: minor changes

2002-10-04 12:49  uberdork

	* ed2k_gui/gaps.c: some minor changes

2002-10-04 11:53  uberdork

	* ed2k_gui/gaps.c: some code cleanups and additional checks, mostly
	  by Thomas Lussnig <thomas.lussnig@bewegungsmelder.de>

2002-10-03 22:45  uberdork

	* ed2k_gui/misc.c: patches to the remove chunk routines, partly by
	  Thomas Lussnig <thomas.lussnig@bewegungsmelder.de>

2002-10-03 20:46  uberdork

	* ed2k_gui/parse_message.c: small bugfix to suppress unwanted space
	  needed output lines. patch by Roman Hodek <roman@hodek.net>

2002-10-03 20:44  uberdork

	* TODO: added ramfile.c issue to TODO

2002-10-03 18:31  uberdork

	* ed2k_gui/parse_message.c: - small bugfix and more advanced
	  handling to suppress download space needed messages from some
	  cores that clutter the status log. patch by Roman Hodek
	  <roman@hodek.net> - more advanced fix for the "part filenames are
	  65536.part" (or other rubbish number) problem taking into account
	  one more possible case

2002-10-03 18:29  uberdork

	* ed2k_gui/search_page.c: if option is set, grey search result
	  items after blacklisting them instead of deleting them in any
	  case (patch by Roman Hodek <roman@hodek.net>)

2002-10-03 17:21  uberdork

	* ed2k_gui/uploads_page.c: fixes bug #612805 (upload page: kB/s
	  doesn't autosort)

2002-10-03 17:07  uberdork

	* ed2k_gui/parse_message.c: fixes bug #611034 (partid's are
	  65535.part)

2002-10-03 16:38  uberdork

	* ed2k_gui/servers_data.c: minor patch by thomas lussnig

2002-10-03 16:35  uberdork

	* ed2k_gui/about_page.c: greatly improved about page layout. patch
	  supplied by axel c.

2002-10-03 16:05  uberdork

	* ed2k_gui/stats.c: increasing readability in some routines. patch
	  supplied by Thomas Lussnig <thomas.lussnig@bewegungsmelder.de>

2002-10-03 00:09  uberdork

	* ed2k_gui/stats.c: fixes a bug in stats routines. patch by Thomas
	  Lussnig <thomas.lussnig@bewegungsmelder.de>

2002-10-02 20:30  uberdork

	* ed2k_gui/downloads_page.c: if 'transfered' in downloads list is
	  in percent, sort by percent and not by bytes transfered.

2002-09-13 21:59  uberdork

	* AUTHORS, Makefile.am, Makefile.dist, TODO, configure.in.in,
	  special.m4.in, COPYING, ChangeLog, INSTALL, README,
	  ed2k_gui.kdevprj, ed2k_gui.lsm, acinclude.m4, configure.files,
	  subdirs, aclocal.m4, HACKING, Makefile.in, config.h.in,
	  configure, configure.in, ed2k_gui.kdevses, stamp-h.in,
	  admin/conf.change.pl, admin/config.sub, admin/configure.in.min,
	  admin/libtool.m4.in, admin/depcomp, admin/ltcf-c.sh,
	  admin/ltconfig, admin/am_edit, admin/acinclude.m4.in,
	  admin/ChangeLog, admin/config.guess, admin/ltcf-cxx.sh,
	  admin/ylwrap, admin/Makefile.common, admin/debianrules,
	  admin/missing, admin/mkinstalldirs, admin/config.pl,
	  admin/install-sh, admin/ltcf-gcj.sh, admin/ltmain.sh,
	  ed2k_gui/Makefile.am, ed2k_gui/colors.c, ed2k_gui/Makefile.in,
	  ed2k_gui/about_page.c, ed2k_gui/about_page.h,
	  ed2k_gui/blacklist.c, ed2k_gui/blacklist.h, ed2k_gui/colors.h,
	  ed2k_gui/connect_gui.c, ed2k_gui/connect_gui.h,
	  ed2k_gui/dns_lookup.c, ed2k_gui/dns_lookup.h,
	  ed2k_gui/downloads_attrib.c, ed2k_gui/downloads_attrib.h,
	  ed2k_gui/downloads_data.c, ed2k_gui/downloads_data.h,
	  ed2k_gui/downloads_page.c, ed2k_gui/downloads_page.h,
	  ed2k_gui/gaps.c, ed2k_gui/gaps.h, ed2k_gui/gapsstruct.h,
	  ed2k_gui/global.h, ed2k_gui/gui_flags.c, ed2k_gui/gui_flags.h,
	  ed2k_gui/gui_options.c, ed2k_gui/gui_options.h, ed2k_gui/icons.c,
	  ed2k_gui/icons.h, ed2k_gui/main.c, ed2k_gui/mainwindow.c,
	  ed2k_gui/mainwindow.h, ed2k_gui/misc.c, ed2k_gui/misc.h,
	  ed2k_gui/notebook.c, ed2k_gui/notebook.h,
	  ed2k_gui/options_page.c, ed2k_gui/options_page.h,
	  ed2k_gui/search_data.c, ed2k_gui/search_data.h,
	  ed2k_gui/search_page.c, ed2k_gui/search_page.h,
	  ed2k_gui/servers_data.c, ed2k_gui/servers_data.h,
	  ed2k_gui/servers_page.c, ed2k_gui/servers_page.h,
	  ed2k_gui/shared_dirs.c, ed2k_gui/shared_dirs.h,
	  ed2k_gui/shared_files.c, ed2k_gui/shared_files.h,
	  ed2k_gui/shared_page.c, ed2k_gui/shared_page.h, ed2k_gui/stats.c,
	  ed2k_gui/stats.h, ed2k_gui/status_page.c, ed2k_gui/status_page.h,
	  ed2k_gui/statusbar.c, ed2k_gui/statusbar.h,
	  ed2k_gui/uploads_data.c, ed2k_gui/uploads_data.h,
	  ed2k_gui/uploads_page.c, ed2k_gui/uploads_page.h,
	  ed2k_gui/filter.c, ed2k_gui/filter.h,
	  ed2k_gui/gui_core_protocol.h, ed2k_gui/guicoreconn.c,
	  ed2k_gui/guicoreconn.h, ed2k_gui/http_get.c, ed2k_gui/http_get.h,
	  ed2k_gui/packet.c, ed2k_gui/packet.h,
	  ed2k_gui/uploadstats_data.c, ed2k_gui/uploadstats_data.h,
	  ed2k_gui/parse_message.c, ed2k_gui/parse_message.h,
	  ed2k_gui/pipe.c, ed2k_gui/pipe.h, ed2k_gui/ramfile.c,
	  ed2k_gui/ramfile.h, ed2k_gui/send_command.c,
	  ed2k_gui/send_command.h, ed2k_gui/signal_handler.c,
	  ed2k_gui/tag.c, ed2k_gui/signal_handler.h, ed2k_gui/tag.h:
	  Initial revision

2002-09-13 21:59  uberdork

	* AUTHORS, Makefile.am, Makefile.dist, TODO, configure.in.in,
	  special.m4.in, COPYING, ChangeLog, INSTALL, README,
	  ed2k_gui.kdevprj, ed2k_gui.lsm, acinclude.m4, configure.files,
	  subdirs, aclocal.m4, HACKING, Makefile.in, config.h.in,
	  configure, configure.in, ed2k_gui.kdevses, stamp-h.in,
	  admin/conf.change.pl, admin/config.sub, admin/configure.in.min,
	  admin/libtool.m4.in, admin/depcomp, admin/ltcf-c.sh,
	  admin/ltconfig, admin/am_edit, admin/acinclude.m4.in,
	  admin/ChangeLog, admin/config.guess, admin/ltcf-cxx.sh,
	  admin/ylwrap, admin/Makefile.common, admin/debianrules,
	  admin/missing, admin/mkinstalldirs, admin/config.pl,
	  admin/install-sh, admin/ltcf-gcj.sh, admin/ltmain.sh,
	  ed2k_gui/Makefile.am, ed2k_gui/colors.c, ed2k_gui/Makefile.in,
	  ed2k_gui/about_page.c, ed2k_gui/about_page.h,
	  ed2k_gui/blacklist.c, ed2k_gui/blacklist.h, ed2k_gui/colors.h,
	  ed2k_gui/connect_gui.c, ed2k_gui/connect_gui.h,
	  ed2k_gui/dns_lookup.c, ed2k_gui/dns_lookup.h,
	  ed2k_gui/downloads_attrib.c, ed2k_gui/downloads_attrib.h,
	  ed2k_gui/downloads_data.c, ed2k_gui/downloads_data.h,
	  ed2k_gui/downloads_page.c, ed2k_gui/downloads_page.h,
	  ed2k_gui/gaps.c, ed2k_gui/gaps.h, ed2k_gui/gapsstruct.h,
	  ed2k_gui/global.h, ed2k_gui/gui_flags.c, ed2k_gui/gui_flags.h,
	  ed2k_gui/gui_options.c, ed2k_gui/gui_options.h, ed2k_gui/icons.c,
	  ed2k_gui/icons.h, ed2k_gui/main.c, ed2k_gui/mainwindow.c,
	  ed2k_gui/mainwindow.h, ed2k_gui/misc.c, ed2k_gui/misc.h,
	  ed2k_gui/notebook.c, ed2k_gui/notebook.h,
	  ed2k_gui/options_page.c, ed2k_gui/options_page.h,
	  ed2k_gui/search_data.c, ed2k_gui/search_data.h,
	  ed2k_gui/search_page.c, ed2k_gui/search_page.h,
	  ed2k_gui/servers_data.c, ed2k_gui/servers_data.h,
	  ed2k_gui/servers_page.c, ed2k_gui/servers_page.h,
	  ed2k_gui/shared_dirs.c, ed2k_gui/shared_dirs.h,
	  ed2k_gui/shared_files.c, ed2k_gui/shared_files.h,
	  ed2k_gui/shared_page.c, ed2k_gui/shared_page.h, ed2k_gui/stats.c,
	  ed2k_gui/stats.h, ed2k_gui/status_page.c, ed2k_gui/status_page.h,
	  ed2k_gui/statusbar.c, ed2k_gui/statusbar.h,
	  ed2k_gui/uploads_data.c, ed2k_gui/uploads_data.h,
	  ed2k_gui/uploads_page.c, ed2k_gui/uploads_page.h,
	  ed2k_gui/filter.c, ed2k_gui/filter.h,
	  ed2k_gui/gui_core_protocol.h, ed2k_gui/guicoreconn.c,
	  ed2k_gui/guicoreconn.h, ed2k_gui/http_get.c, ed2k_gui/http_get.h,
	  ed2k_gui/packet.c, ed2k_gui/packet.h,
	  ed2k_gui/uploadstats_data.c, ed2k_gui/uploadstats_data.h,
	  ed2k_gui/parse_message.c, ed2k_gui/parse_message.h,
	  ed2k_gui/pipe.c, ed2k_gui/pipe.h, ed2k_gui/ramfile.c,
	  ed2k_gui/ramfile.h, ed2k_gui/send_command.c,
	  ed2k_gui/send_command.h, ed2k_gui/signal_handler.c,
	  ed2k_gui/tag.c, ed2k_gui/signal_handler.h, ed2k_gui/tag.h:
	  initial import of source code into CVS

